Change 1419884 on 2021/03/05 by cha@CP_License_build

	Deleting Old one-off folder CONN-4126247 with unicode characters name 

Change 1419883 on 2021/03/05 by cha@CP_License_build

	Renaming CONN-4126247 one off folder . Presence of unicode code characters was causing error while posting and extraction of build.

Change 1419843 on 2021/03/04 by adamjano@adamjano_laptop

	Added RSC keyword expansion for 11.0.6 and 11.0.7 database update scripts

Change 1419825 on 2021/03/04 by end22855@end22855_EN510549_9362

	Fix bug#: CONN-4126247
	Description: EAR:Meeting session report shows incorrect in-time & out-time for user Kužílková Eva
	Comments:
	Dev impact: None
	QA testing notes:
	#1 open update.sql file with SQL Server Management Studio
	#2 picked up some single "TRANSCRIPT_ID" from local DB and "DATE_CREATED" (table: PPS_TRANSCRIPTS)
	#3 replace with values from update.sql file
	#4 execute query
	#5 one row will be updated - SSMS print "1 row was affected"
	#6 if you want to restore the data excute rollback.sql
	
	Migration impact: None
	Patch impact:
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2086474

Change 1419077 on 2021/02/08 by adamjano@adamjano_laptop

	https://jira.corp.adobe.com/browse/CONN-4125836 (moved to https://jira.corp.adobe.com/browse/ACREQ-41700)
	
	Disable older accounts in the license DB to prevent use of SERIAL_KEY
	
	Script was updated to filter by type=4 (licensed accounts type).

Change 1418793 on 2021/01/29 by anurkuma@pitc

	Adding account filter to set default compliance setting

Change 1418714 on 2021/01/27 by anurkuma@pitc

	CONN-4125870
	Changes to default views in 11.2

Change 1418682 on 2021/01/25 by spadman@spadman-WX-2

	https://jira.corp.adobe.com/browse/CONN-4125836 (moved to https://jira.corp.adobe.com/browse/ACREQ-41700)
	
	Disable older accounts in the license DB to prevent use of SERIAL_KEY
	
	https://reviews.corp.adobe.com/ui#review:id=2082557

Change 1418589 on 2021/01/21 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4124030
	Description: DB cleanup scripts for 11.2
	Comments: One-off to cleanup data not belonging to current cluster
	Dev impact: None
	QA testing notes:
	0# Run backup_data.sql against DW db. Make sure name of ConnectProProd DB matches your primary DB name
	1# Make sure none of zones to be cleaned up belong to current cluster. For instance, there is a piece of code like:
	IF @cluster = 'NA1'
	INSERT INTO @deleteZones (zone_id) VALUES (46), (13), (23), (31)
	None of zones after VALUES can be NA1 cluster zone.
	2# Create backup of your database
	3# Set zones of all accounts to 101
	4# Add new line to script (between lines 13 and 14) like:
	IF @cluster = 'TEST'
	INSERT INTO @deleteZones (zone_id) VALUES (1)
	and set value of @cluster variable (line 10) to TEST
	5# Collect row count from affected tables: PPS_TRANSCRIPTS, PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES
	6# Run script
	7# Repeat step #5 and compare new values with those from step #5. Must be equal
	8# Now set value of @cluster variable to 101 and run script. PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES tables should be empty.
	
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2078501
	Wiki: None

Change 1418520 on 2021/01/20 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4124030
	Description: DB cleanup scripts for 11.2
	Comments: One-off to cleanup data not belonging to current cluster
	Dev impact: None
	QA testing notes:
	0# Run backup_data.sql against DW db. Make sure name of ConnectProProd DB matches your primary DB name
	1# Make sure none of zones to be cleaned up belong to current cluster. For instance, there is a piece of code like:
	IF @cluster = 'NA1'
	INSERT INTO @deleteZones (zone_id) VALUES (46), (13), (23), (31)
	None of zones after VALUES can be NA1 cluster zone.
	2# Create backup of your database
	3# Set zones of all accounts to 101
	4# Add new line to script (between lines 13 and 14) like:
	IF @cluster = 'TEST'
	INSERT INTO @deleteZones (zone_id) VALUES (1)
	and set value of @cluster variable (line 10) to TEST
	5# Collect row count from affected tables: PPS_TRANSCRIPTS, PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES
	6# Run script
	7# Repeat step #5 and compare new values with those from step #5. Must be equal
	8# Now set value of @cluster variable to 101 and run script. PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES tables should be empty.
	
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2078501
	Wiki: None

Change 1418519 on 2021/01/20 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4125398
	Description: DB cleanup scripts for 11.2 - deleting old accounts
	Comments:
	Dev impact: None
	QA testing notes:
	0# Get every single database available and active for 6+ months at least. The older - the better
	#1 Backup database first.
	#2 Open purge_account.sql file with SQL Server Management Studio and execute query to create procedure 'PurgeAccount', if procedure doesn't exist.
	#3 Then open purge_account_runner.sql and thera are 2 use cases to be tested (no accounts deleted and all accounts deleted).
	#4 (No accounts deleted) script should delete nothing if all accounts are active/non-expired (check details of condition in purge-account-runner script). Dates in pps-accounts table should be updated, if needed, status as well, to make all accounts active.
	#5 Set cluster zone at the beginning of the purge-account-runner script
	#6 (All accounts deleted) Before deleting everything, all accounts in test db should be "shifted" to be disabled 3+ years ago , then purge-runner executed.
	Expected results: Deleted disabled account data from all tables, no errors. It might be needed to run purge-account-runner script multiple times if there was situation that same user logged in onto multiple accounts by using same credentials.
	
	Performance test:
	1# adjust data as in functional test and start cluster, perhaps perf test as well
	2# start deleting and check if there are performance issues
	
	Migration impact: None
	Patch impact: Execute update script
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2081150

Change 1418446 on 2021/01/19 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/11.2.dev/components/dbscripts/...
	
	to //depot/main/AdobeConnect/components/dbscripts/...

Change 1418010 on 2021/01/04 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4123410
	Description: EAR - [Clarix] - Burst pack shows that they have used 9158 burst pack minutes
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Open prepare.sql file with SQL Server Management Studio and execute query, backup table will be created
	#2 Open update.sql file and set accountId and then execute to copy rows to backup table and update to accurate data
	#4 If you want to restore the data excute rollback.sql file
	Expected results: In table pps_transcript_counts, the values for transcript counts should be correct
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2079985

Change 1417985 on 2020/12/31 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4124030
	Description: DB cleanup scripts for 11.2
	Comments: One-off to cleanup data not belonging to current cluster
	Dev impact: None
	QA testing notes: 
	0# Run backup_data.sql against DW db. Make sure name of ConnectProProd DB matches your primary DB name
	1# Make sure none of zones to be cleaned up belong to current cluster. For instance, there is a piece of code like:
	IF @cluster = 'NA1'
		INSERT INTO @deleteZones (zone_id) VALUES (46), (13), (23), (31)
	None of zones after VALUES can be NA1 cluster zone.
	2# Create backup of your database
	3# Set zones of all accounts to 101
	4# Add new line to script (between lines 13 and 14) like:
	   IF @cluster = 'TEST'
		INSERT INTO @deleteZones (zone_id) VALUES (1)
	   and set value of @cluster variable (line 10) to TEST
	5# Collect row count from affected tables: PPS_TRANSCRIPTS, PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES
	6# Run script
	7# Repeat step #5 and compare new values with those from step #5. Must be equal
	8# Now set value of @cluster variable to 101 and run script. PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES tables should be empty.
	
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2078501
	Wiki: None

Change 1417969 on 2020/12/27 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4124030
	Description: DB cleanup scripts for 11.2
	Comments: One-off to cleanup data not belonging to current cluster
	Dev impact: None
	QA testing notes: 
	0# Run backup_data.sql against DW db. Make sure name of ConnectProProd DB matches your primary DB name
	1# Make sure none of zones to be cleaned up belong to current cluster. For instance, there is a piece of code like:
	IF @cluster = 'NA1'
		INSERT INTO @deleteZones (zone_id) VALUES (46), (13), (23), (31)
	None of zones after VALUES can be NA1 cluster zone.
	2# Create backup of your database
	3# Set zones of all accounts to 101
	4# Add new line to script (between lines 13 and 14) like:
	   IF @cluster = 'TEST'
		INSERT INTO @deleteZones (zone_id) VALUES (1)
	   and set value of @cluster variable (line 10) to TEST
	5# Collect row count from affected tables: PPS_TRANSCRIPTS, PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES
	6# Run script
	7# Repeat step #5 and compare new values with those from step #5. Must be equal
	8# Now set value of @cluster variable to 101 and run script. PPS_TRANSCRIPT_COUNTS and PPS_PERMISSION_ACTIVITIES tables should be empty.
	
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2078501
	Wiki: None

Change 1417962 on 2020/12/25 by pst64637@pst64637_EN510699_5427

	DB schema/data/update 11.0.7 scripts

Change 1417618 on 2020/12/11 by jangid@jangid_jangid-WX-2_8342

	CONN-4124549 : ENH: FDA: Keep content onstage in Meeting Share Pods through upgrade ready for conversion when invoked
	Preload ppt content hybrid conversion.
	Review Link # https://reviews.corp.adobe.com/ui#review:id=2078314
	
	
	Comments: Producer content auto converted to hybrid form on loading in share pod in Meeting.
	Dev impact: None
	QA testing notes: 
	1# Use old meeting to test this. 
	2# test sanity of it with new meeting.
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2078314
	Wiki: None

Change 1417505 on 2020/12/08 by end27433@end27433_EN510911_7818

	Fix bug#: CONN-4124324
	Description: Poll responses are missing in the Event Reports.
	Comments: 
	Dev impact: None
	QA testing notes: 
	Delivered to ops.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2077871

Change 1417421 on 2020/12/04 by spadman@spadman-WX-2

	https://jira.corp.adobe.com/browse/ACREQ-41637
	
	Further Extend Hosted Seminar License for ACCOUNT_ID 1286782026 on NA12

Change 1417420 on 2020/12/04 by spadman@spadman-WX-2

	https://jira.corp.adobe.com/browse/ACREQ-41637
	
	Baselining previous version.

Change 1417042 on 2020/11/23 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/11.0.6dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1416813 on 2020/11/13 by pst64637@pst64637_EN510699_5427

	kill old DB connections

Change 1416488 on 2020/11/02 by pst64637@pst64637_EN510699_5427

	Probe - Add index to  PPS_ACCOUNTS to filter out efficiently disabled and expired accounts

Change 1416485 on 2020/11/02 by pst64637@pst64637_EN510699_5427

	Adjusting index PPS_PRINCIPALS_SYSTEM_GROUPS on EMEA3

Change 1416472 on 2020/11/02 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4122010
	Description: EMEA4 - User report shows not attended/incomplete on the user's Homepage for a VC session they attended
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Open prepare.sql file with SQL Server Management Studio and execute query, backup table will be created
	#2 Open update.sql file and set variables and then execute to copy rows to backup table
	#3 Open validate.sql to check if there is more data to be copied
	#4 If you want to restore the data excute rollback.sql file
	Expected results: Backup of specified data.
	
	Migration impact: None
	Patch impact:
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review:

Change 1416444 on 2020/10/30 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4122010
	Description: EMEA4 - User report shows not attended/incomplete on the user's Homepage for a VC session they attended
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Open prepare.sql file with SQL Server Management Studio and execute query, backup table will be created
	#2 Open update.sql file and set variables and then execute to copy rows to backup table
	#3 Open validate.sql to check if there is more data to be copied
	#4 If you want to restore the data excute rollback.sql file
	Expected results: Backup of specified data.
	
	Migration impact: None
	Patch impact:
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2074081

Change 1416432 on 2020/10/29 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122561
	Description: ESCALATION[NA3]: Full System Usage report showing incorrect data for selective date
	Comments: One-off inserting rows into PPS_TRANSCRIPT_COUNTS that is used as report source
	Dev impact: None
	QA testing notes: 
	0# Read readme.docx
	1# open prepare.sql script, enter test account ID and adjust dates, if any other time interval is more suitable for testing (having more attendees)
	2# apply steps from readme.docx
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2069622
	Wiki: None

Change 1416431 on 2020/10/29 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4122010
	Description: EMEA4 - User report shows not attended/incomplete on the user's Homepage for a VC session they attended
	Comments: 
	Dev impact: None
	QA testing notes: 
	#1 Open prepare.sql file with SQL Server Management Studio and execute query, backup table will be created
	#2 Open update.sql file and set variables and then execute to copy rows to backup table
	#3 Open validate.sql to check if there is more data to be copied
	#4 If you want to restore the data excute rollback.sql file
	Expected results: Backup of specified data.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2072202

Change 1416427 on 2020/10/29 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4123298
	Description: Escalation [USDA]: Seminar Calendar crashes when name of sessions have ‘&’ character
	Comments: Replacing & with _and_
	Dev impact: None
	QA testing notes: 
	1# Make sure there is at least one SCO having & in its name
	2# execute prepare/update/validate scripts, should have 1+ record updated during update and OK message after validation
	3# apply 'revert' script, exec prepare/validate, make sure they point that one-off is needed
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2071612
	Wiki: None

Change 1416336 on 2020/10/26 by pst64637@pst64637_EN510699_5427

	CONN-4123767 - Remove Access Option "Anyone who has the URL for the meeting..." from Meetings

Change 1416300 on 2020/10/23 by pst64637@pst64637_EN510699_5427

	user sessions and transcripts cleanup

Change 1416299 on 2020/10/23 by pst64637@pst64637_EN510699_5427

	CONN-4123859 - Cannot Extend Hosted Seminar License
	
	One off script to extend customer's seminar license.
	
	Cluster: NA12
	Domain: http://sutterhealth.adobeconnect.com
	
	https://reviews.corp.adobe.com/ui#review:id=2073239

Change 1416296 on 2020/10/23 by pst64637@pst64637_EN510699_5427

	user sessions and transcripts cleanup

Change 1416290 on 2020/10/23 by adamjano@adamjano_laptop

	CONN-4123859 - Cannot Extend Hosted Seminar License
	
	One off script to extend customer's seminar license.
	
	Cluster: NA12
	Domain: http://sutterhealth.adobeconnect.com

Change 1416216 on 2020/10/19 by pst64637@pst64637_EN510699_5427

	Fix bug#: ACREQ-41595
	Description: Correct PPS_TRANSCRIPTS_SCO_TICKET to make it similar to its pre-10.8 form
	Comments: Index re-created
	Dev impact: None
	QA testing notes: Just make sure index is as-is in referent schema (check included columns as well)
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2072636
	Wiki: None

Change 1416188 on 2020/10/19 by adamjano@adamjano_laptop

	Added missing RCS keyword expansion for several database update scripts.

Change 1416186 on 2020/10/19 by adamjano@adamjano_laptop

	Added missing RCS keyword expansion for several database update scripts.

Change 1416165 on 2020/10/19 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/11.0.5dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1415911 on 2020/10/13 by pst64637@pst64637_EN510699_5427

	https://jira.corp.adobe.com/browse/ACREQ-41589 EMEA2- Event emails stuck in queue

Change 1415849 on 2020/10/12 by pst64637@pst64637_EN510699_5427

	Fix bug#: ACREQ-41587
	Description: Run script to clean up PPS_IDENTITY_TICKETS on all DBs
	Comments: SQL script to be deployed as a job
	Dev impact: None
	QA testing notes: None
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2071699
	Wiki: None

Change 1415833 on 2020/10/12 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4123213
	Description: Escalation [Clarix for GAO] - Unable to move seminars | Shows error - Session is Active
	Comments: One-off, to close backup hosts
	Dev impact: None
	QA testing notes: 
	1# Make sure there are backup hosts older than week. (SELECT * FROM pps_sco_active_hosts WHERE status='B' AND date_modified < GETUTCDATE() - 7)
	2# Apply scripts in order: prepare-update-validate, prepare-update-rollback-prepare. Must work without errors.
	3# After 'update' script, query 1# should return no row
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2070965
	Wiki: None

Change 1415762 on 2020/10/10 by pst64637@pst64637_EN510699_5427

	Fix bug#: ACREQ-41587
	Description: Run script to clean up PPS_IDENTITY_TICKETS on all DBs
	Comments: SQL script to be deployed as a job
	Dev impact: None
	QA testing notes: None
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2071699
	Wiki: None

Change 1415693 on 2020/10/07 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4123553
	Description: Create one-off script for eCommerce customers receiving account expiration notices on login, after upgrade to C11
	Comments: Seeting ACL field account-expiry-login-notif to false
	Dev impact: None
	QA testing notes: 
	1# Make sure there is at least one e-commerce account in your CPS environment. If not, pick one and set PPS_ACCOUNTS.PAYMENT_TYPE=1
	2# Set account expiration date to 15-20 days ahead
	3# Login to account as admin/limited-admin and make sure there is a account expiration notification show
	4# execute prepare/update/validate scripts, do 3# and make sure there is no notification
	5# apply 'revert' script and make sure notification is back
	6# apply 'update' script few times in a row and make sure execution was without warnings/errors
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: 
	Wiki: None

Change 1415591 on 2020/10/05 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4123553
	Description: Create one-off script for eCommerce customers receiving account expiration notices on login, after upgrade to C11
	Comments: Seeting ACL field account-expiry-login-notif to false
	Dev impact: None
	QA testing notes: 
	1# Make sure there is at least one e-commerce account in your CPS environment. If not, pick one and set PPS_ACCOUNTS.PAYMENT_TYPE=1
	2# Set account expiration date to 15-20 days ahead
	3# Login to account as admin/limited-admin and make sure there is a account expiration notification show
	4# execute prepare/update/validate scripts, do 3# and make sure there is no notification
	5# apply 'revert' script and make sure notification is back
	6# apply 'update' script few times in a row and make sure execution was without warnings/errors
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: 
	Wiki: None

Change 1414964 on 2020/09/22 by pst64637@pst64637_EN510699_5427

	Fix bug#: ACREQ-41542
	Description: Wayfair.adobeconnect.com - Bulk change room permission levels
	Comments: Using codebase from  CONN-4122288, just altering account-id
	Dev impact: None
	QA testing notes: 
	0# go to Administration=>Users amd Groups=>Edit Login and Password Policies=>Room Passcode and enable "encode passcode for room access"
	1# create a meeting so anyone can attend and do not set passcode
	2# execute 'prepare' script (set @accountId value first)
	3# open 'update' script and set account-id that will be targetted. Execute update script
	4# try to open meeting. Passcode should be required, new passcode must be valid to open meeting
	5# exec 'revert' script. Passcode should not be required
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2069581
	Wiki: None

Change 1414636 on 2020/09/17 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122981
	Description: ESCALATION [Clarix] Cannot open any of the meetings prior to C11 upgrade
	Comments: clearing out PPS_TELE_PROVIDER_MESSAGES table
	Dev impact: None
	QA testing notes: No test needed
	Migration impact: None
	Install impact: None
	Patch impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2068787
	Wiki: None

Change 1414562 on 2020/09/16 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122981
	Description: ESCALATION [Clarix] Cannot open any of the meetings prior to C11 upgrade
	Comments: clearing out PPS_TELE_PROVIDER_MESSAGES table
	Dev impact: None
	QA testing notes: No test needed
	Migration impact: None
	Install impact: None
	Patch impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2068787
	Wiki: None

Change 1414454 on 2020/09/15 by pst64637@pst64637_EN510699_5427

	update old actions to set status to A

Change 1414278 on 2020/09/14 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122796 - hotfix to main
	Description: "Automated Audio" provider deleted because of type LANG_ID mismatch in PPS_TELE_PROVIDER_MESSAGES
	Comments: 
	Dev impact: Rebuild telephony service
	QA testing notes: 
	Functional test: 
	0# Check database-schema script on new database. Must exec without errors
	1# Exec update-11-0 script
	2# Restart single CPS not few times. Must restart each time without exception
	3# Update telephony service
	4# Create a meeting having Automated Audio tele provider, start and stay in meeting for 1-2 minutes. Note: this step might require creating/updating tele provider/profile
	Migration impact: None
	Install impact: None
	Patch impact: Deploy breeze.jar and TelephonyService.jar (requires tele-service restart). DB update needed (exec update-11.0.5 script). Rolling restart
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2067501
	Wiki: None

Change 1413706 on 2020/09/04 by anurkuma@work1

	API to set default application view

Change 1413680 on 2020/09/03 by pst64637@pst64637_EN510699_5427

	one-off to update 11.0 installations, related to CONN-4122657

Change 1413663 on 2020/09/03 by pst64637@pst64637_EN510699_5427

	dropping out part of data-cleanup from update-11 script
	
	https://reviews.corp.adobe.com/ui#review:id=2066703

Change 1413575 on 2020/09/02 by pst64637@pst64637_EN510699_5427

	fix update 11 script

Change 1413522 on 2020/09/01 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122657
	Description: Remove PPS_ASSET_HOSTS deletion from update scripts
	Comments: In 11.0 easiest way to deploy data fixes would via update-11-0 script
	Dev impact: Exec update 11 script
	QA testing notes: Exec update-11 script. Table PPS_ASSET_HOSTS should have data, same as before executing update script
	Perf test: update script must execute in reasonable time during deployment
	Patch impact: Deploy update-11-0 script
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2066342

Change 1413515 on 2020/09/01 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122657
	Description: Remove PPS_ASSET_HOSTS deletion from update scripts
	Comments: In 11.0 easiest way to deploy data fixes would via update-11-0 script
	Dev impact: Exec update 11 script
	QA testing notes: Exec update-11 script. Table PPS_ASSET_HOSTS should have data, same as before executing update script
	Perf test: update script must execute in reasonable time during deployment
	Patch impact: Deploy update-11-0 script
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2066342

Change 1413514 on 2020/09/01 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122657
	Description: Remove PPS_ASSET_HOSTS deletion from update scripts
	Comments: In 11.0 easiest way to deploy data fixes would via update-11-0 script
	Dev impact: Exec update 11 script
	QA testing notes: Exec update-11 script. Table PPS_ASSET_HOSTS should have data, same as before executing update script
	Perf test: update script must execute in reasonable time during deployment
	Patch impact: Deploy update-11-0 script
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2066342

Change 1413045 on 2020/08/24 by pst64637@pst64637_EN510699_5427

	Fix bug#: ACREQ-41490
	Description: Meeting Access Type Change (Bulk) | BOX | NA12
	Comments: updating/inserting acl field 223 for recordings
	Dev impact: None
	QA testing notes: 
	0# go to Administration=>Users amd Groups=>Edit Login and Password Policies=>Room Passcode and enable "encode passcode for room access"
	1# create a meeting so anyone can attend and do not set passcode
	2# execute 'prepare' script (set @accountId value first)
	3# open 'update' script and set account-id that will be targetted. Execute update script
	4# try to open meeting. Passcode should be required, new passcode must be valid to open meeting
	5# exec 'revert' script. Passcode should not be required
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2064062
	Wiki: None

Change 1412695 on 2020/08/18 by pst64637@pst64637_EN510699_5427

	Fix bug#: ACREQ-41490
	Description: Meeting Access Type Change (Bulk) | BOX | NA12
	Comments: updating/inserting acl field 223 for recordings
	Dev impact: None
	QA testing notes: 
	0# go to Administration=>Users amd Groups=>Edit Login and Password Policies=>Room Passcode and enable "encode passcode for room access"
	1# create a meeting so anyone can attend and do not set passcode
	2# execute 'prepare' script (set @accountId value first)
	3# open 'update' script and set account-id that will be targetted. Execute update script
	4# try to open meeting. Passcode should be required, new passcode must be valid to open meeting
	5# exec 'revert' script. Passcode should not be required
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2064062
	Wiki: None

Change 1412464 on 2020/08/14 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4122088
	Description: Request for Help[TAFE NSW] - Auto-promote users to Meeting host through DB task.
	Comments: Created a Pyhton script for automating this process.
	Dev impact: None
	QA testing notes: 
	Generally test sql script for generating list of apis to be called and pyhton scriipt for automating the process.
	1# Go to sql management studio, enter data into variables and execute generate_API_calls.sql.
	Expected result: You should get two querrie results, in the second/lower you should get a list of api calls to be executed.
	Something like :
	    http://aa.endava.net/api/xml?action=group-membership-update&principal-id=126797&is-member=true&group-id=18458&confirm-group-removal=false&is-member=false
	    http://aa.endava.net/api/xml?action=group-membership-update&principal-id=61897&is-member=true&group-id=18458&confirm-group-removal=false&is-member=false
	    http://aa.endava.net/api/xml?action=group-membership-update&principal-id=700836&is-member=true&group-id=18458&confirm-group-removal=false&is-member=false
	    .
	    .
	    .
	2# Copy the list of api calls to a .txt file, you can name it anything you want, something like input.txt. And put it next to the user_to_host.py ie. in the same dir.
	3# Run user_to_host.py by opening the cmd terminal and executing just:
	    python user_to_host.py 
	Expected result: You should get something like :
	    ### UPDATE USER TO HOSTS ###
	    usage: set_user_to_host.py [-h] -u URL -e USERNAME -p PASSWORD -t INPUT_FILE
	    set_user_to_host.py: error: the following arguments are required: -u/--URL, -e/--USERNAME, -p/--PASSWORD, -t/--INPUT_FILE
	4# Try using help by executing :
	    python user_to_host.py -h
	Expected result: You should get something like :
	    ### UPDATE USER TO HOSTS ###
	    usage: set_user_to_host.py [-h] -u URL -e USERNAME -p PASSWORD -t INPUT_FILE
	
	    This python program is intended for updating users to hosts.
	
	    optional arguments:
	      -h, --help            show this help message and exit
	      -u URL, --URL URL     Your account url "http://aa.endava.net"
	      -e USERNAME, --USERNAME USERNAME
	                        Your account username - example "admin@adobe.com"
	      -p PASSWORD, --PASSWORD PASSWORD
	                        Your account password - example "Admin1234"
	      -t INPUT_FILE, --INPUT_FILE INPUT_FILE
	                        Name of the .TXT file containing apis to be called.
	5#  Run user_to_host.py by opening the cmd terminal and executing :
	    Try to use incorrect login, password or input file.
	    python user_to_host.py -u http://your domain -e your login -p your password -t name of the input txt file
	Expected result: You should get warning messages and the program should exit.
	6#  Run user_to_host.py by opening the cmd terminal and executing :
	    Use correct login, pass, input file.
	    python user_to_host.py -u http://your domain -e your login -p your password -t name of the input txt file
	Expected result: Program executes sucessfully, prints called apis on the screen with execution status and the results are written in the reporst.csv which should be generated in the same dir as user_to_host.py.
	7# Check if the users are actually updated to hosts, go to the ui Administration -> Users and Groups -> users from the list.
	Expected result: The users are added to Meeting Hosts.
	8# You can use this python program to remove them from Meeting Hosts by adding &is-member=false to the end of the api call list in the input.txt.
	    Something like :
	    http://aa.endava.net/api/xml?action=group-membership-update&principal-id=59901&is-member=true&group-id=18458&confirm-group-removal=false&is-member=false
	Expected result: The users are removed from Meeting Hosts.
	
	Affected APIs : 
	
	Migration impact: None
	Patch impact: Deploy Breeze jar
	Install impact: None
	Loc impact: None
	Doc impact: none
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2063795

Change 1412346 on 2020/08/12 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122342
	Description: Guest Access Lock-down Query - Recordings
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create a meeting and make 4 recordings. Set access level for (1) public without passcode, (2) public with passcode, (3) account members only and (4) private
	2# execute 'prepare' script (set @accountId value first)
	3# open 'update' script and set account-id that will be targetted. Execute update script
	4# refresh page where recordings are listed. Public recordings should have access level 'private'. Execute 'validate' script and check if message confirm that all was done.
	5# exec 'revert' script. Set account-id Check if access levels was set back. Open each recording and verify if it's available
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2063195
	Wiki: None

Change 1412307 on 2020/08/11 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122342
	Description: Guest Access Lock-down Query - Recordings
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create a meeting and make 4 recordings. Set access level for (1) public without passcode, (2) public with passcode, (3) account members only and (4) private
	2# execute 'prepare' script (set @accountId value first)
	3# open 'update' script and set account-id that will be targetted. Execute update script
	4# refresh page where recordings are listed. Public recordings should have access level 'private'. Execute 'validate' script and check if message confirm that all was done.
	5# exec 'revert' script. Set account-id Check if access levels was set back. Open each recording and verify if it's available
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2063195
	Wiki: None

Change 1412301 on 2020/08/11 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122342
	Description: Guest Access Lock-down Query - Recordings
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create a meeting and make 4 recordings. Set access level for (1) public without passcode, (2) public with passcode, (3) account members only and (4) private
	2# execute 'prepare' script (set @accountId value first)
	3# open 'update' script and set account-id that will be targetted. Execute update script
	4# refresh page where recordings are listed. Public recordings should have access level 'private'. Execute 'validate' script and check if message confirm that all was done.
	5# exec 'revert' script. Set account-id Check if access levels was set back. Open each recording and verify if it's available
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2063195
	Wiki: None

Change 1412298 on 2020/08/11 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122288
	Description: Guest Access Lock-down Query
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create or use meetings and set access level so all combinations are covered (registered users only, reg-users+account-members, reg-users+accepted-guests, reg-users+account-members+accepted-guests, anyone)
	2# execute 'prepare' script
	3# open 'update' script and set param values so single meeting (pick one from 1#) will be targetted
	4# exec script and check access level for all meetings from 1#. Only one that had matching access level should be targetted and its access level set to target
	5# exec 'revert' script. Check if access levels of all meetings are as they were
	6# repeat steps 3-5 for all access levels
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062426
	Wiki: None

Change 1412202 on 2020/08/09 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122288
	Description: Guest Access Lock-down Query
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create or use meetings and set access level so all combinations are covered (registered users only, reg-users+account-members, reg-users+accepted-guests, reg-users+account-members+accepted-guests, anyone)
	2# execute 'prepare' script
	3# open 'update' script and set param values so single meeting (pick one from 1#) will be targetted
	4# exec script and check access level for all meetings from 1#. Only one that had matching access level should be targetted and its access level set to target
	5# exec 'revert' script. Check if access levels of all meetings are as they were
	6# repeat steps 3-5 for all access levels
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062426
	Wiki: None

Change 1412201 on 2020/08/09 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122288
	Description: Guest Access Lock-down Query
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create or use meetings and set access level so all combinations are covered (registered users only, reg-users+account-members, reg-users+accepted-guests, reg-users+account-members+accepted-guests, anyone)
	2# execute 'update_create_sp' script
	3# open update-exec-sp script and set param values so single meeting (pick one from 1#) will be targetted
	4# exec script and check access level for all meetings from 1#. Only one that had matching access level should be targetted and its access level set to target
	5# exec 'revert' script. Check if access levels of all meetings are as they were
	6# repeat steps 3-5 for all access levels
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062426
	Wiki: None

Change 1412199 on 2020/08/09 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122288
	Description: Guest Access Lock-down Query
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create or use meetings and set access level so all combinations are covered (registered users only, reg-users+account-members, reg-users+accepted-guests, reg-users+account-members+accepted-guests, anyone)
	2# execute 'update_create_sp' script
	3# open update-exec-sp script and set param values so single meeting (pick one from 1#) will be targetted
	4# exec script and check access level for all meetings from 1#. Only one that had matching access level should be targetted and its access level set to target
	5# exec 'revert' script. Check if access levels of all meetings are as they were
	6# repeat steps 3-5 for all access levels
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062426
	Wiki: None

Change 1412198 on 2020/08/09 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122288
	Description: Guest Access Lock-down Query
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create or use few meetings and set access level that anyone can access
	2# execute 'update' script
	3# check access level for all involved meetings, should stand "Account members may enter the room"
	4# execute 'revert' script.
	5# check access level for all involved meetings, should stand "Anyone who has the URL for the meeting can enter the room"
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062426
	Wiki: None

Change 1412060 on 2020/08/07 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/11.0.dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1412003 on 2020/08/06 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4122322
	Description:  EAR: Cannot enable seminar feature in BAMA.
	Comments: 
	Dev impact: None
	QA testing notes: 
	Going directly to ops.
	
	Affected APIs : 
	
	Migration impact: None
	Patch impact: Deploy Breeze jar
	Install impact: None
	Loc impact: None
	Doc impact: none
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062610

Change 1411996 on 2020/08/06 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4122321
	Description:  Unable to update domain vetion.adobeconnect.com - 500 NVM.
	Comments: 
	Dev impact: None
	QA testing notes: 
	Going directly to ops.
	
	Affected APIs : 
	
	Migration impact: None
	Patch impact: Deploy Breeze jar
	Install impact: None
	Loc impact: None
	Doc impact: none
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062595

Change 1411973 on 2020/08/05 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4122288
	Description: Guest Access Lock-down Query
	Comments: Managing pps-acl-entries rows for principals -10 and -12
	Dev impact: None
	QA testing notes: 
	1# create or use few meetings and set access level that anyone can access
	2# execute 'update' script
	3# check access level for all involved meetings, should stand "Account members may enter the room"
	4# execute 'revert' script.
	5# check access level for all involved meetings, should stand "Anyone who has the URL for the meeting can enter the room"
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2062426
	Wiki: None

Change 1411607 on 2020/07/30 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4120403
	Description: ESCALATION [NA8]: Poll reports missing from Event Reports
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Open update.sql file with SQL Server Management Studio and execute query, missing data will be inserted into table pps_sco_interactions.
	#2 If you want to delete the data excute rollback.sql file.
	Expected results: Inserted missing data to pps_sco_interactions table.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2061475

Change 1411179 on 2020/07/21 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4121939
	Description: Escalation [UNITEDWAYWORLDWIDE]: System Usage Reports are stuck on loading 
	Comments: Adding acl-field 3 (last-name) for those users not having it, all related to single account
	Dev impact: None
	QA testing notes: No test needed
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2060037
	Wiki: None

Change 1411049 on 2020/07/16 by pst64637@pst64637_EN510699_5427

	One-off, NA7: CONN-4119938 - EAR[H2O]: Event report shows user Not attended but it shows poll pod questions were answered

Change 1410886 on 2020/07/14 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/11.0.dev/components/dbscripts/...
	
	to //depot/main/AdobeConnect/components/dbscripts/...

Change 1410701 on 2020/07/08 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4120136
	Description: RequestforHelp[Webqem: CSU] : Clearing Sessions in Meetings by Question Reports
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Open prepare.sql file with SQL Server Management Studio and execute query, temp tables will be created
	#2 Open update.sql file and change @scoId variable and set date and then execute
	#3 If you want to restore the data excute rollback.sql file and then execute cleanup.sql
	Expected results: Backup of specified data.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2057235

Change 1410652 on 2020/07/07 by pst64637@pst64637_EN510699_5427

	CONN-4121683 - Fix SCO data that prevents enabling Seminars feature

Change 1410562 on 2020/07/06 by pst64637@pst64637_EN510699_5427

	CONN-4121590 - ESCALATION [NA2] : User session report shows incorrect login time duration for participants

Change 1410278 on 2020/06/26 by end22855@end22855_EN510549_9362

	Fix bug#: CONN-4120374
	Description: ESCALATION [connect-innovation] Incorrect burstpack minutes report
	Comments:
	Dev impact: None
	QA testing notes: No test
	Migration impact: None
	Patch impact:
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2056881

Change 1409538 on 2020/06/11 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4113267
	Description: "Delete accounts disabled 6+ months" JOB failing
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Open purge_account.sql file with SQL Server Management Studio and execute query to create procedure 'PurgeAccount', if procedure doesn't exist.
	#2 Then open purge_account_runner.sql and thera are 2 use cases to be tested (no accounts deleted and all accounts deleted).
	#3 (No accounts deleted) script should delete nothing if all accounts are active/non-expired. Dates in pps-accounts table should be updated, if needed, to make all accounts active.
	#4 (All accounts deleted) Before deleting everything, all accounts in test db should be "shifted" to be disabled 3+ years ago , then purge-runner executed.
	Expected results: Deleted disabled account data from all tables.
	
	Migration impact: None
	Patch impact: Execute update script
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2053757

Change 1408743 on 2020/05/28 by pst64637@pst64637_EN510699_5427

	CONN-4115448 - Data fix: Content transcripts almost never have date-closed populated

Change 1408591 on 2020/05/26 by end11761@end11761_EN510515_9769

	Fix bug#: CONN-4113267
	Description: "Delete accounts disabled 6+ months" JOB failing
	Comments:
	Dev impact: None
	QA testing notes:
	#1 Disable all accounts in test database so column "disabled" in table "PPS_ACCOUNTS" is at least 6 months back, "date-expired" as well.
	#2 Open purge_account.sql file with SQL Server Management Studio and execute query to create procedure 'PurgeAccount'
	#3 Delete all accounts from database (account id > 7) by executing purge_account_runner.sql (same folder where this script is).
	#4 Verify that all accounts were purged and there was no error during that process.
	Expected results: Deleted disabled account data from all tables.
	
	Migration impact: None
	Patch impact: Execute update script
	Install impact: None
	Loc impact: None
	Doc impact:
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2051451

Change 1408194 on 2020/05/20 by pst64637@pst64637_EN510699_5427

	CONN-4120402 - List Pull request - Adobe Connect power users 

Change 1407260 on 2020/05/05 by pst64637@pst64637_EN510699_5427

	CONN-4120139

Change 1407258 on 2020/05/05 by adamjano@adamjano_laptop

	CONN-4120139 - Concurrent learners quota is not updating in Concurrent Learner Pricing Model for Virtual Classroom
	
	Reenabled system session with SESSION_ID=0.

Change 1407037 on 2020/04/30 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/ACREQ-41367
	
	It looks like there is a separate PPS_SAML_IDP and PPS_SAML_IDP_TEMPLATE table that also have a list of accounts by ACCOUNT_ID. The queries that use these tables do not filter based on ZONE_ID or DISABLED, so on both E1 and E4, all accounts are displayed. So E1 displays E4 accounts and vice versa, for APIs that depend on those tables. So far, only ss-setting-list seems to be affected.
	
	There aren't that many rows, but we need to clean up the 12 rows in PPS_SAML_IDP and 9 rows in PPS_SAML_IDP_TEMPLATES to only keep the rows relevant to the current zone.
	
	https://reviews.corp.adobe.com/ui#review:id=2047159

Change 1407013 on 2020/04/30 by pst64637@pst64637_EN510699_5427

	Kill MSSQL connectios older than N days in order to make room for new ones

Change 1405861 on 2020/04/13 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/ACREQ-41334
	
	https://reviews.corp.adobe.com/ui#review:id=2043657

Change 1405776 on 2020/04/13 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/10.8dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1405342 on 2020/04/03 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/10.8dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1404325 on 2020/03/17 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4117505
	Description: Prepare one-off for fixing customer's data, EAR[CompuMSTR]: Content Usage Report does not display all the listed contents
	Comments: 
	Dev impact: None
	QA testing notes: 
	#1 Log in, open a meeting and create several recordings, put a couple in a different folder and leave a couple in the original folder.
	#2 Set the owner_principal_id of the recordings in pps_acls to null, i will provide a script for this on the Jira ticket, you will need the sco ids of the recordings and account id.
	#3 Execute the testing_script_CONN-4117505 with your account id and recording ids, from the Jira ticlet and check the db to see if the owner_principal_ids of the recordings are null in pps_acls.
	Expected results: the owner_principal_id for the selected recordings are null.
	#4 Execute prepare script with @accountId =  your account id .
	Expected result: console output should say : One-off is needed! Creating a new table for One-off. and a new table PPS_ACLS_CONN_4117505 should be created in the db.
	#5 Execute update script with @accountId =  your account id and @ownerId = the id of the principal that you want to be the owner of the recordings, select any princial id.
	Expected result: The owner_principal_ids for the selected recordings are set to the principal id that you have selected.
	#6 Execute validate script with @accountId =  your account id.
	Expected result: The console should say : One-off successful.
	#7 Execute rollback script.
	Expected result: The owner_principal_id for the selected recordings are null again and table PPS_ACLS_CONN_4117505 is deleted.
	
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2038644

Change 1403867 on 2020/03/10 by spadman@spadman-WX-1

	Fixing errors

Change 1403853 on 2020/03/10 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/ACREQ-41292
	
	BAMA Template Change Requested (Domain-name or trial period)
	
	https://reviews.corp.adobe.com/ui#review:id=2037853

Change 1403134 on 2020/02/21 by spadman@spadman-WX-1

	Further fixes for Fix bug#: CONN-4118607.

Change 1403129 on 2020/02/21 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4118607
	Description: Prepare one-off for fixing customer's data.
	Comments: 
	Dev impact: None
	QA testing notes: 
	#1 It will be delivered directly to OPS, no need for testing.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2035620

Change 1401139 on 2020/01/20 by pst64637@pst64637_EN510699_5427

	Database-data file updated to v10.6.1

Change 1401030 on 2020/01/20 by ngoyal@ngwx4

	Merging
	
	//depot/branches/AdobeConnect/10.6.1dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1400878 on 2020/01/16 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4117617
	Description: EAR: API is taking a lot of time to execute
	Comments: Dropping index suspected for causing slow performance
	Dev impact: None
	QA testing notes: Execute scripts in sequence prepare-update-validate-rollback-prepare-validate and check SSMS messages
	Patch impact: None
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2021939

Change 1399880 on 2019/12/18 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4112504
	Description: Escalation[Arkadin] - Polls data missing in Event reports but present in Seminar reports
	Comments: Inserting rows into event-interaction table
	Dev impact: None
	QA testing notes: No test needed
	Patch impact: None
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2011225

Change 1399520 on 2019/12/10 by pst64637@pst64637_EN510699_5427

	10.6.0.1 update script

Change 1399306 on 2019/12/05 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4115741
	Description: Poll pod questions not showing in the Event Report.
	Comments: Interactions inserted into the db.
	Dev impact: None
	QA testing notes: 
	#1 It will be delivered directly to OPS, no need for testing.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=2008433

Change 1399261 on 2019/12/04 by spadman@spadman-WX-1

	CONN-4115738 - Whitelisting accounts created after 1/1/2019 based on previous history of sending 4000 or more emails per event

Change 1399118 on 2019/12/03 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4115609
	Description: HTML client users show as Not attended in Event reports even though they are appearing in the Number Attended report and also answered Poll questions.
	Comments: Sets the value of DATE_CLOSED in transactions to a date, in DB rows.
	Dev impact: None
	QA testing notes: 
	#1 It will be delivered directly to OPS, no need for testing.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Rewiev: https://reviews.corp.adobe.com/ui#review:id=2006613

Change 1398764 on 2019/11/26 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4113719
	Description: PPT/PPTx/PDF conversion failing on NA2.
	Comments: Remove all rows that contain SECTION fields that contain numbers.
	Dev impact: None
	QA testing notes: 
	#1 Insert target rows into DB, execute rollback script .
	#2 Check that the system is working correctly.
	#3 Execute prepare script.
	#4 Remove the target rows from the DB, execute update script.
	#5 Execute validate script to check the results.
	
	Expected result: System is working normally, like before the update of the DB, and the DB does not contain any fields that have numbers in their SECTION column.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Rewiev: https://reviews.corp.adobe.com/ui#review:id=2005888

Change 1398340 on 2019/11/14 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4113267
	Description: Update scripts for purging old customer accounts
	Comments: Updated script purge-account-sql
	Dev impact: None
	QA testing notes: 
	1# Get the biggest and most complex DB you can, must have SAML involved. Restore it from backup (you'll need to restore it later again)
	2# Execute script dbscripts\meintenance\purge_account.sql. Script will create stored procedure
	3# Use following line from script in order to disable accounts en masse:
	-- prepare accounts - disable what you intend to delete. Address accounts only (type = 0)
	-- UPDATE pps_accounts SET [disabled] = GETUTCDATE()-180 WHERE ACCOUNT_ID > 7 AND disabled IS NULL AND [type] = 0
	4# Run purge_account_runner.sql. Check for errors
	Migration impact: None
	Patch impact: None - scripts will be delivered to Ops directly
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1999254

Change 1397861 on 2019/11/01 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4115776
	Description: Transcript and User Sessions Cleanup extension for 10.6/11.0
	Comments: Transcripts and user sessions cleanup combined, including all N-state transcripts
	Dev impact: None
	QA testing notes: 
	1# pick some DB with data, regardless to amount. Make backup of it
	2# Execute queries and write numbers somewhere:
	set transaction isolation level read uncommitted
	GO
	select 
	(select count(*) from pps_user_sessions) as session_count, 
	(select count(*) from pps_transcripts) as transcripts_count, 
	(select count(*) from pps_transcripts WHERE status='N') as transcripts_n_count, 
	(select count(*) from pps_transcripts WHERE status <> 'N') as transcripts_non_n_count 
	3# run script from CL
	4# repeat step 2# and compare values:
	total number of user sessions should be lower
	total number of transcripts should be lower
	number of N transcripts should be lower but number of those having date-created in last 2 days should remain same!
	number of non-N transcripts must remain same!
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1999107

Change 1397826 on 2019/10/31 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/CONN-4115738
	
	Create alerts/triggers to act on malicious use of email functionality from all accounts
	
	https://reviews.corp.adobe.com/ui#review:id=1998467

Change 1397746 on 2019/10/28 by end27433@end27433_EN510342_1825

	Fix bug#: CONN-4115565
	Description: Unable to edit/view/delete reports in French language
	Comments: All reports are available for editing or viewing.
	Dev impact: 
	QA testing notes: 
	#1 log in and go to Reports tab.
	#2 In Create New tab go to System Usage.
	#3 For the Report Type, from the dropdown select Group Usage Report, finish the report and on the last screen click on Save Report Query.
	#4 Go to Reports tab.
	#5 For the Report Type, from the dropdown select Meeting Sessions Usage Report, finish the report and on the last screen click on Save Report Query.
	#6 Go to int the db PPS_REPORT_DESCRIPTORS.
	#7 For the Group Usage Report replace the value in the DESCRIPTION column with {group-usage-report-descriptor-tag}.
	#8 For the Meeting Sessions Usage Report replace the value in the DESCRIPTION column with {meeting-sessions-usage-report-descriptor-tag}.
	#9 Go to My Profile tab -> Edit My Preferences, in the Language dropdown choose French.
	#10 Go to Rapports tab and then  RAPORTS ENREGISTRES tab.
	Expected result: The reports that had their values changed in the PPS_REPORT_DESCRIPTORS table should have their TYPE column enmpty and can not be viewed or edited.
	# 11 Execute the update.sql script with the @AccountID set to the account id of the account that is used.
	# 12 Go to the Rapports tab and than RAPPORTS ENREGISTRES tab.
	Expected result: Previously unavailable reports should now be available for viewing and editing.
	
	Migration impact: None
	Patch impact: 
	Install impact: None
	Loc impact: None
	Doc impact: 
	Perm Impact: None
	Wiki: None
	Rewiev: https://reviews.corp.adobe.com/ui#review:id=1998795

Change 1397616 on 2019/10/24 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/CONN-4115738
	
	Minor changes

Change 1397516 on 2019/10/23 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/CONN-4115738
	
	https://reviews.corp.adobe.com/ui#review:id=1998467

Change 1397117 on 2019/10/17 by pst64637@pst64637_EN510699_5427

	merging 10.6 into main

Change 1397038 on 2019/10/17 by ngoyal@ngwx3

	Merging
	
	//depot/branches/AdobeConnect/10.6dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1395342 on 2019/10/01 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4115308
	Description: [Order Services] BAMA Error when saving account
	Comments: One-off to 'hide' principal from query
	Dev impact: None
	QA testing notes: No QA
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: 
	Review: https://reviews.corp.adobe.com/ui#review:id=1994388

Change 1392752 on 2019/09/06 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4114404
	Description: DW jobs on EMEA2 and NA7 failing in some steps
	Comments: Added DISTINCT to one of steps to make dependant steps faster as well as reports
	Dev impact: None
	QA testing notes: No test needed
	Patch impact: generate and deploy DW job
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: 

Change 1392744 on 2019/09/06 by pst64637@pst64637_EN510699_5427

	Error in script while creating index

Change 1392689 on 2019/09/05 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4114404
	Description: DW jobs on EMEA2 and NA7 failing in some steps
	Comments: Step for NA7 optimized, on EMEA2 column width of one reporting table extended due to data entered by customer
	Dev impact: None
	QA testing notes: 
	1# REPORTING_TABLE_DIM_SCO_DETAILS: fake data by updating some sco-tag to value larger than 254 chars. Sco-tag field is ACL field No. 4 (SELECT * FROM pps_acl_fields WHERE acl_id=@mySco AND field-id=4). Then exec DW job
	2# REPORTING_TABLE_TRAINING_LINK_STATUS: make sure there are no diff in table generated by previous version and this one
	3# Update script must execute without error
	4# database_schema.sql script must execute without error
	Patch impact: exec update script, generate and deploy DW job
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: 

Change 1392157 on 2019/09/02 by adamjano@rcandrej-laptop2

	Update scripts file type set to expand RCS keywords

Change 1391996 on 2019/08/30 by ngoyal@ngwx3

	Submitting on behalf of Akash. 
	
	CONN-4114467 - Linking Connect and Prime Accounts for Captivate prime with Connect SKU (MAIN Branch)
	
	Description- Integrating CL  1391139 & CL 1391982  to  MAIN Branch
	
	
	JIRA link- https://jira.corp.adobe.com/browse/CONN-4114467
	
	Review - https://reviews.corp.adobe.com/ui#review:id=1987257 
	 Wiki: https://wiki.corp.adobe.com/display/Breeze/CONN-4113745+Linking+Connect+and+Prime+Accounts+for+Captivate+prime+with+Connect+SKU

Change 1391104 on 2019/08/20 by spadman@spadman-WX-1

	Adding trial accounts to the DB alerts.

Change 1390561 on 2019/08/14 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4111198
	Description: Escalation [Idexx] - Meeting in/out timings are incorrect in report
	Comments: Changed date-closed of two transcripts
	Dev impact: None
	QA testing notes: No QA effort needed
	Patch impact: None
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:
	Review: https://reviews.corp.adobe.com/ui#review:id=1984334

Change 1390083 on 2019/08/06 by spadman@spadman-WX-1

	Cursor changes and logic change for the trigger.

Change 1390045 on 2019/08/06 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4113637
	Description: Escalation [Avado] - Getting internal error when trying to access the Seminar Calendar tab in EMEA1
	Comments: One-off, fixing data, copying limit from quota
	Dev impact: None
	QA testing notes: 
	1# find some DB where there are entries in PPS_ACL_FIELDS for field 311. Check by executing: SELECT * FROM pps_acl_fields WHERE field_id=311
	2# if none of these values is non-numeric, fake it by setting few of them to some alpha value, like 'lorem ipsum'
	3# try to reproduce bug based on description (ask for help to identify SCO to check against)
	4# test patch (script sequences: prepare, update, validate  // prepare/update/rollback/prepare). After patching data, Jira issue must be resolved
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1982775

Change 1390021 on 2019/08/05 by spadman@spadman-WX-1

	Corrections to cursor loop

Change 1390015 on 2019/08/05 by spadman@spadman-WX-1

	https://jira.corp.adobe.com/browse/CONN-4113871
	
	Create alerts/triggers to act on malicious use of email functionality from eCommerce accounts
	
	https://reviews.corp.adobe.com/ui#review:id=1981628
	
	https://reviews.corp.adobe.com/ui#review:id=1983131

Change 1389893 on 2019/08/02 by pst64637@pst64637_EN510699_5427

	Fix bug#: CONN-4113637
	Description: Escalation [Avado] - Getting internal error when trying to access the Seminar Calendar tab in EMEA1
	Comments: One-off, fixing data, copying limit from quota
	Dev impact: None
	QA testing notes: 
	1# find some DB where there are entries in PPS_ACL_FIELDS for field 311. Check by executing: SELECT * FROM pps_acl_fields WHERE field_id=311
	2# if none of these values is non-numeric, fake it by setting few of them to some alpha value, like 'lorem ipsum'
	3# try to reproduce bug based on description (ask for help to identify SCO to check against)
	4# test patch (script sequences: prepare, update, validate  // prepare/update/rollback/prepare). After patching data, Jira issue must be resolved
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1982775

Change 1387834 on 2019/07/01 by ngoyal@ngwx3

	Merging
	
	//depot/branches/AdobeConnect/10.dev.postbeta/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1387587 on 2019/06/26 by pst64637@pst64637

	fix after mergin 10.dev.postbeta and main

Change 1387576 on 2019/06/26 by pst64637@pst64637

	Merging
	
	//depot/branches/AdobeConnect/10.dev.postbeta/components/dbscripts/database_schema.sql
	
	to //depot/main/AdobeConnect/components/dbscripts/database_schema.sql

Change 1387324 on 2019/06/21 by pst64637@pst64637

	deleting leading whitespace from name of int2bigint_inplace_upgrade.sql file

Change 1386892 on 2019/06/13 by pst64637@pst64637

	10.2.1 update script

Change 1386877 on 2019/06/13 by pst64637@pst64637

	10.2.1 update script

Change 1386569 on 2019/06/04 by pst64637@pst64637

	Fix bug#: CONN-4109395
	Description: Escalation [Michigandot] - Connect Recordings failed to download its audio MP3 file (NA3 cluster)
	Comments: Updated particular action to have status = N (new)
	Dev impact: None
	QA testing notes: None
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1974774

Change 1385984 on 2019/05/24 by pst64637@pst64637

	Fix bug#: CONN-4112798
	Description: RTL JOB is slow. Managing indexes to speed it up (one-off)
	Comments: Indexes modified. First (slowest) step should be positively affected
	Dev impact: None
	QA testing notes: no QA effort needed, Ops will validate scripts
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1973083

Change 1385979 on 2019/05/24 by pst64637@pst64637

	Fix bug#: CONN-4112393
	Description: Transcript and User Sessions Cleanup
	Comments: Transcripts and user sessions cleanup combined
	Dev impact: None
	QA testing notes: 
	1# pick some DB with data, regardless to amount. Make backup of it
	2# Execute queries and write numbers somewhere:
	set transaction isolation level read uncommitted
	GO
	select 
	(select count(*) from pps_user_sessions) as session_count, 
	(select count(*) from pps_transcripts) as transcripts_count, 
	(select count(*) from pps_transcripts WHERE status='N') as transcripts_n_count, 
	(select count(*) from pps_transcripts WHERE status <> 'N') as transcripts_non_n_count 
	3# run script from CL
	4# repeat step 2# and compare values:
	total number of user sessions should be lower
	total number of transcripts should be lower
	number of N transcripts should be lower but number of those having date-created in last 2 days should remain same!
	number of non-N transcripts must remain same!
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1973151

Change 1384813 on 2019/05/06 by pst64637@pst64637

	Fix bug#: CONN-4112036
	Description: Escalation: Max score showing 0 and course status incomplete
	Comments: Updating transcripts, score, max-score and status
	Dev impact: None
	QA testing notes: This is standard one-off test. Before test, you might have to fake data.
	Make sure there are rows in pps-transcripts table in some rows where one of these is true:
	1# score > max-score
	2# score <> null AND max-score = null
	3# score = max-score AND status = in-progress
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1968949

Change 1384486 on 2019/04/25 by pst64637@pst64637

	Fix bug#: CONN-4111586
	Description: Change the Last Activity Date in course report to be same as Date taken of Courses and curriculum
	Comments: Updating transcripts and user sessions
	Dev impact: None
	QA testing notes: No test
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1969001

Change 1384411 on 2019/04/24 by pst64637@pst64637

	Fix bug#: CONN-4109627
	Description: Request for Help[iTech] - Seminar by session reports intermittently lands to 'page taking too long to respond' error page
	Comments: Transcript cleanup, user sessions fix, transcript fix, index altered
	Dev impact: None
	QA testing notes: After executing transcripts_cleanup.sql, no transcript older than 7 days in N state should not exist. Others must remain. Get count before testing and make DB backup if test has to be repeated
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1953100

Change 1384410 on 2019/04/24 by pst64637@pst64637

	Fix bug#: CONN-4109627
	Description: Request for Help[iTech] - Seminar by session reports intermittently lands to 'page taking too long to respond' error page
	Comments: Transcript cleanup, user sessions fix, transcript fix, index altered
	Dev impact: None
	QA testing notes: After executing transcripts_cleanup.sql, no transcript older than 7 days in N state should not exist. Others must remain. Get count before testing and make DB backup if test has to be repeated
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1953100

Change 1384089 on 2019/04/17 by pst64637@pst64637

	Fix bug#: CONN-4109627
	Description: Request for Help[iTech] - Seminar by session reports intermittently lands to 'page taking too long to respond' error page
	Comments: Transcript cleanup, user sessions fix, transcript fix, index altered
	Dev impact: None
	QA testing notes: After executing transcripts_cleanup.sql, no transcript older than 7 days in N state should not exist. Others must remain. Get count before testing and make DB backup if test has to be repeated
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1953100

Change 1384079 on 2019/04/17 by pst64637@pst64637

	Fix bug#: CONN-4109627
	Description: Request for Help[iTech] - Seminar by session reports intermittently lands to 'page taking too long to respond' error page
	Comments: Transcript cleanup, user sessions fix, transcript fix, index altered
	Dev impact: None
	QA testing notes: After executing transcripts_cleanup.sql, no transcript older than 7 days in N state should not exist. Others must remain. Get count before testing and make DB backup if test has to be repeated
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1953100

Change 1384013 on 2019/04/16 by pst64637@pst64637

	Fix bug#: CONN-4109627
	Description: Request for Help[iTech] - Seminar by session reports intermittently lands to 'page taking too long to respond' error page
	Comments: Transcript cleanup, user sessions fix, transcript fix, index altered
	Dev impact: None
	QA testing notes: After executing transcripts_cleanup.sql, no transcript older than 7 days in N state should not exist. Others must remain. Get count before testing and make DB backup if test has to be repeated
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1953100

Change 1384002 on 2019/04/16 by pst64637@pst64637

	Fix bug#: CONN-4111970
	Description: One-off to fix data and indexes
	Comments: Added included columns to existing index
	Dev impact: None
	QA testing notes: No QA, scripts go directly to Ops
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1953100

Change 1383951 on 2019/04/15 by pst64637@pst64637

	Fix bug#: CONN-4109627
	Description: Request for Help[iTech] - Seminar by session reports intermittently lands to 'page taking too long to respond' error page
	Comments: Instead of fetching seminar session info one-by-one, now fetching data for all sessions if not performed. For those that were, doing same. 
	Dev impact: None
	QA testing notes: 
	1# Create seminar room and schedule few sessions. Sessions need to be as short as possible
	2# Run one session, join few users. Stop session or wait to expire
	3# Check Participants tab under Seminars=>select-your-room=>Sessions. Sessions in the past need to have number of actual participants. Sessions in future need to have max participant number
	4# Compare data from 3# with Seminars=>Seminar Sessions tab. Must match
	5# Get to BAMA, Account Features=>Shared Seminars. Update seminar license to allow different number of concurrent users. Get back and check 3# and 4#, must correspond to this (BAMA) change
	Migration impact: None
	Patch impact: deploy breeze.jar
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1966833

Change 1383533 on 2019/04/04 by pst64637@pst64637

	Fix bug#: CONN-4111491
	Description: EAR: Discrepancy in course reports
	Comments: Targetting particular transcripts and setting max-score to 100
	Dev impact: None
	QA testing notes: No test needed
	Migration impact: 
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1965117

Change 1382363 on 2019/03/11 by pst64637@pst64637

	database-data script inserts 10.1 instead of 10.2

Change 1381689 on 2019/02/25 by ngoyal@ngwxvm

	Merging
	
	//depot/branches/AdobeConnect/10.2dev/...
	
	to //depot/main/AdobeConnect/...

Change 1381534 on 2019/02/20 by pst64637@pst64637

	Fix bug#: CONN-4110503
	Description: ESCALATION: [MeetingOne] Discrepancy in Meeting session report
	Comments: Fixing transcript date-closed
	Dev impact: None
	QA testing notes: Ops will test
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1958594

Change 1380296 on 2019/01/17 by pst64637@pst64637

	Fix bug#: CONN-4108973
	Description: Fix SCO data that prevents enabling Events feature
	Comments: one-off, to modify 'disabled' for all SCOs where necessary
	Dev impact: None
	QA testing notes: For Belgrade QA
	1# Find database where one-off can be applied. Check that by running 'prepare' script, if it says fix is needed then DB is good for testing, otherwise not. I've found DB C2cps_migration on database.connect.pstech.rs,1435 can be used for testing this one-off, perhapse some other as well
	2# Issue is that events for given account cannot be enabled so try to enabe them first. Failure is expected.
	3# Test one-off scripts in regular way: prepare-update-validate, prepare-update-rollback-validate. All scripts are expected to exec without error regardless to previous attempts to execute them
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1955136

Change 1380287 on 2019/01/17 by pst64637@pst64637

	Fix bug#: CONN-4108973
	Description: Fix SCO data that prevents enabling Events feature
	Comments: one-off, to modify 'disabled' for particular SCO
	Dev impact: None
	QA testing notes: Ops does review before applying
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1955096

Change 1380264 on 2019/01/16 by pst64637@pst64637

	Fix bug#: CONN-4108973
	Description: Fix SCO data that prevents enabling Events feature
	Comments: one-off, to modify 'disabled' for particular SCO
	Dev impact: None
	QA testing notes: Ops does review before applying
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1955096

Change 1379165 on 2018/12/06 by jangid@jangid-WX-1

	CONN-4108809 :- ESCALATION: [MeetingOne] UV number appearing in the attendee List

Change 1378955 on 2018/11/30 by anurkuma@anurkuma_anurkuma-W7-1_7339

	Back out changelist 1378925 + added default enable feature 

Change 1378934 on 2018/11/29 by pst64637@pst64637

	Once-off for PDC-4547

Change 1378925 on 2018/11/29 by anurkuma@anurkuma_anurkuma-W7-1_7339

	CONN-4109631

Change 1378478 on 2018/11/21 by ngoyal@ngwx1

	Merging
	
	//depot/branches/AdobeConnect/10.1.0/...
	
	to //depot/main/AdobeConnect/...

Change 1377636 on 2018/10/26 by pst64637@pst64637

	Fix bug#: CONN-4109301
	Description: Query CoreDAL.deleteGroupMembership running slowly on EMEA1
	Comments: Updated index PPS_ACL_FIELDS_FIELD_ID to have VALUE column as well
	Dev impact: None
	QA testing notes: After executing "update" script, make sure there is an index named PPS_ACL_FIELDS_FIELD_ID, having columns ACL_ID and VALUE as included
	Migration impact: None
	Patch impact: run update script
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1943634

Change 1377607 on 2018/10/26 by pst64637@pst64637

	CONN-4108571
	Keeping one-off in sync with current work, since index applied or to be applied in production servers has [VALUE] column already

Change 1377521 on 2018/10/24 by pst64637@pst64637

	Fix bug#: CONN-4109244
	Description: Sev2 Incidence investigation --C10
	Comments: one-off to create index on PPS_ACL_FIELDS
	Dev impact: None
	QA testing notes: Not test needed, handling directly to Ops. 
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1941937

Change 1377347 on 2018/10/18 by anurkuma@E_Conn_work

	Sending all 10.1dev work to mainline for 10.1 release
	
	Merging
	
	//depot/branches/AdobeConnect/10.1dev/...
	
	to //depot/main/AdobeConnect/...

Change 1377148 on 2018/10/12 by pst64637@pst64637

	10.0 pre-deployment step - execution of CONN-4086040

Change 1377042 on 2018/10/09 by pst64637@pst64637

	Fix bug#: CONN-4109020
	Description: RTL job No. 14 (CRS_REPORTING_TABLE_MEETING_STATUS) failing on AR
	Comments: Recomputing asset date-end for all assets
	Dev impact: None
	QA testing notes: 
	1# Update date_end for all assets in you test DB to NULL (UPDATE pps_assets SET date_end = NULL)
	2# Execue one off. Make sure both cycles are working, (a) prepare-update-validate and (b) prepare-update-rollback-prepare
	3# Start CPS and check if it's working, then check few meeting reports. You may prepare one meeting before testing and compare meeting reports after. Pay attention to session reports
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1930213

Change 1376991 on 2018/10/08 by pst64637@pst64637

	Fix bug#: CONN-4109020
	Description: RTL job No. 14 (CRS_REPORTING_TABLE_MEETING_STATUS) failing on AR
	Comments: Recomputing asset date-end for all assets
	Dev impact: None
	QA testing notes: 
	1# Update date_end for all assets in you test DB to NULL (UPDATE pps_assets SET date_end = NULL)
	2# Execue one off. Make sure both cycles are working, (a) prepare-update-validate and (b) prepare-update-rollback-prepare
	3# Start CPS and check if it's working, then check few meeting reports. You may prepare one meeting before testing and compare meeting reports after. Pay attention to session reports
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1930213

Change 1376843 on 2018/09/28 by deepagup@Deepanshu's_Desktop_Wx

	Reverting back menu highlight color to #005CD4 from #CACACA in the new flash client UI

Change 1376583 on 2018/09/21 by ngoyal@ngwx1

	Merging
	
	//depot/branches/AdobeConnect/10.dev/...
	
	to //depot/main/AdobeConnect/...

Change 1376401 on 2018/09/17 by pst64637@pst64637

	Fix bug#: CONN-4108963
	Description: Fix customer data, so they can enable events feature for wecademy.adobeconnect.com account on EMEA2
	Comments: Updating [disabled] column for specific SCOs in order to bypass undelete SCO children mechanism
	Dev impact: None
	QA testing notes: No QA, goes to Ops directly
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1923081

Change 1376312 on 2018/09/14 by pst64637@pst64637

	Fix bug#: CONN-4108963
	Description: Fix customer data, so they can enable events feature for wecademy.adobeconnect.com account on EMEA2
	Comments: Updating [disabled] column for specific SCOs in order to bypass undelete SCO children mechanism
	Dev impact: None
	QA testing notes: No QA, goes to Ops directly
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1923081

Change 1376044 on 2018/09/10 by pst64637@pst64637

	Merging
	
	//depot/branches/AdobeConnect/10.dev/components/dbscripts/maintenance/...
	
	to //depot/main/AdobeConnect/components/dbscripts/maintenance/...

Change 1375327 on 2018/08/30 by ngoyal@ngwx2

	Merging
	
	//depot/branches/AdobeConnect/10.dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1373191 on 2018/08/03 by pst64637@pst64637

	Fix bug#: ACREQ-40809
	Description: Set null values into cost-center fields in order to unblock DW step
	Comments: Created backup table and copied ACL IDs/fields/values to it, then updated [value] column to null
	Dev impact: None
	QA testing notes: 
	1# See if you have any entry in PPS_ACL_FIELDS where field-id=131 and it belongs to some principal. 131 is related to cost-center
	2# Delete that principal and obfuscate it
	3# Make a copy of PPS_ACL_PRINCIPALS
	4# Run prepare/update/validate scripts
	5# Make sure there are updated rows only those that were obfuscated
	6# Do rollback and make sure PPS_ACL_FIELDS is equal to its copy from step 3#
	Migration impact: 
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1899605

Change 1370793 on 2018/07/04 by pst64637@pst64637

	Fix bug#: CONN-4107197
	Description: ESCALATION: [Clarix] Discrepancy in user session reports for Event/Seminar
	Comments: Could not find root cause in logs. One-off is targetting particular row in order to fix transcript's date-created
	Dev impact: None
	QA testing notes: No testing, goes to Ops. Apply to NA12 only
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1784201

Change 1370482 on 2018/06/29 by pst64637@pst64637

	Fix bug#: CONN-4107762
	Description: Create one-off for updating recording ownership data
	Comments: Updating PPS_ACLS.OWNER_PRINCIPAL_ID with user's ID only if recording is user recording (my-recording)
	Dev impact: None
	QA testing notes:
	0# Pick a database and account ID and modify 'prepare' script to use that account ID
	1# Run 'prepare' script. If it says no-update-needed, find another account. Repeat until you find one that need to be patched
	2# Find recording in user folder without ownership. Execute API sco-by-url against it. It should return no owner principal info. Write down SCO ID, will need it later
	3# Edit all scripts and set proper account ID in them (there is variable @accountId in each script)
	4# Run scripts in one-off test order, prepare-update-validate & prepare-update-rollback-validate, then again prepare-update-validate. There must be no errors.
	5# Now execute script in order prepare-update-validate
	6# Execute API sco-by-url against recording from 2#. Now there must be owner-principal info
	
	Migration impact: 
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review:  https://reviews.corp.adobe.com/ui#review:id=1826433

Change 1370324 on 2018/06/28 by pst64637@pst64637

	Fix bug#: CONN-4107744
	Description: EAR: Event Manager & Event Administrators cannot access Reports under Shared event
	Comments: Inserting couple of rows into PPS_ACL_ENTRIES to provide access of event admins/superadmins to export templates
	Dev impact: None
	QA testing notes: None, goes directly to prodction
	Migration impact:
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1846833

Change 1370315 on 2018/06/28 by pst64637@pst64637

	Fix bug#: CONN-4107148
	Description: Create script for fixing existing data
	Comments: SQL script need to be executed from time to time, it would be the best if executed before DW job or as part of it
	Dev impact: None
	QA testing notes:
	First edit script and set DECLARE @fixThresholdInDays INT to 0 instead of 1.
	0. Test on events and various types of training (SCOs). Create one SCO of each type. These instructions cover just one of these types but procedure is same for each one
	1. Attend SCO
	2. Check reports by session (attendees) where entry/exit time is shown. If you found some session entry/exit time is same, then you have data set suitable for testing. If not, pick one transcript belonging to SCO and update its date-closed to be same as date-created
	3. Run script. Must be executed without errors
	4. Check reports. Times must be logical, according to presence in SCO
	5. Repeat steps 2-4 but this time set date-closed to null. Reports must be fixed
	Migration impact:
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1774615

Change 1369783 on 2018/06/20 by pst64637@pst64637

	Fix bug#: CONN-4105898
	Description: EAR: Not able to upload the license file
	Comments: Updated url-path for template SCOs on account 7
	Dev impact: None
	QA testing notes: None
	Migration impact: 
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1830473

Change 1369702 on 2018/06/19 by pst64637@pst64637

	Fix bug#: CONN-4107762
	Description: Create one-off for updating recording ownership data
	Comments: Updating PPS_ACLS.OWNER_PRINCIPAL_ID with user's ID only if recording is user recording (my-recording)
	Dev impact: None
	QA testing notes:
	0# Pick a database and account ID and modify 'prepare' script to use that account ID
	1# Run 'prepare' script. If it says no-update-needed, find another account. Repeat until you find one that need to be patched
	2# Find recording in user folder without ownership. Execute API sco-by-url against it. It should return no owner principal info. Write down SCO ID, will need it later
	3# Edit all scripts and set proper account ID in them (there is variable @accountId in each script)
	4# Run scripts in one-off test order, prepare-update-validate & prepare-update-rollback-validate, then again prepare-update-validate. There must be no errors.
	5# Now execute script in order prepare-update-validate
	6# Execute API sco-by-url against recording from 2#. Now there must be owner-principal info
	
	Migration impact: 
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: 

Change 1369564 on 2018/06/18 by pst64637@pst64637

	Fix bug#: CONN-4107735
	Description: Fix customer data, so they can enable events feature for expinet.adobeconnect.com account
	Comments: Updating [disabled] column for specific SCOs in order to bypass undelete SCO children mechanism
	Dev impact: None
	QA testing notes: No QA, goes to Ops directly
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1821913

Change 1368739 on 2018/06/05 by pst64637@pst64637

	Fix bug#: CONN-4107148
	Description: Create script for fixing existing data
	Comments: SQL script need to be executed from time to time, it would be the best if executed before DW job or as part of it
	Dev impact: None
	QA testing notes:
	First edit script and set DECLARE @fixThresholdInDays INT to 0 instead of 1.
	0. Test on events and various types of training (SCOs). Create one SCO of each type. These instructions cover just one of these types but procedure is same for each one
	1. Attend SCO
	2. Check reports by session (attendees) where entry/exit time is shown. If you found some session entry/exit time is same, then you have data set suitable for testing. If not, pick one transcript belonging to SCO and update its date-closed to be same as date-created
	3. Run script. Must be executed without errors
	4. Check reports. Times must be logical, according to presence in SCO
	5. Repeat steps 2-4 but this time set date-closed to null. Reports must be fixed
	Migration impact:
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1774615

Change 1368419 on 2018/05/30 by pst64637@pst64637

	Fix bug#: CONN-4107457
	Description: Create SQL Scripts for obfuscating username from PPS_USER_SESSIONS for GDPR
	Comments: Added obfuscation of user session [name] column
	Dev impact: None
	QA testing notes: 
	1. Create an user and attend a meeting or two using his credentials
	2. Check PPS_USER_SESSION.[NAME] for that meeting attendance. It should be filled in
	3. Delete it via GUI or API but do not obfuscate or purge
	3. Run (use SSMS) stored procedure obfuscate_principal.sql located in dbscripts/maintentance folder with parameters <principalId> and days=0
	4. Execute ObfuscatePrincipal stored procedure in order to obfuscate that user
	5. Check PPS_USER_SESSION.[NAME] again. [NAME] must be obfuscated
	Migration impact: None
	Install impact: None
	Patch impact: Ship midified scripts with patch
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:
	Review: https://reviews.corp.adobe.com/ui#review:id=1788034

Change 1368178 on 2018/05/25 by pst64637@pst64637

	Fix bug#: CONN-4107197
	Description: ESCALATION: [Clarix] Discrepancy in user session reports for Event/Seminar
	Comments: Could not find root cause in logs. One-off is targetting particular row in order to fix transcript's date-created
	Dev impact: None
	QA testing notes: No testing, goes to Ops 
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1784201

Change 1368047 on 2018/05/23 by pst64637@pst64637

	Fix bug#: CONN-4107327
	Description: Create GDPR DB scripts to allow selective obfuscation of user data
	Comments: Added obfuscation of user folders (root levels only, not subfolders)
	Dev impact: None
	QA testing notes: 
	1. Create an user and join him on every group you have in CPS
	2. Delete it via GUI or API but do not obfuscate or purge
	3. Run (use SSMS) stored procedure obfuscate_principal.sql located in dbscripts/maintentance folder with parameters <principalId> and days=0
	4. Have a look using GUI at all users folders (named: user meetings, user trainings, user content, etc) and check if you can recognize user. These folders are named by default same as user login but now they should have names like 'zzzz-<SCO ID>'
	5. Test ObfuscatePrincipal stored procedure on Connect 9.0.4, 9.5.7 and 9.8
	Migration impact: None
	Install impact: None
	Patch impact: Ship midified scripts with patch
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:
	Review: https://reviews.corp.adobe.com/ui#review:id=1783919

Change 1368026 on 2018/05/23 by pst64637@pst64637

	Fix bug#: CONN-4107327
	Description: Create GDPR DB scripts to allow selective obfuscation of user data
	Comments: Added obfuscation of user folders (root levels only, not subfolders)
	Dev impact: None
	QA testing notes: 
	1. Create an user and join him on every group you have in CPS
	2. Delete it via GUI or API but do not obfuscate or purge
	3. Run (use SSMS) stored procedure obfuscate_principal.sql located in dbscripts/maintentance folder with parameters <principalId> and days=0
	4. Have a look using GUI at all users folders (named: user meetings, user trainings, user content, etc) and check if you can recognize user. These folders are named by default same as user login but now they should have names like 'zzzz-<SCO ID>'
	5. Test ObfuscatePrincipal stored procedure on Connect 9.0.4, 9.5.7 and 9.8
	Migration impact: None
	Install impact: None
	Patch impact: Ship midified scripts with patch
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:
	Review: https://reviews.corp.adobe.com/ui#review:id=1783919

Change 1368009 on 2018/05/23 by ngoyal@ngwx2

	Merging
	
	//depot/branches/AdobeConnect/9.8.1Sustaining/...
	
	to //depot/main/AdobeConnect/...

Change 1367956 on 2018/05/22 by pst64637@pst64637

	Fix bug#: CONN-4107327
	Description: Create GDPR DB scripts to allow selective obfuscation of user data
	Comments: Added obfuscation of user folders (root levels only, not subfolders)
	Dev impact: None
	QA testing notes: 
	1. Create an user and join him on every group you have in CPS
	2. Delete it via GUI or API but do not obfuscate or purge
	3. Run (use SSMS) stored procedure obfuscate_principal.sql located in dbscripts/maintentance folder with parameters <principalId> and days=0
	4. Have a look using GUI at all users folders (named: user meetings, user trainings, user content, etc) and check if you can recognize user. These folders are named by default same as user login but now they should have names like 'zzzz-<SCO ID>'
	5. Test ObfuscatePrincipal stored procedure on Connect 9.0.4, 9.5.7 and 9.8
	Migration impact: None
	Install impact: None
	Patch impact: Ship midified scripts with patch
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:
	Review: https://reviews.corp.adobe.com/ui#review:id=1783919

Change 1367953 on 2018/05/22 by spadman@spadman-WX-1

	Refining instructions for readability and correcting typos etc.

Change 1367880 on 2018/05/21 by pst64637@pst64637

	Fix bug#: CONN-4107327
	Description: Create GDPR DB scripts to allow selective obfuscation of user data
	Comments: Added obfuscation of user folders (root levels only, not subfolders)
	Dev impact: None
	QA testing notes: 
	1. Create an user and join him on every group you have in CPS
	2. Delete it via GUI or API but do not obfuscate or purge
	3. Run (use SSMS) stored procedure obfuscate_principal.sql located in dbscripts/maintentance folder with parameters <principalId> and days=0
	4. Have a look using GUI at all users folders (named: user meetings, user trainings, user content, etc) and check if you can recognize user. These folders are named by default same as user login but now they should have names like 'zzzz-<SCO ID>'
	5. Test ObfuscatePrincipal stored procedure on Connect 9.0.4, 9.5.7 and 9.8
	Migration impact: None
	Install impact: None
	Patch impact: Ship midified scripts with patch
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1367215 on 2018/05/10 by pst64637@pst64637

	Fix bug#: CONN-4106989
	Description: ESCALATION [1SOURCE] :Event notification emails for Custom trigger are not sent randomly
	Comments: PPS_ACTIONS.DATE_MODIFIED column data type changed from datetime to datetime(3). More info: https://github.com/Microsoft/mssql-jdbc/issues/443
	Dev impact: None
	QA testing notes: 
	0. Make sure PPS_ACTIONS.DATE_MODIFIED is datetime, not datetime(3) as it will be if update_9_8_1_0.sql script was executed.
	1. Find one action in PPS_ACTIONS table that is in E status. Other attibutes should be ACTION_TYPE_ID=3 and TEMPLATE_ID=22. Template ID do not need to be 22 but this was simplest example.
	2. Change its status to N, date_completed to NULL and date_modified to GETUTCDATE()
	3. Verify this action is not processed (mail not sent). If this it's sent, repeat step 2 until you get log entry "Action 123 concurency exception" where 123 is ACTION_ID
	4. Now change type of PPS_ACTIONS.DATE_MODIFIED column to datetime(3) by executing update script
	5. Verify this action is now processed each time (repeat step 2 several times and verify ther is no "Action 123 concurency exception" in log). 
	Migration impact: 
	Patch impact: Database need to be updated
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1774638

Change 1363863 on 2018/03/28 by ngoyal@ngwx1

	Merging
	
	//depot/branches/AdobeConnect/9.8dev/...
	
	to //depot/main/AdobeConnect/...
	
	Changes upto CL#1363859

Change 1363678 on 2018/03/26 by akajain@akajain_for_merge

	Bring 9.8dev branch to mainline to prepare mainline for 9.8 release.
	Merging
	
	//depot/branches/AdobeConnect/9.8dev/...
	
	to //depot/main/AdobeConnect/...

Change 1363076 on 2018/03/14 by spadman@spadman-WX-1

	Making a minor modification to this, because if we need to use this to delete extra rows on AR, we need to be sure we are only deleting the default value.
	
	https://reviews.corp.adobe.com/ui#review:id=1764596

Change 1362341 on 2018/02/27 by akajain@akajain_siddh

	CONN-4106364 :
	One off script to fix the recordings on AR.

Change 1361640 on 2018/02/08 by pst64637@pst64637

	Fix bug#: CONN-4106148
	Description: Update DB script to 9.7.5
	Comments: Script updated, one change from CL 1359342 properly documented and placed to the right place
	Dev impact: None
	QA testing notes: Make sure script executes without errors + it's idempotentn
	Migration impact: 
	Patch impact: Deploy breeze.jar
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: None
	Review: https://reviews.corp.adobe.com/ui#review:id=1759408

Change 1361529 on 2018/02/06 by akajain@akajain_for_merge

	Bringing 9.7.2dev in main branch. Making 9.7.2dev
	Merging
	
	//depot/branches/AdobeConnect/9.7.2dev/...
	
	to //depot/main/AdobeConnect/...

Change 1361344 on 2018/02/01 by pst64637@pst64637

	Fix bug#: CONN-4105950
	Description: Request: Telephony Profile Edit in DB for Misconfigured Profiles
	Comments: One-off, replacing PPS_TELE_PROFILE_CONF_NUMBERS.CONF_NUMBER and corresponding PPS_ACL_FIELD.VALUE entry
	Dev impact: None
	QA testing notes: 
	- Standard one-off procedure (prepare, update (test rollback as well), validate).
	- Find an account having Arkadin audio profiles and replace one of conference numbers with some other. 
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1361155 on 2018/01/24 by pst64637@pst64637

	Fix bug#: ACREQ-40551
	Description: NA12 - Wants to change e-mail domain for all the users
	Comments: One-off, SQL scripts
	Dev impact: None
	QA testing notes: 
	- find account ID to experiment with 
	- apply instructions from readme.txt
	- run scripts in order 1, 2, 3. Make sure there are no errors and validation message confirms job has been done
	- run script 4 (rollback), then script 3 and make sure message says patch need to be re-applied
	- run scripts again in order 1, 2, 3 and check messages
	- make sure scripts are idempotent
	- make sure no other accounts are affected
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: 
	Review: 

Change 1361154 on 2018/01/24 by pst64637@pst64637

	Fix bug#: ACREQ-40551
	Description: NA12 - Wants to change e-mail domain for all the users
	Comments: One-off, SQL scripts
	Dev impact: None
	QA testing notes: 
	- find account ID to experiment with 
	- apply instructions from readme.txt
	- run scripts in order 1, 2, 3. Make sure there are no errors and validation message confirms job has been done
	- run script 4 (rollback), then script 3 and make sure message says patch need to be re-applied
	- run scripts again in order 1, 2, 3 and check messages
	- make sure scripts are idempotent
	- make sure no other accounts are affected
	Migration impact: None
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: 
	Review: 

Change 1360756 on 2018/01/11 by pst64637@pst64637

	Fix bug#: CONN-4088097
	Description: Create DB update schema for bigint for v9.7
	Comments: Minor updates in naming
	Dev impact: None
	QA testing notes: Will be tested with Ops
	Migration impact: INT IDs will become BIGINT
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: https://wiki.corp.adobe.com/display/Breeze/INT2BIGINT+migration+steps+and+procedures
	Review: https://reviews.corp.adobe.com/ui#review:id=1749145

Change 1359564 on 2017/11/14 by pst64637@pst64637

	Fix bug#: CONN-4088097
	Description: Create DB update schema for bigint for v9.7
	Comments: Scripts updated, few new columns, modified views, couple of changes in indexes
	Dev impact: None
	QA testing notes: 
	There are 3 use cases: (1) inplace (all-at-once), (2) inplace in the same DB (multistep) and (3) 2 DBs (INT=>BIGINT)
	Instructions are in Wiki (see below)
	Before you start performing tests, get some tool for both schema/data comparison, i.e. MS Visual Studio 2017 Community, in order to be able to compare schemas and data before/after migration
	Minor changes are present in object names.
	After migration there should be no diff in data
	Migration impact: INT IDs will become BIGINT
	Patch impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: https://wiki.corp.adobe.com/display/Breeze/INT2BIGINT+migration+steps+and+procedures
	Review: https://reviews.corp.adobe.com/ui#review:id=1749145

Change 1358797 on 2017/10/10 by pst64637@bjevta

	Back out changelist 1358702

Change 1358702 on 2017/10/06 by pst64637@bjevta

	Fix bug#: CONN-4087892
	Description: Result of recording SQL query executed on AR reporting DB
	Comments: Query changed, indexes as well 
	Dev impact: None
	QA testing notes: 
	1. Make a meeting's recording and check list-my-recordings: must be there
	2. Move recording to My Content,  and check list-my-recordings: must be there
	Migration impact: breeze.jar
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1358468 on 2017/09/25 by pst64637@bjevta

	Fix bug#: CONN-4087892
	Description: Result of recording SQL query executed on AR reporting DB
	Comments: Redefined scope: my meetings + my content. Fixed paging, sorting and usual stuff for multi-page query
	Dev impact: None
	QA testing notes: 
	1. Make a meeting's recording and check list-my-recordings: must be there
	2. Move recording to My Content,  and check list-my-recordings: must be there
	Migration impact: breeze.jar
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1358362 on 2017/09/21 by pst64637@bjevta

	deleting obsolete script

Change 1358343 on 2017/09/21 by pst64637@bjevta

	Fix bug#: CONN-4087892
	Description: Result Of Recording SQL query executed on AR Reporting DB
	Comments: Added index to support list-my-recordings API
	Dev impact: None
	QA testing notes: Execute update script. Check if index PPS_SCOS_MY_RECORDINGS is created. Execute multiple times - script must exec without error
	Migration impact: update script need to be executed
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1358240 on 2017/09/19 by akajain@akajain_for_merge

	Preparing main branch for 9.7 release so bringing 9.7.2dev branch into main.
	Merging
	
	//depot/branches/AdobeConnect/9.7.2dev/...
	
	to //depot/main/AdobeConnect/...

Change 1355910 on 2017/08/14 by pst64637@bjevta

	Fix bug#: CONN-4086936
	Description: ESCALATION [VA]: Active meeting report shows 2 sessions of same meeting
	Comments: If there are asset A and B, where A is preceding B. If asset A has no date-end, then it need to be specified. How? First source are transcripts - max transcript date-closed becomes asset's date-end. If there are no closed transcripts, then asset's date-end is computed using formula: asset's date-end = asset's date-created + 15 min  
	Dev impact: None
	QA testing notes: 
	Objective is to fix existing date
	0# make backup of PPS_ASSETS table:  SELECT  *  INTO  pps_assets_backup FROM pps_assets
	1# Execute scripts in following order: prepare, update, validate. Follow messages printed by scripts
	2# After step 1# execute rollback script, then execute prepare script. Message like 'proceed with update' has to be printed. 
	2.1# Compare PPS_ASSETS table with its backup:
	select * from pps_assets 
	except 
	select * from pps_assets_backup
	go
	select * from pps_assets_backup
	except
	select * from pps_assets 
	go
	Result must be 2 x empty set (no rows)
	3# Execute scripts in following order: prepare, update, rollback, validate. Message printed by validate script should be like 'patch has not been applied'
	4# After step 3, execute prepare script. It should print message just like in point 2#
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1355909 on 2017/08/14 by pst64637@bjevta

	Fix bug#: CONN-4086936
	Description: ESCALATION [VA]: Active meeting report shows 2 sessions of same meeting
	Comments: If there are asset A and B, where A is preceding B. If asset A has no date-end, then it need to be specified. How? First source are transcripts - max transcript date-closed becomes asset's date-end. If there are no closed transcripts, then asset's date-end is computed using formula: asset's date-end = asset's date-created + 15 min  
	Dev impact: None
	QA testing notes: 
	Objective is to fix existing date
	0# make backup of PPS_ASSETS table:  SELECT  *  INTO  pps_assets_backup FROM pps_assets
	1# Execute scripts in following order: prepare, update, validate. Follow messages printed by scripts
	2# After step 1# execute rollback script, then execute prepare script. Message like 'proceed with update' has to be printed. 
	2.1# Compare PPS_ASSETS table with its backup:
	select * from pps_assets 
	except 
	select * from pps_assets_backup
	go
	select * from pps_assets_backup
	except
	select * from pps_assets 
	go
	Result must be 2 x empty set (no rows)
	3# Execute scripts in following order: prepare, update, rollback, validate. Message printed by validate script should be like 'patch has not been applied'
	4# After step 3, execute prepare script. It should print message just like in point 2#
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1355542 on 2017/08/04 by akajain@akajain_siddh

	CONN-4087451:
	Escalation: [university of Calgary]: Unable to upload license file due to mismatch in Bama and Breeze.jar
	
	We don't need this feature for C9.6 so removing its entry from PPS_ACCOUNT_FEATURES for all accounts. Also this is implemented in reverse logic from rest of the features so should open a bug to correct this in future version when html client will be released.
	
	Note: We need change in Account.java and LicenseFileManager.java so that license file for new accounts created from here on for version > 9.4 and < 9.6 doesn't contain this feature.

Change 1355435 on 2017/08/02 by akajain@akajain_for_merge

	Bringing 9.7dev to main for preparing main for 9.7 release
	Merging
	
	//depot/branches/AdobeConnect/9.7dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1354729 on 2017/07/14 by pst64637@bjevta

	Fix bug#: CONN-4086936
	Description: ESCALATION [VA]: Active meeting report shows 2 sessions of same meeting
	Comments: If there are asset A and B, where A is preceding B. If asset A has no date-end, then it need to be specified. How? First source are transcripts - max transcript date-closed becomes asset's date-end. If there are no closed transcripts, then asset's date-end is computed using formula: asset's date-end = asset's date-created + 15 min  
	Dev impact: None
	QA testing notes: 
	Objective is to fix existing date
	0# make backup of PPS_ASSETS table:  SELECT  *  INTO  pps_assets_backup FROM pps_assets
	1# Execute scripts in following order: prepare, update, validate. Follow messages printed by scripts
	2# After step 1# execute rollback script, then execute prepare script. Message like 'proceed with update' has to be printed. 
	2.1# Compare PPS_ASSETS table with its backup:
	select * from pps_assets 
	except 
	select * from pps_assets_backup
	go
	select * from pps_assets_backup
	except
	select * from pps_assets 
	go
	Result must be 2 x empty set (no rows)
	3# Execute scripts in following order: prepare, update, rollback, validate. Message printed by validate script should be like 'patch has not been applied'
	4# After step 3, execute prepare script. It should print message just like in point 2#
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1353032 on 2017/05/24 by akajain@akajain_for_merge

	Bringing 9.6.2Dev branch to main to prepare the 9.6.2 patch from main line
	Merging
	//depot/branches/AdobeConnect/9.6.2dev/...
	to //depot/main/AdobeConnect/...

Change 1351524 on 2017/04/25 by songarg@songarg_laptop

	EDIT-dbscripts, enable HD setting

Change 1351515 on 2017/04/25 by songarg@songarg_laptop

	DBscripts-enable HD

Change 1350959 on 2017/04/13 by pst64637@bjevta

	Fix bug#: CONN-4086675
	Description: Users cannot reset password for Ecommerce BAMA link(botsna3ag.adobeconnect.com)
	Comments: updating PPS_ACOUNTS.SCHEMA_VERSION to 8 for e-commerce accounts, if schema version is unknown
	Dev impact: None
	QA testing notes: 
	0. Create account group named 'ecommerce accounts' and few accounts under it. Set PPS_ACCOUNTS.SCHEMA_VERSION to null for these accounts as well as tenant. Delete primary contact for tenant (PPS_ACL_FIELDS table, FIELD_ID=1, ACL_ID=accountId
	1. Find DB with e-commerce accounts (named BOTS*) or create new hosted account having name like BOTS* (casing is not important)
	2. Login to that account. Verify you're able to change password
	3. Edit DB data and update SCHEMA_VERSION in PPS_ACCOUNTS table to NULL for that account
	4. Login to that account. Verify you're NOT able to change password
	5. Run one-off scripts in usual order: prepare, update, validate
	6. Verify you're able to change password. 
	7. Verify one-off scripts are idemppotent by running them multiple times in following order: prepare, update, validate, rollback
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1350795 on 2017/04/11 by pst64637@bjevta

	Fix bug#: CONN-4086675
	Description: Users cannot reset password for Ecommerce BAMA link(botsna3ag.adobeconnect.com)
	Comments: updating PPS_ACOUNTS.SCHEMA_VERSION to 8 for e-commerce accounts, if schema version is unknown
	Dev impact: None
	QA testing notes: 
	0. Create account group named 'ecommerce accounts' and few accounts under it. Set PPS_ACCOUNTS.SCHEMA_VERSION to null for these accounts as well as tenant. Delete primary contact for tenant (PPS_ACL_FIELDS table, FIELD_ID=1, ACL_ID=accountId
	1. Find DB with e-commerce accounts (named BOTS*) or create new hosted account having name like BOTS* (casing is not important)
	2. Login to that account. Verify you're able to change password
	3. Edit DB data and update SCHEMA_VERSION in PPS_ACCOUNTS table to NULL for that account
	4. Login to that account. Verify you're NOT able to change password
	5. Run one-off scripts in usual order: prepare, update, validate
	6. Verify you're able to change password. 
	7. Verify one-off scripts are idemppotent by running them multiple times in following order: prepare, update, validate, rollback
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1349692 on 2017/03/21 by pst64637@bjevta

	Fix bug#: CONN-4086602
	Description: Reporting DW task CRS_REPORTING_TABLE_BURST_PACK_NAMED_COST_CENTER_OVERAGE cannto be executed due to error
	Comments:Backport from 10.dev
	Dev impact: None
	QA testing notes: Execute DW job on targetted cluster, should be no error
	Migration impact: None
	Install impact: None
	Patch impact: recreate DW job
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1349634 on 2017/03/20 by anurkuma@anurkuma_anurkuma-W7-1_7339

	Review #1714619:  Account level setting to use VP6 encoder

Change 1349423 on 2017/03/15 by pst64637@bjevta

	Back out changelist 1349068

Change 1349422 on 2017/03/15 by pst64637@bjevta

	Back out revision 5 from //depot/main/AdobeConnect/components/dbscripts/updates/update_9_6_1_0.sql

Change 1349347 on 2017/03/14 by akajain@akajain_siddh

	Feature id 102 disables the feature and removes the option for Account-Admin to turn on/off the Mp4Encoder feature but doesnot remove any other MP4 related UI from account pages. Weirdly Feature id 103 does that so we have to delete the row for feature id 103 as well. Since 103 is dependent on 102, switching off 102 should automatically be rendered useless but that is not the case. Things are handled in code if 102 is switched off using API but if directly updated in DB then it doesn't handle it properly.

Change 1349251 on 2017/03/10 by pst64637@bjevta

	Disabling recording service feature for accounts and account templates.

Change 1349250 on 2017/03/10 by pst64637@bjevta

	Rollback //depot/main/AdobeConnect/components/dbscripts/oneOffs/disable recording service/validate.sql to revision 1

Change 1349249 on 2017/03/10 by pst64637@bjevta

	Disabling recording service feature for accounts and account templates.

Change 1349113 on 2017/03/09 by pst64637@bjevta

	Bug: CONN-4083660
	Description: Enable multiple cqEmailer threads in order to expedite processing
	Comment: batch separator forgotten in update 961 script

Change 1349068 on 2017/03/08 by pst64637@bjevta

	Bug: CONN-4083660
	Description: Enable multiple cqEmailer threads in order to expedite processing
	Comment: backport from 10.0 with some changes. QE instructions updated

Change 1348978 on 2017/03/07 by akajain@akajain_siddh

	Disabling recording service feature for accounts and account templates.

Change 1348549 on 2017/02/27 by adamjano@rcandrej-laptop2

	Fix for CONN-4086352

Change 1347538 on 2017/01/27 by pst64637@bjevta

	Fix bug#: CONN-4086230
	Description: Rearange 9.6.0/1 DB update scripts in order to match 9.6 upgrade path
	Comments: Moved CONN-4085703 update script from 9.6.0 to 9.6.1 update file
	Dev impact: None
	QA testing notes: Execute 9.6.0/1 scripts couple of times on the same DB in order to check if there's any error
	Migration impact: None
	Install impact: None
	Patch impact: both 9.6.0/1 scripts need to be found in patch to 9.6.1
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1347461 on 2017/01/25 by akajain@akajain_siddh

	Changing DB version to 9.6.1

Change 1347423 on 2017/01/24 by akajain@akajain_for_merge

	Bring 9.6ARRDev to main for preparing main for 9.6 ARR release
	Merging
	
	//depot/branches/AdobeConnect/9.6.ARRdev/...
	
	to //depot/main/AdobeConnect/...

Change 1345294 on 2016/11/28 by pst64637@bjevta

	Fix bug#: CONN-4085839
	Description: [Preview] Reporting job CPS_REPORTING_TABLE_BURST_PACK_NAMED_COST_CENTER_OVERAGE fails to run
	Comments: Added condition if fraction = 0 to avoid division and set result to 0. Since fraction is meeting minutes, it looks ok becasuse if noone attendend meeting, all numbers should be 0
	Dev impact: None
	QA testing notes: Execute DW job on Preview cluster, should be no error
	Migration impact: None
	Install impact: None
	Patch impact: recreate DW job
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1345054 on 2016/11/21 by anuraga@anuraga_macbook

	Moving 10.dev to Mainline for 9.6 release. This makes mainline latest and greatest.
	Any fixes for 9.6 beyond this point should happen only in mainline.
	
	Merging
	
	//depot/branches/AdobeConnect/10.dev/...
	
	to //depot/main/AdobeConnect/...

Change 1344662 on 2016/11/10 by ppatil@ppatil-w7

	ACREQ-40042 Request to change the domain for login of existing users from @shef.ac.uk to @sheffield.ac.uk
	Change filetype

Change 1343670 on 2016/10/13 by ppatil@ppatil-w7

	Submitting recommendation from Bratislav

Change 1343622 on 2016/10/13 by ppatil@ppatil-w7

	TECHOPS REQUESTS - Adobe Connect / ?ACREQ-6438  Increase Disk Quota to UNLIMITED on all hosted accounts 

Change 1342547 on 2016/09/27 by pst64637@bjevta

	Rolling back CL 1341683 for bug CONN-4084885

Change 1341781 on 2016/09/20 by akajain@akajain_for_merge

	Bringing 9.5.7 to main
	Merging
	
	//depot/branches/AdobeConnect/9.5.7dev/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1340186 on 2016/09/02 by ppatil@ppatil-w7

	CONN-4083152- Replace existing legacy URL on NA3,7,10 and 11 with new AIP URL
	Change Request: Change CCAPI legacy URL to new AIP URL
	https://reviews.corp.adobe.com/ui#review:id=1670910

Change 1339359 on 2016/08/23 by anuraga@anuraga_macbook

	Preparing for 9.5.6 patch creation. Integrating 9.5.6dev in to mainline.
	
	
	Merging
	
	//depot/branches/AdobeConnect/9.5.6dev/...
	
	to //depot/main/AdobeConnect/...

Change 1338723 on 2016/08/09 by ppatil@ppatil-w7

	Added GO 

Change 1338722 on 2016/08/09 by ppatil@ppatil-w7

	CONN-4084002 [EAR][AR] Unable to pull Reports from events

Change 1338669 on 2016/08/09 by ppatil@ppatil-w7

	CONN-4084002 [EAR][AR] Unable to pull Reports from events
	
	
	
	Description 
	I did not find answer to all questions. However, I do agree that the script should focus on interaction with type
	(2,3,16) because these are the interaction type used to save for poll responses in the meeting 
	2 - Multiple Choice
	3 - Multiple Answers
	16 - Short Answers 
	
	Note that only PPS_ASSET_RESPONSES will only contain questions sequence for 2 and 3 and answer for 16 is saved in the PPS_TRANSCRIPT_DETAILS table. 
	
	PPS_SCO_INTERACTIONS is used to save all interactions related to event. Therefore new approach using PPS_SCO_INTERACTIONS table to find the interactions that contain response field 0
	
	SELECT TOP 10 * FROM PPS_ASSET_RESPONSES AS AR WITH (NOLOCK) 
	WHERE AR.RESPONSE = '0'
	AND AR.DISPLAY_SEQ <> 0
	AND AR.INTERACTION_ID IN (SELECT INTERACTION_ID from PPS_SCO_INTERACTIONS WITH (NOLOCK) )
	
	
	INTERACTION_ID RESPONSE DESCRIPTION DISPLAY_SEQ
	1546707818 0 Antigua and Barbuda 1
	1546707818 0 Argentina 2
	1546707818 0 Aruba 3
	1546707818 0 Bahamas 4
	1546707818 0 Barbados 5
	1546707818 0 Belize 6
	1546707818 0 Bermuda 7
	1546707818 0 Bolivia 8
	1546707818 0 Cayman Islands 9
	1546707818 0 Chile 10
	
	I did not find any non numeric data on NA10 that are associated with the event 
	
	SELECT TOP 10 * FROM PPS_ASSET_RESPONSES AS AR WITH (NOLOCK) 
	WHERE AR.RESPONSE <> '0'
	AND ISNUMERIC (AR.RESPONSE) = 0
	AND AR.DISPLAY_SEQ <> 0
	AND AR.INTERACTION_ID IN (
	SELECT INTERACTION_ID from PPS_SCO_INTERACTIONS WITH (NOLOCK) 
	WHERE SCO_ID IN (
	SELECT SCO_ID FROM PPS_SCOS WITH (NOLOCK)
	WHERE FOLDER_ID IN (SELECT SCO_ID FROM PPS_SCOS WITH (NOLOCK) WHERE NAME = '{tree-type-events}')
	AND DATE_CREATED >= DATEADD(d, -60, getdate())
	AND DISABLED IS NULL)
	)

Change 1338536 on 2016/08/06 by ppatil@ppatil-w7

	Change filetype
	Added support to only process selected list of event 
			-- Testing scenario, to ensure comma separated string works fine
			-- comment the section of code in the ISNUMERIC block
			--  SET @eventsScoIdList = '13902' -- single event	    
			-- SET @eventsScoIdList = '14600 ,14941 , 15100'; -- multiple event with space in between
			-- SET @eventsScoIdList = '15423,15555,'-- multiple event with , at the end

Change 1338424 on 2016/08/05 by ppatil@ppatil-w7

	    CONN-4084002 [EAR][AR] Unable to pull Reports from events
	    CONN-4084010 Unable to pull event report - Fix existing data in the database

Change 1337524 on 2016/07/25 by pst64637@bjevta

	Fix bug#: CONN-4083634
	Description: Optimize CoreDAL.createUserSession query
	Comments: Converting COUNT = 0 to EXISTS in CoreDAL.createUserSession plus aletering index PPS_USER_SESSION_COOKIE have column DISABLED included in order to avoid lookup
	Dev impact: None
	QA testing notes: 
	1) Functional testing: 
	a) make sure you can login to CPS
	b) execute update script twice and make sure there's no error and modified index has included column
	2) Performance testing: it is expected that creating new user session should be just a little bit faster
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1337086 on 2016/07/19 by anuraga@anuraga_macbook

	Putting 9.5.5dev to mainline for patch creation.
	
	Merging
	
	//depot/branches/AdobeConnect/9.5.5dev/...
	
	to //depot/main/AdobeConnect/...

Change 1332422 on 2016/05/20 by ppatil@ppatil-w7

	remove this folder

Change 1332349 on 2016/05/19 by anuraga@anuraga_macbook

	Preparing for 9.5.4 patch creation - 2
	Merging remaining part (without tools folder which was merged separately)
	
	Merging
	
	//depot/branches/AdobeConnect/9.5.4dev/...
	
	to //depot/main/AdobeConnect/...

Change 1330776 on 2016/05/04 by spadman@SPADMAN-W7-2

	Modification to drop filters on deleted profiles and deleted principals, which was restricting the previous script.
	
	https://reviews.corp.adobe.com/ui#review:id=1661377

Change 1329928 on 2016/04/27 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes:
	Objective is to have telefony numbers to telefony profiles belonging to specific accounts. Some of them were used in meetings while some weren't. In preparation to test, please edit all scripts and fill in account IDs
	
	Test 1: Rolling back changes  
	a) make a copy of PPS_ACL_FIELDS table
	b) roll scripts following order: prepare-update-rollback. 
	c) check if PPS_ACL_FIELDS is identical to its copy
	
	Test 2: Meetings with tele profile must have conf numbers
	a) roll scripts in order: prepare-update-validate. 
	b) check if meetings having tele profiles have conf numbers associated
	
	Method 2: 
	
	All InterCall tele profiles for given set of accounts must have tele numbers:
	a) enlist tele profiles without a number. To do that, please use query in 'prepare' script, just comment out 'IF EXISTS(' (line 18) and end of IF block as well (PRINT-ELSE-PRINT, lines 45-48). Basically, you're going to use just SELECT part to enlist profiles
	b) run modified 'prepare' script and get the list of tele profiles without number (in ACL fields). Write it down or similar, will need it for later
	c) Use API: http://<account URL>/api/xml?action=telephony-profile-info&profile-id=<profile ID>. Use tele profiles enlisted in step (a)
	After applying the patch, API must return conf number as well, which was not the case before
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1329775 on 2016/04/26 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes:
	Objective is to have telefony numbers to telefony profiles belonging to specific accounts. Some of them were used in meetings while some weren't. In preparation to test, please edit all scripts and fill in account IDs
	
	Test 1: Rolling back changes  
	a) make a copy of PPS_ACL_FIELDS table
	b) roll scripts following order: prepare-update-rollback. 
	c) check if PPS_ACL_FIELDS is identical to its copy
	
	Test 2: Meetings with tele profile must have conf numbers
	a) roll scripts in order: prepare-update-validate. 
	b) check if meetings having tele profiles have conf numbers associated
	
	Method 2: 
	
	All InterCall tele profiles for given set of accounts must have tele numbers:
	a) enlist tele profiles without a number. To do that, please use query in 'prepare' script, just comment out 'IF EXISTS(' (line 18) and end of IF block as well (PRINT-ELSE-PRINT, lines 45-48). Basically, you're going to use just SELECT part to enlist profiles
	b) run modified 'prepare' script and get the list of tele profiles without number (in ACL fields). Write it down or similar, will need it for later
	c) Use API: http://<account URL>/api/xml?action=telephony-profile-info&profile-id=<profile ID>. Use tele profiles enlisted in step (a)
	After applying the patch, API must return conf number as well, which was not the case before
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1329661 on 2016/04/25 by ppatil@ppatil-w7

	PlaceHolder

Change 1327417 on 2016/04/04 by anuraga@anuraga_new_lt

	Integration from 9.5.3dev to Mainline. - Part 3 (Final Part)

Change 1326012 on 2016/03/16 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes: 
	Method 1: 
	- make a copy of PPS_ACL_FIELDS table
	- roll scripts in negative order (prepare-update-rollback) and see if PPS_ACL_FIELDS is identical to its copy
	- after that, roll scripts in positive order (prepare-update-validate) and see if they work
	
	Method 2: Objective is to have conf numbers for SCOs belonging to accounts having telephony profile. Check after applying one-off script must have all zeros for 'scos_without_conf_number':
	SELECT s.account_id, count(*) AS scos_without_conf_number 
		FROM pps_acl_fields af 
			JOIN pps_scos s ON s.sco_id = af.acl_id 
		WHERE af.field_id = 204 AND af.value IS NULL
		GROUP BY s.account_id 
		ORDER BY scos_without_conf_number DESC
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1325661 on 2016/03/11 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes: 
	Method 1: 
	- make a copy of PPS_ACL_FIELDS table
	- roll scripts in negative order (prepare-update-rollback) and see if PPS_ACL_FIELDS is identical to its copy
	- after that, roll scripts in positive order (prepare-update-validate) and see if they work
	
	Method 2: Objective is to have conf numbers for SCOs belonging to accounts having telephony profile. Check after applying one-off script must have all zeros for 'scos_without_conf_number':
	SELECT s.account_id, count(*) AS scos_without_conf_number 
		FROM pps_acl_fields af 
			JOIN pps_scos s ON s.sco_id = af.acl_id 
		WHERE af.field_id = 204 AND af.value IS NULL
		GROUP BY s.account_id 
		ORDER BY scos_without_conf_number DESC
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1325609 on 2016/03/10 by pst64637@bjevta

	Back out changelist 1325595

Change 1325595 on 2016/03/10 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes: 
	Method 1: 
	- make a copy of PPS_ACL_FIELDS table
	- roll scripts in negative order (prepare-update-rollback) and see if PPS_ACL_FIELDS is identical to its copy
	- after that, roll scripts in positive order (prepare-update-validate) and see if they work
	
	Method 2: Objective is to have conf numbers for SCOs belonging to accounts having telephony profile. Check after applying one-off script must have all zeros for 'scos_without_conf_number':
	SELECT s.account_id, count(*) AS scos_without_conf_number 
		FROM pps_acl_fields af 
			JOIN pps_scos s ON s.sco_id = af.acl_id 
		WHERE af.field_id = 204 AND af.value IS NULL
		GROUP BY s.account_id 
		ORDER BY scos_without_conf_number DESC
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1324817 on 2016/03/01 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes: 
	Method 1: 
	- make a copy of PPS_ACL_FIELDS table
	- roll scripts in negative order (prepare-update-rollback) and see if PPS_ACL_FIELDS is identical to its copy
	- after that, roll scripts in positive order (prepare-update-validate) and see if they work
	
	Method 2: Objective is to have conf numbers for SCOs belonging to accounts having telephony profile. Check after applying one-off script must have all zeros for 'scos_without_conf_number':
	SELECT s.account_id, count(*) AS scos_without_conf_number 
		FROM pps_acl_fields af 
			JOIN pps_scos s ON s.sco_id = af.acl_id 
		WHERE af.field_id = 204 AND af.value IS NULL
		GROUP BY s.account_id 
		ORDER BY scos_without_conf_number DESC
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1324419 on 2016/02/24 by pst64637@bjevta

	Fix bug#: CONN-4082628
	Description: Report-Meeting-Attendance-Details API Not Working with InterCall Associated Meetings
	Comments: One-off script for fixing data
	Dev impact: None
	QA testing notes: 
	Method 1: 
	- make a copy of PPS_ACL_FIELDS table
	- roll scripts in negative order (prepare-update-rollback) and see if PPS_ACL_FIELDS is identical to its copy
	- after that, roll scripts in positive order (prepare-update-validate) and see if they work
	
	Method 2: Objective is to have conf numbers for SCOs belonging to accounts having telephony profile. Check after applying one-off script must have all zeros for 'scos_without_conf_number':
	SELECT s.account_id, count(*) AS scos_without_conf_number 
		FROM pps_acl_fields af 
			JOIN pps_scos s ON s.sco_id = af.acl_id 
		WHERE af.field_id = 204 AND af.value IS NULL
		GROUP BY s.account_id 
		ORDER BY scos_without_conf_number DESC
	
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1324325 on 2016/02/23 by pst64637@bjevta

	Fix bug#: CONN-4082651
	Description: Licensing cluster no longer allows new license creation after upgrade to 9.5.2a
	Comments: Dropped columns that should not exist in PPS_TREES table. One of them was missing default constraint so no row wasn't able to be inserted
	Dev impact: None
	QA testing notes: Just check if PPS_TREES still has ZONE_ID or DOMAIN_NAME columns - they should be dropped
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1324041 on 2016/02/18 by pst64637@bjevta

	Fix bug#: CONN-4072536
	Description: 9.5.2 In-place upgrade to BIGINT data type for IDs
	Comments: Migration is performed inside current database
	Dev impact: None 
	QA testing notes: 
	1. Restore int-based 9.5.2 database somewhere (will be modified)
	2. run this script
	3. verify content of both databases is identical (rowcount identical) using scripts attached to CONN-157
	4. execute all reporting scripts (create reporting database and execute all scripts in order to create reporting database)
	5. verify shema of referent and upgraded databases is equal
	Migration impact: INT IDs are now BIGINTs
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: https://wiki.corp.adobe.com/display/Breeze/INT2BIGINT+migration+steps

Change 1322294 on 2016/01/20 by pst64637@bjevta

	Fix bug#: CONN-4082561
	Description: Adding latest schema changes to 9.5.2 BIGINT migration scripts
	Comments: Few columns added plus PPS_TRIAL_ACCOUNT_HISTORY table
	Dev impact: None
	QA testing notes: No need for functional QA - will be done by Ops
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1321042 on 2016/01/06 by pst64637@bjevta

	Fix bug#: CONN-4072536
	Description: 9.5.2 In-place upgrade to BIGINT data type for IDs
	Comments: Migration is performed inside current database
	Dev impact: None 
	QA testing notes: 
	1. Restore int-based 9.5.2 database somewhere (will be modified)
	2. run this script
	3. verify content of both databases is identical (rowcount identical) using scripts attached to CONN-157
	4. execute all reporting scripts (create reporting database and execute all scripts in order to create reporting database)
	5. verify shema of referent and upgraded databases is equal
	Migration impact: INT IDs are now BIGINTs
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: https://wiki.corp.adobe.com/display/Breeze/INT2BIGINT+migration+steps

Change 1320698 on 2015/12/24 by pst64637@bjevta

	Fix bug#: CONN-4082505
	Description: 9.5.2 update SQL script gives error on execution
	Comments: Just dropping obsolete objects
	Dev impact: None 
	QA testing notes: Execute 9.5.2 update script. There should be no errors
	Migration impact: Obsolete objects identified on Preview/AR clusters should not exist. Going in-place bigint on these clusters is not possible without extra audit
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki: https://wiki.corp.adobe.com/display/Breeze/INT2BIGINT+migration+steps

Change 1320057 on 2015/12/15 by akajain@connect_akajain

	Merging components folder
	
	//depot/branches/AdobeConnect/9.5.2/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1319994 on 2015/12/14 by pst64637@bjevta

	Unshelved from pending changelist '1319989':
	
	Merging 9.5.2 components to MAIN components..
	This CL contains only those files which needs manual resolving

Change 1319459 on 2015/12/08 by spadman@spadman-w7-1

	This is part 2 of merging //depot/branches/AdobeConnect/9.5.1/... to //depot/main/AdobeConnect/...
	
	The big changes covered by this are BIGINT related scripts and code changes since the last merge that happened on 11/4:
	
	CL 1317805
	CL 1318351
	CL 1318352
	(in addition to BIGINT migration scripts)

Change 1319456 on 2015/12/08 by spadman@spadman-w7-1

	This is part 1 of merging //depot/branches/AdobeConnect/9.5.1/... to //depot/main/AdobeConnect/...
	
	--------------
	
	Copying //depot/branches/AdobeConnect/9.5.1/components/dbscripts/updates/int2bigint_1_database_audit/..., int2bigint_2_data_cleanup/..., int2bigint_3_migration/..., int2bigint_hosted_data_cleanup/..., int2bigint_inplace_upgrade/...
	
	to 
	
	//depot/main/AdobeConnect/components/dbscripts/updates/...

Change 1311163 on 2015/09/11 by anuraga@anuraga_new_lt

	SENDING ALL THE ARR WORK TO MAIN for 9.5 AR REFRESH
	
	After this changelist 9.5.0ARR branch is defunct. Any blocker issues if found should go in main now.

Change 1305081 on 2015/07/10 by pst64637@bjevta

	Description: NA4 - RTL job step 11 CRS_REPORTING_TABLE_FACT_ACTIVITY’ filled up tempDB
	Fix bug#: 4015210
	Comments: Excluding disabled accounts and those not in cluster zone and rewriting portions of the query
	Dev impact: None
	QA testing notes: Setup reporting database as well as main. Test on some smaller DB (i.e. AR or PREVIEW cluster DB copies) because this is long running script.
	Optionally, make some SCO with questions and make answers. See if numbers add up in report
	Migration impact: None
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1304820 on 2015/07/07 by shwang@shwang_shwang-W7

	Bug 4011471 Storage Consumption in Cost Center report is incorrect
	
	Fixed the sub query for user storage to eliminate duplicated rows.
	
	QE Testing Notes: Verify that storage usage report fields show the correct values.
	Migration Impact: N/A
	Performance Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1633747 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Bratislav Jevtic, Observer: Allyn Craig, Observer: Raj Codavalli 

Change 1304772 on 2015/07/06 by shwang@shwang_shwang-W7

	Remove string accidentally introduced by merge for CL#1304771 bug 4016863.
	
	Bug 4016863 Update TOS version to 9.4
	
	Since we have pushed English only 9.4 verions of TOS to NA clusters and will push it to APAC and EMEA clusters also in 9.4.2.a, the TOS version in DB scripts need to be updated so that any new hosted deployment of 9.5 will have the correct TOS version.
	
	QE Testing Notes: Verify that the TOS version is 9.4.
	Migration Impact: N/A
	Performance Imapct: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1633715 by Author: Shu-jen Wang, Reviewer: Bratislav Jevtic, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1304771 on 2015/07/06 by shwang@shwang_shwang-W7

	Bug 4016863 Update TOS version to 9.4
	
	Since we have pushed English only 9.4 verions of TOS to NA clusters and will push it to APAC and EMEA clusters also in 9.4.2.a, the TOS version in DB scripts need to be updated so that any new hosted deployment of 9.5 will have the correct TOS version.
	
	QE Testing Notes: Verify that the TOS version is 9.4.
	Migration Impact: N/A
	Performance Imapct: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1633715 by Author: Shu-jen Wang, Reviewer: Bratislav Jevtic, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1304320 on 2015/07/01 by pst68021@AdobeConnect9

	Fix bug#4012079: config-validate-seminar-load and config-expected-meeting-load properties are not correctly set in new QE/DEV environments
	
	Comments: Added missing scripts to database_data.sql regarding config-validate-seminar-load and config-expected-meeting-load. Also I added the same script from update_9_1_1_0.sql script to update_9_5_0_0.sql script.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QA notes: 
		1. run database_schema.sql on empty database and check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
		2. run the database_schema.sql for 9.0.0 on a empty database and run the update scritps all the way to 9.5.0 check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
		3. run the database_schema.sql for 9.2.0 on a empty database and run the update scritps all the way to 9.5.0 check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
	
		Value of config-validate-seminar-load is "false"
		Value of config-expected-meeting-load is "2000"
	
	details N/A
	Loc impact: No
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1304319 on 2015/07/01 by pst68021@AdobeConnect9

	Fix bug#4012079: config-validate-seminar-load and config-expected-meeting-load properties are not correctly set in new QE/DEV environments
	
	Comments: Added missing scripts to database_data.sql regarding config-validate-seminar-load and config-expected-meeting-load. Also I added the same script from update_9_1_1_0.sql script to update_9_5_0_0.sql script.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QA notes: 
		1. run database_schema.sql on empty database and check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
		2. run the database_schema.sql for 9.0.0 on a empty database and run the update scritps all the way to 9.5.0 check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
		3. run the database_schema.sql for 9.2.0 on a empty database and run the update scritps all the way to 9.5.0 check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
	
		Value of config-validate-seminar-load is "false"
		Value of config-expected-meeting-load is "2000"
	
	details N/A
	Loc impact: No
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1304046 on 2015/06/25 by pst68021@AdobeConnect9

	Fix bug#4012079: config-validate-seminar-load and config-expected-meeting-load properties are not correctly set in new QE/DEV environments
	
	Comments: Added missing scripts to database_data.sql regarding config-validate-seminar-load and config-expected-meeting-load. Also I added the same script from update_9_1_1_0.sql script to update_9_5_0_0.sql script.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QA notes: 
		1. run database_schema.sql on empty database and check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
		2. run the database_schema.sql for 9.0.0 on a empty database and run the update scritps all the way to 9.5.0 check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
		3. run the database_schema.sql for 9.2.0 on a empty database and run the update scritps all the way to 9.5.0 check if the config-validate-seminar-load and config-expected-meeting-load exist in the PPS_CONFIG property table.
	
		Value of config-validate-seminar-load is "FALSE"
		Value of config-expected-meeting-load is "2000"
	
	details N/A
	Loc impact: No
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1303853 on 2015/06/22 by mvucetic@responceCenterMain9.0

	CPS BUG FIX #4006942 - Several seminar related setting are missing in PPS_CONFIG for QE/DEV environments

Change 1303545 on 2015/06/15 by pst61431@connectWorkspace

	Bug #4001972
	Description: Likert questions appear as incorrectly answered in new reporting when clicked on result of the course.
	Comment: We should not include Likert type of questions for calculating correct and incorrect questions in course reports.
	In REPORTING_FACT_ANSWERS view added interaction_type column to exclude counting Likert type of question points for calculating correct and incorrect questions.
	QA testing notes: Please test with views and reporting DB also.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1303523 on 2015/06/15 by pst61431@connectWorkspace

	Bug: #3991279, #3997865, #3988912
	Description: Content report showing wrong average and maximum score for 3 types of content: for pretest content, random question type content and negative answered questions content. 
	1. bug #3988912: Content report showing wrong  Average score, Maximum Score, Minimum score for captivate pre-test type questions, they should have 0 value.
	2. bug #3997865: Content report showing wrong average and maximum score for random question type. Maximum should represent the maximum score while doing the quiz. That should also be the case for average score.
	3. bug #3991279: Content report showing wrong Average Score, Maximum Score and Minimum Score for content that has "penalty" points. If user answered incorrectly all questions Average Score, Maximum Score and Minimum Score should be calculated as negative value.
	Comment: REPORTING_FACT_QUESTIONS view gathered data for score from PPS_TRANSCRIPT_DETAILS which does not give us correct data. Changed view so that data for score is gathered from PPS_TRANSCRIPTS and changed the logic for questions so that if we have random questions in the content to count number of questions correctly.
	QA testing notes: Please test with views and reporting DB also.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1303447 on 2015/06/11 by shwang@shwang_shwang-W7

	Merging CL#1302594 from //depot/branches/AdobeConnect/9.4.2/components/... to //depot/main/AdobeConnect/components/...
	
	Bug 3974483 Terms of Use needs to be updated for Connect Hosted customers and need to force all hosted users to accept the new Terms of Use
	
	Added DB scripts to reset TOS acceptance.
	Added a random number to the tos html to prevent the browser's cache version of TOS being used.
	Updated all TOS to English.
	
	QE Teting Notes: Verify that the TOS presented is not from browser cache. Verify that regardless of the user/browser language setting, the TOS is in English.
	Migration Impact: N/A
	Performance Impact: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1623431 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Brad Craig, Observer: John Houghtling, Observer: Raj Codavalli
	Review: ID 1628799 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Pramod Patil, Observer: Raj Codavalli

Change 1303132 on 2015/06/04 by pst64637@bjevta

	Description: Create non-clustered index on pps_acl_quotas table to prevent quota deadlocks
	Fix bug#: 3699037
	Comments: There were already two situations when Splunk "optimize me" entries cannot be reproduced on live data. This index was added based on that and locking issues in order to prevent it. After re-doing code review on usage of PPS_ACL_QUOTAS, I cannot be sure if this index is really needed. Therefore, I'd recall this index until there are is confirmation about benefit
	Dev impact: N/A
	How to test: QA testing notes: Index PPS_ACL_QUOTAS_CUSTOM_COVER has been removed. Please check if does not exist after running database_schema.sql nor update_9_5_x_x.sql files
	Migration impact: None
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki:

Change 1303093 on 2015/06/03 by pst61431@connectWorkspace

	Added  missing files for CL #1303092

Change 1303092 on 2015/06/03 by pst61431@connectWorkspace

	Bug #3997748
	Description: Negative score is not shown for negative scored published content in new reporting for each question.
	Comment: If user takes course and gets negative "penalty" points on the reporting page values for those questions will be 0 instead of negative number. REPORTING_FACT_ANSWERS view gather data for score from PPS_TRANSCRIPT_DETAILS. In that table 
	for incorrect "penalty" answers score is 0, and that's why this bug occur.  Added check if score_raw from PPS_TRANSCRIPT_DETAILS is negative number than answer_score will be based on that value, otherwise answer_score will be based on score value from PPS_TRANSCRIPT_DETAILS.
	QA testing notes: Please test with views and reporting DB also.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1302916 on 2015/05/29 by pst68021@AdobeConnect9

	Fix bug#3996864: config-enable-email-spoof-check setting is missing in PPS_CONFIG table for DEV/QE hosted environments created after 9.4
	
	Comments: Added missing scripts to hosted_data.sql regarding config-enable-email-spoof-check. Also I added the same script from update_9_3_0_0.sql script to update_9_5_0_0.sql script.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QA notes: 
		for testing simply run database_schema.sql and hosted_data.sql on empty database and check if the config-enable-email-spoof-check exist in the PPS_CONFIG property table.
	
	details N/A
	Loc impact: No
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None
	
	Code review: https://reviews.corp.adobe.com/ui#review:id=1629271

Change 1302907 on 2015/05/29 by pst64637@bjevta

	Description: DB Optimization: "preserve-recordings-before-deleting-rooms" - ScoDAL.getRoomRecordings
	Fix bug#: 3981845
	Comments: Optimize detecting if there is a SCO recording
	Dev impact: None
	QA testing notes: 
	Check if there is no injection in following use cases:
	1) delete meeting without recording 
	2) delete meeting with single or multiple recordings 
	3) delete multiple meetings, each having 0-N recordings
	There should be no error in GUI nor log files
	Migration impact: Execute update script
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: None
	Wiki:

Change 1302842 on 2015/05/28 by pst64637@bjevta

	Description: Step-9 RTL job "CRS_REPORTING_TABLE_DIM_SCO_DETAILS-subquery returned more than 1 value
	Fix bug#: 3991650
	Comments: Just getting back TOP 1 because it's returning more then 1 row on NA12
	Dev impact: N/A
	QA testing notes: Run RTL job on NA12. No errors expected
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1302801 on 2015/05/27 by pst61431@connectWorkspace

	bug# 3981855
	Description:  DB Optimization: TrainingLicenseActivityDAL.cleanUpReservedTraingingLicenses
	Comments: Added FK reference to PPS-SCOS and changed FK reference on PPS_TRANSCRIPT so that we can delete rows from PPS_TRANSCRIPT if needed since data from PPS_TRANSCRIPT will be needed for reserving and releasing licenses, not for training license activity reports. Reporting data for deined users will be gathered joining PPS_SCOS table instead of PPS_TRANSCRIPT. From now we will clean up reserved training licenses in chunk for better optimization.
	QA testing notes: Please test in the same way you reproduced.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1302297 on 2015/05/22 by pst64637@bjevta

	Description: Cleanup unnecessary data from PPS_PERMISSION_ACTIVITIES
	Fix bug#: 3812493
	Comments: All considerations are given in readme.txt file given in the same folder where scripts are
	Dev impact: N/A
	QA testing notes: See 'Comments' section first. Note: There are 2 independent test cases.
	Migration impact: 
	- This migration step is optional
	- See readme.txt file for details
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1302040 on 2015/05/18 by shwang@shwang_shwang-W7

	Bug 3916220 Incorrect timezones
	
	Fixed Krasnoyarsk to RTZ 6.
	
	QE Testing Notes: Verify that Krasnoyarsk shows RTZ 6.
	Migration Impact: N/A
	Performacne Impact: N/A
	Loc Impact: The messages files for CPS and Flex have been updated.
	
	Review: ID 1617859 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1301908 on 2015/05/15 by pst64637@bjevta

	Description: DB Optimization: Re-evaluate indexes on PPS_ENUM_DATA_HOSTS table
	Fix bug#: 3981848
	Comments: removing index on PPS_ENUM_DATA_HOSTS table due to very small table size
	Dev impact: None
	QA testing notes: Performance test only. debug.log checking for locking exceptions & slow queries
	Migration impact: execute update_9_5_0_0.sql
	Install impact: None
	Loc impact: None
	Doc impact: None
	Perm Impact: Expecting same or better performance on heavy load
	Wiki:

Change 1301342 on 2015/05/06 by spadman@spadman-w7-1

	https://watsonexp.corp.adobe.com/#bug=3965362
	
	https://reviews.corp.adobe.com/ui#review:id=1625750

Change 1300715 on 2015/04/29 by ppatil@ppatil-w7

	Pgi-EMEA Deprecation

Change 1300587 on 2015/04/28 by achemey@achemey-win7x

	Change for bug #: 3850895 - Moved the Update SQL scripts from Update_9_4_0_0.sql to Update_9_4_2_0.sql (where it presumably belongs).
	
	Migration impact: Should not affect any existing customers but moves the update SQL to the appropriate update SQL
	Install impact: None
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1300293 on 2015/04/23 by abarora@abarorawin7

	Enabling HTML Content only in Virtual Classrooms.
	
	Creating 2 switches one for VC and other for meeting. Will be enabled for VC by default and will be disabled for  Meeting by default	
	Review #1624288

Change 1298841 on 2015/04/02 by mvucetic@responceCenterMain9.0

	CPS Large Webinar Story - Adding config settings to pps_config table

Change 1298585 on 2015/03/31 by pst61431@connectWorkspace

	Story: Ecommerce - Connect Side - Seat Assignment;
	Task: Extend Principal to include AdobeID;
	Description: extend principal model with Adobe ID. Adapted  "principal-update" API and "principal-list" API.
	QA testing notes: please tes APIs : "principal-update" and "principal-list" with and without Adobe ID.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: Yes, since edited 2 existing APIs.
	details N/A
	Perm Impact: None

Change 1298335 on 2015/03/26 by pst68021@AdobeConnect9

	Entitlement tracking db scripts

Change 1297951 on 2015/03/20 by pst61431@connectWorkspace

	Story: Ecommerce - Connect Side - Account Creation
	Tasks:
	1. Extend Principal Object and APIs - Ecommerce Type
	2. Adapt BAMA APIs on handling Ecommerce accounts
	Description: extend principal model with ecommerce-oly flag. Adapted  "principal-update" API and "principal-list" API.
	QA testing notes: please tes APIs : "principal-update" and "principal-list" with and without ecommerce-only flag.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: Yes, since edited 2 existing APIs.
	details N/A
	Perm Impact: None

Change 1297758 on 2015/03/18 by pst61431@connectWorkspace

	Story: Ecommerce - Connect Side - Account Creation
	Task: Extend Account Model - Ecommerce Type
	Description: extend account model with ecommerce-flag, organization-id and contacti-id. Edited "account-update" API and "account-list" API, API parameters added.
	QA testing notes: please tes APIs :"account-update" and "account-list" with and without ecommerce-flag, organization-id and contacti-id.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: Yes, since edited 2 existing APIs.
	details N/A
	Perm Impact: None

Change 1297473 on 2015/03/12 by achemey@achemey-win7x

	Fix for bug #: 3850895 - Support content that contains both HTML and SWF representations built with Collaboration SDK in 9.4.2/main Branch
	
	Dev impact: A lot of files were modified to address this functionality.  Added a new "Icon" to track the Hybrid, HTML and SWF types.  Added the support for those icons in Meeting and VC's.
	QA testing notes: Ensure that content which has support is imported as "Custom Pod (Hybrid)", "Custom Pod (HTML)" and "Custom Pod (SWF)" in Content.  Those "Custom Pod" files which are designed for Meetings should use an HTM launch file on the mobile Application; and a SWF file in Destkop.  Please test on all environments (Desktop/Web Application; Desktop/Meeting; Mobile/Web Application; Mobile/Meeting).  Mobile = iOS and Android.  Also ensure that recordings, reports, VC's Content, Courses, Curriculums accurately reflect  "Custom Pod (Hybrid)", "Custom Pod (HTML)" and "Custom Pod (SWF)" types.  This also requires a unique "breeze-manifest.xml" which contains entries similar to the following:
	
	<?xml version="1.0" encoding="utf-8" ?>
	<breeze-manifest version="1.0" xmlns="http://breeze.macromedia.com/ns/breeze-manifest" generator="AEC">
		<document type="custom-pod" />
		<assets>
			<asset type="document-view">
				<entry href="pod_SWF.swf" href-swf="pod_SWF.swf" href-html5="pod_html.htm" />
				<file href="pod_SWF.htm"/>
				<file href="pod_SWF.swf"/>
			</asset>
		</assets>
	</breeze-manifest>
	
	
	Migration impact: This only works for content that is imported AFTER support for this is implemented. Content that is already imported will not be affected or shared in a Meeting.
	Install impact: None
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1297465 on 2015/03/12 by pst64637@bjevta

	Description: API "principal-list-by-field" generates many 'slow query' entries in Splunk
	Fix bug#: 3947090
	Comments: Created index by PPS_ACL_FIELDS.VALUE in database_schema script
	Dev impact: N/A
	QA testing notes: 
	After running database_schema script, verify there is an index on PPS_ACL_FIELDS.VALUE
	Migration impact: none
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1297464 on 2015/03/12 by pst64637@bjevta

	Description: Discrepencies between ACMS default database snapshot and current published schema
	Fix bug#: 3805384
	Comments: 
	Dev impact: N/A
	QA testing notes: 
	Upgrade existing database to 9.5, then execute ACMS_audit_update.sql. Run auto tests and check for schema-driven exceptions in log. Optionally, compare schema with default (database_schema.sql)
	Migration impact: Execute update script (as usual), then ACMS_audit_update.sql
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: https://wiki.corp.adobe.com/display/Breeze/Discrepencies+between+ACMS+default+database+snapshot+and+current+published+schema

Change 1297462 on 2015/03/12 by pst64637@bjevta

	Description: Cleanup unnecessary data from PPS_PERMISSION_ACTIVITIES
	Fix bug#: 3812493
	Comments: All considerations are given in readme.txt file given in the same folder where scripts are
	Dev impact: N/A
	QA testing notes: See 'Comments' section first. Note: There are 2 independent test cases.
	Migration impact: 
	- This migration step is optional
	- See readme.txt file for details
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1297403 on 2015/03/11 by pst64637@bjevta

	Description: API "principal-list-by-field" generates many 'slow query' entries in Splunk
	Fix bug#: 3947090
	Comments: Created index by PPS_ACL_FIELDS.VALUE
	Dev impact: N/A
	QA testing notes: 
	After running update script, there has to be an index on PPS_ACL_FIELDS.VALUE
	Migration impact: Run update script for 9.4.x.x or corresponding patch, depending on installation
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1297381 on 2015/03/11 by abarora@abarorawin7

	HTML Content Recording Support :: Add new Field Name for keeping a track if recording has html content or not.
	Review #1618552

Change 1297328 on 2015/03/10 by shwang@shwang_shwang-W7

	Bug 3916220 Incorrect timezones
	
	Updated outdated time zone data in JRE, pps_enum_time_zones, CPS, Flex and CQ message files.
	
	QE Testing Notes: Multiple time zones have been updated not just Moscow/Russia. Please also verify that installer works on servers with different time zone settings, though I was not able to get an official list of time zones supported from QE (ref. bug 3646904, not sure if we have licensed custoemrs using West Samoa time zone).
	Performance Impact: N/A
	Migration Impact: Since some countries/cities have changed their time zones and they were original grouped together with other countries/cities whose time zones remain the same, we have to do a split. As there is no way to know which country/city is the intended use by the user, no migration can be done and the affected user must manually make the change.
	Doc Impact: N/A
	Loc Impact: The messages files for CPS, Flex and CQ have been updated.
	
	Review: ID 1617859 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1297248 on 2015/03/10 by achemey@achemey-win7x

	Fix for bug #: 3555892 - publish content with Random question to connect server and checking the report on the webapp the number of question listed are incorrect
	
	Dev impact: Change the processing of questions when a Captivate/Presenter package is imported
	QA testing notes: Existing content will not be affected. Only new content that is imported with randomized question pool support (e.g. Captivate 10) will reflect the total number of questions as the number of questions that will be presented from a question pool. 
	
	Migration impact: None
	Install impact: None
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1297133 on 2015/03/06 by pst79579@default-vm

	Description: Removing file update_9_3_1_1.sql since 9.3.1b is obsolete, and CSRF has been redesigned.
	Fix bug#: 3942704
	Comments: 
	Dev impact: N/A
	QA testing notes: N/A
	Migration impact: No
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None

Change 1296845 on 2015/03/03 by pst61431@connectWorkspace

	bug #3937469 Description: Meeting Sessions Report: Report not generated for a meeting where no host is present Comment: removed permission that host can be the only one who could be present in the meeting, changed logic for getting host of the meeting. QA testing notes: :  Please test in the same way you reproduced. Migration impact: No details N/A Install impact: None Loc impact: No  details N/A Doc impact: No details N/A Perm Impact: None

Change 1296700 on 2015/02/27 by anirsing@anirsing_depot1

	Merging
	
	//depot/branches/AdobeConnect/9.5.0.Flamingo/...
	
	to //depot/main/AdobeConnect/...
	Part 4 of 9  

Change 1296678 on 2015/02/27 by pst64637@bjevta

	Description: SQL server RTL job fails because of missing DB name in query
	Fix bug#: 3944929
	Comments: 
	Dev impact: N/A
	QA testing notes: Execute script - no error messages expected
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1295575 on 2015/02/13 by anirsing@anirsing_depot

	Deleting additional files which came up after merging on 02/09 from 9.5 branch into main 
	a.       //depot/main/AdobeConnect/components/CPS/meeting/meetingapp/MeetingClientApp/Common/breezeLive/corePods/contentClasses/HTMLLoader.as 
	b.      //depot/main/AdobeConnect/components/dbscripts/updates/update_9_5_0_0.sql 

Change 1295533 on 2015/02/12 by anirsing@anirsing_depot

	Rollback to CL#1294861

Change 1295416 on 2015/02/11 by anirsing@anirsing_depot

	Back out changelist 1295098

Change 1295280 on 2015/02/11 by anirsing@anirsing_depot

	Back out changelist 1295210

Change 1295210 on 2015/02/10 by anirsing@anirsing_depot1

	merging 950 to main

Change 1295098 on 2015/02/10 by anirsing@anirsing_depot

	merging from 950 to main branch
	Part 1 of 105  

Change 1293943 on 2015/01/26 by mvucetic@responceCenterMain9.0

	Merging code from 9.4 to 9.5 

Change 1291177 on 2014/11/27 by anurkuma@anurkuma_anurkuma-W7-1_7339

	Account level flag for Auto correct time stamp
	Review #1604574

Change 1290981 on 2014/11/25 by pst64637@bjevta

	Description: Step 9 of RTL job filling up TempDB
	Fix bug#: 3784607
	Comments: 
	Dev impact: N/A
	QA testing notes: execute SQL both scripts, check if results match and modified script performs better
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1290885 on 2014/11/24 by achemey@achemey-win7x

	Back out changelist 1290241

Change 1290678 on 2014/11/21 by pst68021@AdobeConnect9

	OrderHistory enhancement for account renewal reporting story 9.4:
		- adding API changes to support enhancement
		- adding UI changes on BAMA

Change 1290335 on 2014/11/19 by mvucetic@responceCenterMain9.0

	Named Licensing Models Soty 9.4 - Adding code to support feature dependency Functionality

Change 1290241 on 2014/11/18 by achemey@achemey-win7x

	Fix for bug #: 3850895 - Support content that contains both HTML and SWF representations built with Collaboration SDK
	
	Dev impact: A lot of files were modified to address this functionality.  Added a new "Icon" to track the Hybrid, HTML and SWF types.  Added the support for those icons in Meeting and VC's.
	QA testing notes: Ensure that content which has support is imported as "Custom Pod (Hybrid)", "Custom Pod (HTML)" and "Custom Pod (SWF)" in Content.  Those "Custom Pod" files which are designed for Meetings should use an HTM launch file on the mobile Application; and a SWF file in Destkop.  Please test on all environments (Desktop/Web Application; Desktop/Meeting; Mobile/Web Application; Mobile/Meeting).  Mobile = iOS and Android.  Also ensure that recordings, reports, VC's Content, Courses, Curriculums accurately reflect  "Custom Pod (Hybrid)", "Custom Pod (HTML)" and "Custom Pod (SWF)" types.  This also requires a unique "breeze-manifest.xml" which contains entries similar to the following:
	
	<?xml version="1.0" encoding="utf-8" ?>
	<breeze-manifest version="1.0" xmlns="http://breeze.macromedia.com/ns/breeze-manifest" generator="AEC">
		<document type="pod" />
		<assets>
			<asset type="document-view">
				<entry href="pod_SWF.swf" href-swf="pod_SWF.swf" href-html5="pod_html.htm" />
				<file href="pod_SWF.htm"/>
				<file href="pod_SWF.swf"/>
			</asset>
		</assets>
	</breeze-manifest>
	
	
	Migration impact: This only works for content that is imported AFTER support for this is implemented. Content that is already imported will not be affected or shared in a Meeting.
	Install impact: None
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1289021 on 2014/11/04 by srai@srai-w530

	removing the file from 9.4 release as it is no longer needed and it is merged with update_9_4_0_0.sql

Change 1288842 on 2014/11/03 by srai@srai-w530

	Fix bug 3842864. Added new acl fields on account for different webinar groups.

Change 1288740 on 2014/10/31 by anurkuma@anurkuma_anurkuma-W7-1_7339

	auto show guided hint
	
	Review #1600410

Change 1288624 on 2014/10/30 by pst64637@bjevta

	Description: typo - index name
	Fix bug#: 3844022
	Comments: 
	Dev impact: N/A
	QA testing notes: Complete installation on SQL Server Express edition with no db-related compatibility warnings or errors
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1288520 on 2014/10/29 by spadman@spadman-w7-1

	https://watsonexp.corp.adobe.com/#bug=3767168
	
	https://wiki.corp.adobe.com/pages/viewpage.action?pageId=949262215
	
	https://reviews.corp.adobe.com/go?page=ReviewDisplay&reviewid=1600462

Change 1288389 on 2014/10/28 by pst64637@bjevta

	Description: update_9_4_0_0.sql script fails if database server is MSSQL Server Express Edition 2008
	Fix bug#: 3844022
	Comments: 
	Dev impact: N/A
	QA testing notes: Complete installation on SQL Server Express edition with no db-related compatibility warnings or errors
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1287979 on 2014/10/23 by pst64637@bjevta

	Description: Drop unused PPS_USER_SESSION_IP index on the PPS_USER_SESSIONS table
	Fix bug#: 3839694
	Comments: 
	Dev impact: N/A
	QA testing notes: verify there's no PPS_USER_SESSION_IP index after creating fresh db schema nor after update from previous version
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1287702 on 2014/10/20 by pst64637@bjevta

	Description: Missing index on PPS_PERMISSION_ACTIVITIES
	Fix bug#: 3812482
	Comments: 
	Dev impact: N/A
	QA testing notes: 
	- execute scripts - there should be no errors and there should be new index PPS_PERMISSION_ACTIVITY_SCO on PPS_PERMISSION_ACTIVITIES table
	- load testing: TrainingDAL.getSelfEnrollmentStatus should take much less time, if PPS_PERMISSION_ACTIVITIES has comparable size to production
	Migration impact: 
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None
	Wiki: 

Change 1287197 on 2014/10/13 by mvucetic@responceCenterMain9.0

	Named VC License Model Story 9.4 - Adding new acces permission level in order to allow named vc admin user to be able to create new Event  templates

Change 1286941 on 2014/10/09 by srai@srai-w530

	merging 9.3.2 sql to 9.4.0 in main. other changes (new table) related to NWM story.

Change 1286860 on 2014/10/08 by srai@srai-w530

	Code changes related to named webinar story.
	*Provisioning API to create named webinar license model.
	* creation of new groups and quotas
	* methods to find future seminar sessions and events and delete them. 
	* method to calculate quota for named webinar licenses.
	* new table to manage webinar license allocation

Change 1286250 on 2014/09/26 by pst79579@default-vm

	Description: Action item #3 for fast fail on AR cluster. 
	This fully disables CSRF protection and removes CSRF_TOKEN from PPS_USER_SESSIONS table
	Fix bug#: 3832477
	Comments: 
	Dev impact: N/A
	QA testing notes: CSRF token shouldn't be present anywhere in the application regardles of CSRF_PROTECTION flag.
	CSRF_TOKEN column should be removed from PPS_USER_SESSIONS table.
	Migration impact: No
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None

Change 1286101 on 2014/09/25 by pst64637@bjevta

	Description: Add index on PPS_ACCOUNTS.DOMAIN_NAME to improve performance of getUserSession queries
	Fix bug#: 3831795
	Comments: 
	Dev impact: N/A
	QA testing notes: Verify database_schema.sql is executed with no errors, as well as update_9_3_1_0.sql and audit_update.sql Index PPS_ACCOUNTS_DOMAIN_NAME must exist after executing any of these scripts
	Migration impact: No
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None

Change 1285036 on 2014/09/16 by srai@srai-w530

	added permissions for named vc manager group. added new table to track named vc rooms and modified codes for virtual classroom creation workflow

Change 1284758 on 2014/09/12 by srai@srai-w530

	Named VC manager provisioning functionality - added api for provisioning named vc licensing model and modified some permission checks for named vc manager. Changes include adding new ACL_FIELD to check if license is enabled/disabled, new Principal group associated with licensing moded, new sco type and sco icon for virtual classroom license. 

Change 1281797 on 2014/08/22 by shwang@shwang_shwang-W7

	Bug 3801307 Discrepancies in Flex group system usage report
	
	Get the account_id in the users sub query from the sco of the transcript instead of principal. If a regular logged in user enter a room of another account as a guest, the principal_id is set (instead of null for guest user) and this causes the meeting minutes and room to be counted in the report to the account the user belongs to. This is incorrect as the minutes and room belongs to the meeting's account not the user's account.
	
	QE Testing Notes: You need to have a regular user logs into one account and then enters a meeting in another account as a guest user in the same session (e.g., from the same browser different tabs) to see the discrepany reported by Emily.
	Performance Impact: There will be a hopefully slight impact on the warehouse script for hosted and report queries that use the user_usage view for on-prem as the extra sub query to get the correct account_id from pps_scos will require additional processing.
	Migration Impact: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1281143 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1281796 on 2014/08/22 by shwang@shwang_shwang-W7

	Bug 3801307 Discrepancies in Flex group system usage report
	
	Get the account_id in the users sub query from the sco of the transcript instead of principal. If a regular logged in user enter a room of another account as a guest, the principal_id is set (instead of null for guest user) and this causes the meeting minutes and room to be counted in the report to the account the user belongs to. This is incorrect as the minutes and room belongs to the meeting's account not the user's account.
	
	QE Testing Notes: You need to have a regular user logs into one account and then enters a meeting in another account as a guest user in the same session (e.g., from the same browser different tabs) to see the discrepany reported by Emily.
	Performance Impact: There will be a hopefully slight impact on the warehouse script for hosted and report queries that use the user_usage view for on-prem as the extra sub query to get the correct account_id from pps_scos will require additional processing.
	Migration Impact: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1281143 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1281789 on 2014/08/22 by pst64637@bjevta

	Fix bug#: 3808045
	Comments: PPS_ACL_FIELDS.VALUE column has to have length N512 + without index. Covering index on ACL_ID+FIELD_ID+(included) VALUE
	Other:
	Dev impact: None
	QA testing notes: After fresh new database installation, check if PPS_ACL_FIELDS.VALUE column is NVARCHAR(512)
	Migration impact: After upgrade to 9.3.2, check if PPS_ACL_FIELDS.VALUE column is NVARCHAR(512)
	Install impact: None
	Loc impact: None
	Doc impact:  None
	Wiki: 
	Perm Impact: None

Change 1280366 on 2014/08/11 by pst14914@ConnectP4

	Description: Wrong values inserted into PPS_DATABASE_VERSION
	Fix bug#: 3800313
	Comments: 
	QA testing notes: Just check the database table for correct values
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1278691 on 2014/08/05 by pst14914@ConnectP4

	Fix bug#: 3793676
	Comments: 
	In rare cases, a user can have his password value set as NULL. This will cause errors when the password is copied to the password history table. The fix skips copying NULL value passwords.
	
	Dev impact: N/A
	Install impact: None
	QA notes: It's difficult to test this properly, as I'm not sure how a user can end up with a NULL password. Password reuse prevention should be enabled and password value for a user should be set to NULL (manually in the database is how I did it), then password reset should be attempted.
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact: None

Change 1276313 on 2014/07/23 by shwang@shwang_shwang-W7

	Bug 3791171 Curriculum Reports Garbled for double byte Japanese characters
	
	Fixed incorrect type of sco_name from varchar to nvarchar to support unicode.
	
	QE Testing Notes: This is an issue for hosted only. Please test this in a hosted setup (warehouse DB for Flex reporting).
	Migration Impact: N/A
	Performance Impact: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1581770 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1275439 on 2014/07/18 by shwang@shwang_shwang-W7

	Bug 3751849 Discrepancy in meeting session reports and reports generated for same meeting under Reports Tab.
	
	In CRS_REPORTING_TRANSCRIPT_STATUS.sql, limited the logic Mike did in CL#1178351 to traning transcripts only and handled non-training transcripts with a separate query to include a left outer join with pps_sco_assets to have the correct sessions associated with each transcript.
	In CRS_REPORTING_TABLE_MEETING_STATUS.sql, changed average_session_users to FLOAT from BIGINT and limited transcripts to those with status in ('P', 'F', 'C', 'I') to eliminate the over-count in  number_of_guest_attendees.
	
	QE Testing Notes: Verify that there is no discrepancy and also measure the time it takes the scripts to execute in a setup similar to the production DB to ensure that there are no major performance issuses.
	Migration Impact: N/A
	Performance Impact: The CRS_REPORTING_TRANSCRIPT_STATUS.sql may take slightly longer to execute as the non-training transcripts are handled in a separate step.
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1569120 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1269102 on 2014/06/09 by pst61431@repo

	bug #3771389
	Description: Tombstone value to be increased from 60 minutes to 120 minutes
	Fix bug#: 3771389
	Comments: 
	QA testing notes:
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1267932 on 2014/05/29 by pst54529@dev

	Description: iCal responses are now optional (the user can choose weather or not to include this option) 
	Fix bug#: 3705400
	Comments: On the email-edit pages where the iCal option is there, now there is an extra option "Request responses" that defaults to TRUE (as was the default without the option).
	Dev impact: now there is a parameter that can be passed with all ICAL related templates called 'email-ical-rsvp-required'. When this is sent as 'false' then no response is required by the end user. When the option is not sent, or is sent as 'true', the response will be requested (as we did up until now).
	QA testing notes: Please test various scenarios using this option. Please test on events created prior to this update (that nothing is broken in the old workflows that send out mails. Also please test non-event related emails that include iCal (like meetings, seminars). Their workflow should also be intact.
	Migration impact: No
	Install impact: None
	Loc impact: Yes, there is a new string to be translated, the <m id="ical_rsvp_required">Request responses</m> needs to be translated. The rest of the en.xml template changes don't need to be translated.
	Doc impact: Yes, this new feature should be documented
	Perm Impact: None

Change 1266700 on 2014/05/23 by pst61431@repo

	bug #3760308
	Description: Tombstone value (config property) should be added as an entry in the database
	Comment: I've removed CONCURRENT_TRAINING_COUNT_INTERVAL propertie from config.ini and added in DB table PPS_CONFIG
	QA testing notes: Please test in the same way you reproduced.
	Migration impact: No
	details N/A
	Install impact: None
	Loc impact: No 
	details N/A
	Doc impact: No
	details N/A
	Perm Impact: None

Change 1265978 on 2014/05/20 by pst22691@p4

	Bug #3753262: Opt out report should have timestamp information of when the user opted-out
	Fix bug#: 3753262
	Comments: 
	Adding opt out status updated information to users table. This used to populate the timestamp info in opted-out users report.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QE notes: N/A
	details N/A
	Loc impact: Added an opted out date header sting in en.xml.
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1265976 on 2014/05/20 by pst22691@p4

	Bug #3758236: Unavailability of new email template in connect accounts when microsite migration time lies outside the deployment window
	Fix bug#: 3758236
	Comments: 
	After open discussion we decided that for 9.3 the best solution would be to eliminate the reason for CQ Migration in the first place. This is doable, following steps are required:
	- Exclude the new template from v9.3
	- Revert old email template to be the default one
	- Runtime field {join-button} should remain available to the customers so they are able to use it on their own.
	
	Please note that mentioned changes will not affect the Single click workflow - it will still be operable as it is now.
	
	Any new environments should not have the new template or the need to be migrated. On the other hand accounts that have been migrated already need to go through complex procedure to revert their state (recommendation would be to leave it as is if otherwise is not required for some specific reason):
	1. On each CQ microsites we should delete the new email template.
	2. CPS DB - Execute rollback & clean (in that order) db script attached to this bug.
	3. All events that have already been created and associated with new template need to be edited and re-associated with old one.
	
	Recommendation would be to leave it as is if otherwise is not required for some specific reason.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QE notes: N/A
	details N/A
	Loc impact: Added a string to en.xml
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1265202 on 2014/05/15 by bpriya@Wall

	Bug#3760156
	Had missed the name of field for update scenarios.

Change 1264883 on 2014/05/13 by pst79579@default-vm

	Fix for update of csrf for XML API per account feature. It sometimes skiped account 7 on hosted environments.

Change 1264698 on 2014/05/12 by shwang@shwang_shwang-W7

	Bug 3751849 Discrepancy in meeting session reports and reports generated for same meeting under Reports Tab.
	
	Do the "duplicate complete transcripts elimination" for training transcripts only. For non-training complete transcripts keep them as is.
	
	QE Testing Notes: Please also retest bugs 3532323 & 2650057.
	Performance Impact: N/A
	Migration Impact: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1569120 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1264333 on 2014/05/09 by bpriya@Wall

	Removed the Room Bandwidth setting
	Slide for Video quality and Screen share quality in the Bandwidth management

Change 1263680 on 2014/05/05 by achemey@achemey-xp2

	Fix for Bug #: 3583721 - When both HTML 5 and swf is checked in the Captivate Content , the content is not   able to play in the meeting room , when selected from the content library in the meeting client
	
	Dev impact: A lot of files were modified to address this functionality.  Added a new "Icon" to track the Hybrid type.  Added the support for that icon in Meeting and VC's.
	QA testing notes: Ensure that presentations published from Captivate and Presenter which have support for "hybrid" courses import as "Hybrid" in Content.  Those content files should use an HTM launch file in the Web Application; and a SWF file in Meetings.  Please test on all environments (Desktop/Web Application; Desktop/Meeting; Mobile/Web Application; Mobile/Meeting).  Mobile = iOS and Android.  Also ensure that recordings, reports, VC's Content, Courses, Curriculums accurately reflect either "Presentation (Hybrid)" or "Captivate Hybrid" types.  
	
	Migration impact: This only works for content that is imported AFTER support for this is implemented. Content that is already imported will not be affected or shared in a Meeting.
	Install impact: None
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1262821 on 2014/04/29 by shwang@shwang_shwang-W7

	Bug 3717992 CRS_REPORTING_TABLE_DIM_DELETED_SCO_DETAILS table missing from repoting DB script
	
	Added CRS_REPORTING_TABLE_DIM_DELETED_SCO_DETAILS to the //depot/main/AdobeConnect/components/dbscripts/Reporting DW/createWarehouseJob.py script.
	
	QE Testing Notes: Verify that the CRS_REPORTING_TABLE_DIM_DELETED_SCO_DETAILS gets created.
	Migration Impact: N/A
	Performance Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1566974 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Observer: Raj Codavalli

Change 1261715 on 2014/04/25 by pst14914@ConnectP4

	Bug fixes: #3732144, #3739580 - contact email and password reset link now correctly tied to user's account

Change 1261055 on 2014/04/23 by pst22691@p4

	
	Title: IEI: B-30329 IEI: Enable participant opt-out 
	Feature: https://wiki.corp.adobe.com/display/Breeze/Improved+Webinar+Email+Interactions
	
	Description: 
	Added two new columns to the PPS_USERS table: OPT_OUT_KEY NVARCHAR(32) and OPT_OUT_KEY_EXPIRES DATETIME.
	Except these changes, I added another FIELD_NAME (event-invitations-opt-out) to hold info about the opt-out status for specific user.
	
	DB scripts affected are: database_schema.sql, update_9_3_0_0.sql and database_data.sql.
	
	Besides DB changes, I implemented two APIs:
	1. request-opt-out-status-change (account-id::Id, opt-out::Boolean, login::String)
	Checks whether the specified account is non-disabled and whether the specified login exists. After validating it generates the opt-out-token and send a confirmation email. 
	
	2. opt-out-status-change (account-id::Id, opt-out::Boolean, login::String)
	Checks whether the specified account is non-disabled, whether the specirfied login exists and is the opt-out-key correct. In case validation passes, it sets the specified opt-out state to the user.
	
	Also I changed quite a bit UI for the landing pages. Now we have 4 active pages:
	1. http://fqdn/system/change-email-preferences 
	2. http://fqdn/system/confirm-email-preferences
	3. http://fqdn/system/error-opt-out
	4. http://fqdn/system/email-preferences
	The last one is an "extra-step" for an opt-in workflow.
	
	All workflows are now functional. Email templates now have a runtime field: event-invitation-opt-out-url which get populated and personalized. 

Change 1260831 on 2014/04/23 by pst79579@default-vm

	Description: Fix links for on-prem support
	Fix bug#: 3733607
	Comments: 
	Dev impact: N/A 
	QA testing notes: N/A 
	Migration impact: No 
	Install impact: None 
	Loc impact: Yes, mail template has been changed
	Doc impact: No 
	Perm Impact: None 

Change 1260086 on 2014/04/21 by shwang@shwang_shwang-W7

	Bug 3745680 Flex learner report takes too long to load for licensed/on-prem customers
	
	Created new views for Flex learner report for on-prem setup.
	Added report-manager tag in the report descriptors of individual and group learner reports to indicate that the reports are for learners as course and curriculum reports are also named training-status-report.
	Added new Flex report in CPS for learner reports using the new views.
	Added logic in CPS to get/set reportManager in query based on report descriptor and switch to execute the learner-status-report (instead of training-status-report) if the reportManager is learner report manager and the report does not use tables.
	
	QE Testing Notes: Please verify the learner reports gets swtiched to learner-status-report (you will see the log entry "report-dw-query, changed name to report=learner-status-report" instead of "report-dw-query, report=training-status-report" in the debug log) and it returns the correct results in a reasonable time. Note that depending on the size of the group enrolled, the number of courses and curricula, and the processing power of the DB, the report can take from less than one minutes to several minutes to run. In the cases reported by customers, they can never get the report to return as it can take much longer and will cause DB locks. Please also verify that it does not switch to learner-status-report on a hosted setup that uses data warehouse tables for Flex reporting.
	Performance Impact: The on-prem Flex learner reports should perform better.
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1565625 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Srini Padmanabhan, Observer: Raj Codavalli

Change 1260034 on 2014/04/21 by bpriya@Wall

	B-30351 
	Room Bandwidth Management - Provide Administrative settings to manage the bandwidth
	
	Adding screen share quality control

Change 1258110 on 2014/04/09 by pst61431@repo

	Fixed the IF condition on PPS_TRAINING_LICENSE_ACTIVITY table.

Change 1257227 on 2014/04/04 by pst79579@default-vm

	Description: Fixed CSRF protection in cluster environment. csrf token which is generated per session is now persisted in pps_user_sessions table.
	Fix bug#: 3659750, 3735567, 3736428
	Comments: 
	Dev impact: N/A 
	QA testing notes: N/A
	Migration impact: No
	Install impact: None
	Loc impact: No 
	Doc impact: No 
	Perm Impact: None 

Change 1256988 on 2014/04/03 by pst61431@repo

	Title: CLT: Provide proper counting in a clustered environment 
	Task: TK-42887 Create new DB table for tracking learner license reservation/releasing
	Task: TK-43220 Create mechanism to track learner activity (reserved/released license)
	Feature:  https://wiki.corp.adobe.com/display/Breeze/Concurrent+Learner+Licensing+Update
	
	Description: New table for tracking the learner activity on license reservation attempts and for tombstone/session expiration sweeping requirements.
	This new table will have a new record each time a new license is being reserved, when one is denied because the limit is reached and updated record on content close. 
	Create sweeping mechanism for proper license releasing due to tombstone/session expiration is done for the entire cluster 
	
	Dev impact: N/A
	QA testing notes: on add training user status in DB for that record should be status-assigned, if limit is reached status should be status-denied and ond close content status should be status-released.
	Migration impact: No
	Install impact: None
	Loc impact: No
	Doc impact: No
	Perm Impact: None

Change 1256738 on 2014/04/02 by pst22691@p4

	IEI TK-43222 + TK-43135: Adjust report data + Apply XD changes
	Feature: https://wiki.corp.adobe.com/display/Breeze/Improved+Webinar+Email+Interactions
	
	Description: 
	After acceptance meeting with PDM we recognized few improvements that need to be implemented for the Event Email Report feature:
	1. Have a record in report for each notification recipient.
	2. Add time zone information for date columns
	3. Rename the Blocked status to Blocked: Unpublished/Canceled
	4. Relocate the download event report button in the email options page. It should be enlisted similarly as email trigger/template options with label: "Status of emails for this event:" followed with the "Download Email Report" button.
	
	The change list is addressing all 4 points.
	
	1. Firstly, here are the updated type values and their explanations:
		- Type=Email - record in report which represents an email that was triggered by some user interaction. These are: permission-pending, permission-approved, permission-denied, attendee-joined.
		- Type=Notification Bulk - record in report which represents a group of notifications to be sent to some group of participants - invited, registered, attendees, absentees and similar. 
		- Type=Notification - record in report which represents an actual notification being sent to some recipient (member of appropriate group).
	
	For Notification type we can monitor only Sent and Error statuses. Also in this case Subject values are populated while for Notification Bulk it still remains unpopulated.
	To have these new records in report we have expanded PPS_ACTION_PRINCIPAL_STATUS table which was previously used to determine to whom notification was already sent and to whom wasn't. Now we are extending it with EMAIL_SUBJECT and DATE_CREATED. These fields are all we need for the report.	
	
	2. Added a time zone suffix to the Date headers (Date Scheduled and Date Completed). The time zone info gives the offset to the GMT for dates to follow. For example: Date Scheduled(GMT-05:30) and Date Completed(GMT-05:30).
	
	3. Renamed the status.
	
	4. Relocated the button.
	
	QE Notes: To have these changes applied to your environment execute db update script for 9.3.
	Loc impact: made changes to en.xml file.

Change 1256705 on 2014/04/02 by pst79579@default-vm

	Rework for db script with CSRF Account feature. 
	
	Account feature 162 was inserted multiple times.
	That part is now removed.

Change 1256413 on 2014/04/01 by bpriya@Wall

	B-30351 
	Room Bandwidth Management - Provide Administrative settings to manage the bandwidth

Change 1255478 on 2014/03/26 by srai@srai-w530

	Added new config setting for email spoofing check for hosted and refactored all the code accordingly.

Change 1255439 on 2014/03/26 by srai@srai-w530

	Fix bug 3718560. Introduced a new config property config-cps-keys-path for keys path to be used by RS and does not conflict with CPS. Clean up old entries in PPS_CONFIG table and modified RS to look for new property anem

Change 1254122 on 2014/03/21 by pst79579@default-vm

	DB Script for 9.3 update fix. Removing extra column.

Change 1253802 on 2014/03/20 by pst79579@default-vm

	Enabling CSRF protection for Web app only.
	CSRF will at first be applied only for web app in 9.3. CSRF for XML API will be disabled by default. For our partners, integrators and customers we shall provide special flag in custom.ini which will allow them to enable this through more settings page. This is only for testing purposes until 9.4 where we shall fully support this. 
	Current CSRF_PROTECTION flag from custom.ini will be used as kill switch for this feature. 
	CSRF_API_SHOW flag is used to determine should we display enable CSRF for XML API in more settings page.
	
	RTMPS and ES can be enabled/disabled through More settings page for on premise installations as well.
	
	Dev impact: 
	XML API calls which do not update data in DB are not validated for token.
	
	QA testing notes: 
	* More settings page in Administration section is now available in on premise installation. Check these settings with custom.ini flags too. UV option is still for hosted only.
	* CSRF kill switch should apply on web app and XML API 
	* When token validation fails, web app will redirect to home page, and XML API will return XML with NoAccess Denied message with csrf="true" attribute.
	* Check if CSRF XML API is working per account on hosted environment.
	
	Migration impact: Yes
	* Check RTMPS and Enhanced Security migration for on premise installation. With and without flags in custom.ini
	
	Install impact: No
	Loc impact: No 
	Doc impact: Yes
	* Documentation on wiki must be updated
	* Help and Support files for SSL installation for customers must be updated. (http://helpx.adobe.com/content/dam/kb/en/878/cpsid_87809/attachments/Adobe_Connect_9_SSL.pdf) + Wiki
	
	Perm Impact: None
	
	Code Review: https://reviews.corp.adobe.com/go?page=ReviewDisplay&reviewid=1559636
	Version One Story: B-30380 for 9.3, Sprint 2

Change 1253007 on 2014/03/17 by pst22691@p4

	Bug #3719777: Events do not require password, anyone who knows the event registration and login URLs can register as any existing Connect user and can view all the content in the Connect Central
	Fix bug#: 3719777
	Comments: 
	event-register and event-login API indirectly login in Connect a user that is specified in parameters. In case password bypass event both APIs don't requere passwords and they still login specified user. This can be used by the malicious user to hack into Connect as admin or basically as any existing user in DB only by knowing the appropriate username (no password required).
	Workflow to hack into Connect as someone else:
	- Find out an username of some existing user in Connect DB (for example of username for the account admin: admin@mail.com)
	- Look for the in-progress event which has a password bypass option and find out an event registration/login pages URLs (these are pretty easy to get especially when events are advertised)
		(event registration page url: https://connectFQDN/EventURL/event/registration.html
		event login page url: https://connectFQDN/EventURL/event/login.html???)
	- Open up event registration page (https://connectFQDN/EventURL/event/registration.html). Register the user admin@mail.com. Event is password-less so username will suffice.
	- Open up event login page (https://connectFQDN/EventURL/event/login.html???). Login the user admin@mail.com. Once again only username will suffice.
	- User admin@mail.com is joining event content. 
	- Now just open up the CPC for account that hosts the event (visiting https://connectFQDN). You will see that user admin@mail.comis logged in and can do whatever his privileges allow.
	
	After discovering that event-register API is indirectly logging the user in Connect we discovered another security problem but this time related to Social feature. Basically if someone knows the proper combination of parameters to pass in event-register API to invoke Social registration, then he can register and consequently login as any existing user in Connect only by knowing it's username.
	
	The fix for the password-bypass events:
	We will always require password for existing non-guest users in Connect - for event-registration and event-login APIs. 
	When existing non-guest user tries to register for an event without passing his password he will be sent back with an error message stating that password must be provided. For this purposes we use existing dialogue that was previously invoked only for non-bypass-password events and someone enters wrong password.
	Similar, when existing non-guest user tries to join an event without passing his password he will be sent back with an error message. For this purpose we use similar workflow which was previously used only for event hosts.
	
	The fix for the social registration malicious use:
	Implemented mechanism for validating the Social registration request. The social registration request must include a token parameter which is then used by CPS to validate the actual user against IMS/Social.
	This way the social workflow could not be misused in any way.
	
	Dev impact: N/A
	details N/A
	Install impact: None
	QE notes: Please do thorough testing on event registration and event login workflows, including social workflows. Verify the new workflow.
	details N/A
	Loc impact: Adding new loc string for ConnectEventApp.
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1252006 on 2014/03/12 by pst79579@default-vm

	Small fix for Uni help doc.

Change 1250569 on 2014/03/06 by pst79579@default-vm

	Description: Unified help documentation
	Comments: To solve the problem we have created intermediate page which will display Support Info for On Premise customers. For hosted customers this page will just redirect to standard Adobe Hosted Help and Support page. Support info will be modified in Console page Server Settings. All these information is required. 
	New API is added (on-premise-support-info) which returns support info.
	Links are replaced on 5 identified places:
	* Login page
	* Forgot password confirm page
	* Password reset mail
	* Meeting test help page
	* Main "help and support page" which is accessed through help link at home page.
	Support page is visible to everyone
	
	Dev impact: N/A
	QA testing notes:  Check with on prem installation and hosted as well. Hosted should go to adobe.com help page, while on prem should always go to new support page.
	Migration impact: No
	Install impact: None 
	Loc impact: Yes
	Doc impact: No 
	Perm Impact: None 

Change 1250354 on 2014/03/05 by pst22691@p4

	Bug #3703052: Allow Social login for events to be checked by default under the Administration -> Edit login policies
	Description: Allow Social login for events to be checked by default under the Administration -> Edit login policies
	Fix bug#: 3703052
	Comments: This is the second commit on behave the same bug. Looks like in spite of thorough testing and close inspections of migration scripts a syntax error crept in some of them. 
	
	Dev impact: N/A
	QA testing notes: None
	details N/A
	Install impact: None
	Loc impact: No, 
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1249911 on 2014/03/03 by achemey@achemey-xp2

	Fix for Bug #: 3715429 - Licensed Reports: Reporting_View_Training_Status view returns duplicate records
	
	Dev impact: Query for the view is incorrectly returning incomplete records in addition to the completed record.  Correct the query
	QA testing notes: Make sure the view returns only completed/passed/failed records and not duplicate records for other attempts.  This needs to be tested with the Flex-based reports for
	- Courses
	- Curriculums
	- Virtual Classrooms
	- Meetings (though I don't believe there is any impact on Meetings)
	
	Also make sure that the Flex-based reports return the same data (e.g. enrolled users, completed users, failed users, incomplete users) as the Course/Curriculum/Virtual Classroom reports.
	
	
	Migration impact: None
	Install impact: None
	
	Loc impact:  N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1249474 on 2014/02/28 by pst22691@p4

	Feature: https://wiki.corp.adobe.com/display/Breeze/Improved+Webinar+Email+Interactions
	Task: TK-42876 Create new Registration Approved email template for Events
	
	Description: 
	Added new default template to the ConnectEventApp: Registration Approved With Join Button. This template incorporates a tag {join-button} which will in future be replaced with appropriate Join button and a event login page link behind it.
	Beyond adding this template we need to ensure all existing microsites on CQ will get it also. This is taken care of within the standard migration procedure.
	Similarly we need to ensure to get existing hosted accounts be aware of the new template aka it should be available as other default email templates. This is done through migration scripts for 9.3.0.0.
	
	Please be noted that the template does not represent the definite look and that it is still not localized to other languages than English.

Change 1247729 on 2014/02/21 by pst22691@p4

	Bug #3703052: Allow Social login for events to be checked by default under the Administration -> Edit login policies
	Description: Allow Social login for events to be checked by default under the Administration -> Edit login policies
	Fix bug#: 3703052
	Comments: After wide discussion on the way we are going to implement this social by default. Conclusion was: Social feature and all available social options should be enabled by default when event management is being enabled.
	Similar, social feature and its options should be disabled/cleaned up when event management is being disabled. Also we need take care that this logic applies only to the hosted accounts as the social feature is hosted only.
	Please be aware that account template settings regarding social are not respected during account creation.
	
	Dev impact: N/A
	QA testing notes: Create new hosted account in BAMA. 
	Check: if event feature was enabled for the account then social feature and all social options are enabled, similar if event feature was disabled for the account then social feature is not visible in CPC Administration.
	Also, for an account that already existed on the environment check if update script will enable social feature and all available options in case social wasn't enabled before.
	In case of licensed accounts social feature and its options should be always disabled.
	Migration impact: Existing accounts should get social feature and all of its settings enabled if it wasn't enabled before.
	details N/A
	Install impact: None
	Loc impact: No, 
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1245353 on 2014/02/12 by shwang@shwang_shwang-W7

	Integrating CL#1239652 update_9_2_1_0.sql into the main branch
	
	//depot/branches/AdobeConnect/9.2.1/components/dbscripts/updates/update_9_2_1_0.sql
	
	to //depot/main/AdobeConnect/components/dbscripts/updates/update_9_2_1_0.sql

Change 1241083 on 2014/01/21 by spadman@spadman-w7-1

	Bug 3688608: [SUNET] - Full System Usage report shows very high storage consumption under meeting summary, but lower than system usage.
	
	https://reviews.corp.adobe.com/go?page=ReviewDisplay&reviewid=1549948

Change 1239652 on 2014/01/14 by miclark@miclark-W7

	Bug #3674650
	Serious performance probems with REPORTING_VIEW_TRAINING_STATUS.

Change 1238449 on 2014/01/09 by pst14914@ConnectP4

	Bug fix #3689311 - handling old conversion jobs in error state with no error codes

Change 1237004 on 2013/12/23 by pst22691@Default-vm

	Bug #3683533: Implement mechanism for updating Social IDP configuration
	
	In case Connect already have an IDP configuration named as the one used for the social feature (sso-events-ims) update script is not able to pre-configure the feature correctly. Similar scenario occurs when some IDP config field needs to be updated.
	
	Fix bug#: 3683533
	Comments: In case Connect already have an IDP configuration named as the one used for the social feature (sso-events-ims) update script is not able to pre-configure the feature correctly. Similar scenario occurs when some IDP config field needs to be updated.
	Dev impact: N/A
	QA testing notes: Imagine you have a new pair of client credentials that need to be updated in DB scripts - especially update script. Update appropriately fields oauth-consumer-key and oauth-cosumer-secret and see if the changes are applied after executing a complete update script.
	Migration impact: No,
	details N/A
	Install impact: None
	Loc impact: No, 
	details N/A
	Doc impact: No,
	details N/A
	Perm Impact: None

Change 1236603 on 2013/12/19 by rpathak@rpathak-w7

	Samoa Timezone bug#3646904: unable to login on connect webapp after fresh installation of adobe connect 9.2 on the m/c having timezone = +13:00 GMT samoa.
	
	Cause: Samoa timezone is changed (refer to a similar bug (3593866))
	Fix: Add an entry for the new samoa timezone.
	
	Review #1531116

Change 1234755 on 2013/12/11 by shwang@shwang_shwang-W7

	Bug 3588653 Duration of long events is not truncated to 12 hours  for events with seminar  9.0.4 --> 9.1.1
	
	Separate out the event migration section from that of the seminar one as if there are no seminar sessions without acl_field 311, the migration script will be skipped which causes events not being checked and migrated.
	
	Also, change the condition in the where clause of the event selection statement to include events that are onging (i.e., have already started but not finished yet) as we have real world cases where this is causing issues.
	
	QE Testing Notes: Please test with seminar based events with duration of more than 12 hours 45 minutes.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1516276 by Author: Shu-jen Wang, Reviewer: Shashi Rai, Observer: Raj Codavalli

Change 1233868 on 2013/12/07 by pst22691@Default-vm

	Feature: https://zerowing.corp.adobe.com/display/Breeze/SSO+with+Social+Profiles+for+Events
	Description:
	Going into production with this feature. This means we are setting up Adobe Connect as an IMS client on IMS production environment which will use Adobe Connect brand social applications. Now that we have new IMS client credentials we need to update our configuration - dbscripts.

Change 1233650 on 2013/12/06 by achemey@achemey-xp2

	Fix for bug #: 3674650 - Licensed versions of 9.1 (presumably 9.1.1) do not show reports for Courses or Curriculums - the report never generates
	
	Dev impact: Minor
	QA testing notes: Test against as many Courses, Curriculums and Virtual Classrooms as possible.  Ensure these two bugs are also still resolved:  2650057 (NSW Duplicate entries in Reports by users with different certificate ids) and 3001182 (The VC report does not include a guest/mobile guest in the report)
	
	Migration impact: None
	Install impact: None
	
	Loc impact: N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1231326 on 2013/11/25 by pst22691@Default-vm

	Feature: https://zerowing.corp.adobe.com/display/Breeze/SSO+with+Social+Profiles+for+Events
	Description:
	We have a green light for supporting Google as a social option for event registration/login. Added required changes to the db_scripts.

Change 1231237 on 2013/11/25 by saurabgu@SAURABH

	Fix for bug#3370251: Seminar hosts are also getting counted in the meeting active hosts reports.
	
	Added clause for checking that the sco-id is not contained in any of the seminar license folders.
	
	QE Testing Notes: Please test that any seminars created by meeting hosts is not counted in the active hosts count.
	
	No Impacts.

Change 1230945 on 2013/11/22 by pst79579@default-vm

	Fix for default adobe event report template migration.

Change 1229875 on 2013/11/19 by pst79579@default-vm

	New reporting for SSO.
	
	Add a new standard reporting template field in PPS_REPORT_EXPORT_TEMPLATE_COLUMNS. This is reflected in the model class. Default value for this field is empty string.
	We display Facebook or Google etc for social users and blank for others. 
	Added Social Login in Std Reporting CSV and XML.
	
	V1: B-30095

Change 1229563 on 2013/11/18 by pst79579@default-vm

	Somehow my latest submit reverted CL #1229246. This is fixing it.

Change 1229560 on 2013/11/18 by pst79579@default-vm

	Description: Fix for migration db script for default adobe template.
	Fix bug#: 3670030
	Comments: 
	Dev impact: N/A 
	QA testing notes: N/A 
	Migration impact: No 
	Install impact: None 
	Loc impact: No 
	Doc impact: No 
	Perm Impact: None 

Change 1229246 on 2013/11/15 by srai@srai-w530

	bug fix 3667551

Change 1229200 on 2013/11/15 by pst79579@default-vm

	Migration script for default event report. Old reports are expanded with a new column on hosted environment.
	TK-42379
	QE Notes: Please test migration of Default Adobe report of Events on hosted environment.

Change 1229073 on 2013/11/14 by shwang@shwang_shwang-W7

	Bug 3655352 DARTMOUTH - ESCALATION - Recordings with many cameras keeps pausing during playback
	
	Added per account AF_MEETING_PLAYBACK_SMARTPAUSE/meeting-playback-smartpause feature (acl field ID 346) for meeting play back smartPause flag.
	Added install-level meeting play back out-of-sync gap config parameter MEETING_OUT_OF_SYNC_GAP with a default value of 500 milliseconds.
	Added per account AF_MEETING_OUT_OF_SYNC_GAP/meeting-out-of-sync-gap feature (acl field ID 347) for meeting play back.
	
	QE Testing Notes: Please test with different combination of these two parameters at both install and account levels. The per account level setting should always take precedent over the install level setting.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: Need to document how to set per account smart pause and out-of-sync gap settings.
	Loc Impact: N/A
	
	Review: ID 1495241 by Author: Shu-jen Wang, Review: Fred Boyer, Reviewer: Vikas Saurabh, Observer: Raj Codavall

Change 1226131 on 2013/11/01 by shwang@shwang_shwang-W7

	Bug 3619374 Curriculum does not show up in learner report
	
	This change is to fix the inconsistency in the update_9_1_2_0.sql in all branches and patch folder.
	
	QE Testing Notes: Please verify that curricula are included in the learner report if the user is enrolled in them. Also, verify the case reported in bug#3586513.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1492246 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Observer: Raj Codavalli

Change 1226029 on 2013/11/01 by pst14914@ConnectP4

	Brute force kill switch

Change 1225910 on 2013/10/31 by miclark@miclark-W7

	Asynchronous update of bandwidth usage for seminar exit.
	Review #1490900

Change 1225606 on 2013/10/30 by ngoyal@ngoyal-desk

	Fixing opt_out_meeting related error in update script for 9.2. 

Change 1225212 on 2013/10/29 by pst14914@ConnectP4

	Password reset removing user suspension; default lock out duration set to 5

Change 1225110 on 2013/10/28 by miclark@miclark-W7

	Schema changes to address schema and production DB audit

Change 1225085 on 2013/10/28 by pst22691@Default-vm

	Feature: https://zerowing.corp.adobe.com/display/Breeze/SSO+with+Social+Profiles+for+Events
	TK-42265: Flag event users registered through social
	TK-42262: Add idp validations to IDPHandler and EventManager
	
	Description:
	
	We need to flag users that are registered for some event using social providers and persist which social idp was used. For this purpose, I added a new column in PPS_USERS table: IDP_SOURCE. This column is nullable and will contain a value only if corresponding user is actually a social user. The value will be a social idp name, such as Facebook or Google. With this information we will be able to create required event reports that includes the social info for registered users.
	
	Also, I added required validations on IDPHandler and on API event-registration. These now checks on social idp that is found in the request that it is actually supported by a specified event.

Change 1224990 on 2013/10/28 by pst14914@ConnectP4

	Ensuring password reset emails are delivered story implementation and password reuse logic fixes

Change 1224500 on 2013/10/24 by pst22691@Default-vm

	Feature: https://zerowing.corp.adobe.com/display/Breeze/SSO+with+Social+Profiles+for+Events
	Task: TK-41238: Add Event field for enabling/disabling SSO for events
	
	Description: 
	Added new column (IS_SOCIAL_ENABLED) in PPS_EVENT_DETAILS table. Default value is false. Reflected the table change in code - reading and updating the value in event-info, event-details-info and event-details-update. Updated dbscripts to include this new column.

Change 1224467 on 2013/10/24 by ngoyal@ngoyal-desk

	Feature for 9.2: Engagement tracking opt out. Updating the dbscript to remove opt out related columns which are no longer used. 

Change 1223925 on 2013/10/22 by shwang@shwang_shwang-W7

	Bug 3503277 Average meeting minutes report doesnt show reports of meetings which were used earlier but now are deleted.
	
	Added a new view/DW table to store deleted scos. The query used to create the view/DW table is identical to that of reporting_dim_sco_details/crs_reporting_table_dim_sco_details except that the condition for the disabled column in the where clause for the pps_scos table is "NOT NULL" (meaning the sco has been deleted). Note this table includes scos other than meetings. Two reasons for not limiting it to just meetings 1) to avoid making mistakes in changing it to restrict it to meetings only 2) we may need to run reports that include deleted scos other than meetings in the future.
	
	The AccountDAL.getAverageMeetingMiutes() query is changed to include deleted meetings.
	
	QE Testing Notes: Please test with all possible setting combinations for the two options (split-period & need-hosted-trend) available in average meeting minutes report.
	Performance Impact: The reprot may run slower as the query is more complicated and we are fetching more data. The DW warehouse script may take longer to run as we added one more table.
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1478285 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Himanshu Sawhney, Observer: Raj Codavalli

Change 1223873 on 2013/10/22 by abarora@abarorawin7

	First Time User Experience Part 3
	New User Creation Email : Making Rich Text Email use multipart/alternative if required. This helps in sending Alternative plain text for Email
	Also adding the new format of User Create Email
	
	Review #1479943

Change 1223851 on 2013/10/22 by ngoyal@ngoyal-desk

	Feature for 9.2: Engagement tracking opt out. 
	Adding sql script to migrate the opt_out_meeting setting for events.

Change 1223832 on 2013/10/22 by ngoyal@ngoyal-desk

	Feature for 9.2: Engagement tracking opt out.
	https://wiki.corp.adobe.com/display/Breeze/Detailed+Requirement+for+C9.2#DetailedRequirementforC9.2-OptOut

Change 1223692 on 2013/10/21 by pst22691@Default-vm

	Correction for: CL1223691
	Removing '<' characters from update script created by p4 merge tool.

Change 1223676 on 2013/10/21 by pst22691@Default-vm

	Feature: https://zerowing.corp.adobe.com/display/Breeze/SSO+with+Social+Profiles+for+Events
	Task: TK-41226: Configure IDP configuration - dbscripts
	
	Description: 
	Once the feature is done, we will configure our hosted Connect environment on IMS production servers. But at this stage we set up against IMS stage server. These scripts are likely to get updated during the feature implementation progress. For now, these are some default settings that will ease up the configuration bit for testers.

Change 1223645 on 2013/10/21 by pst14914@ConnectP4

	Password reuse story and brute force bug fixes: #3649145, #3646689, #3649181, #3647419, #3646680

Change 1223154 on 2013/10/17 by srai@srai-w530

	Checkin related to CPS changes for scaling streaming servers in AWS.
	* added a new table to store AWS instances info and managers/DAL to manage the table.
	* implemented MBeans for RC to get access to these infos.
	* defined new configurations for streaming server scalability
	* modified FMSServiceManager's getFreeFMS apis to get instances from AWS pool and if not available then default to hosted pool.

Change 1223147 on 2013/10/17 by shwang@shwang_shwang-W7

	Bug 3626718 Curriculum report shows curriculum which the user is not enrolled in
	
	This is caused by the full outer join introduced in CL#1188470 for bug#3001182.The fix reverts the full outer join and adds VC guest users with a union in the scos sub query.
	
	QE Testing Notes: Please verfiry the scenario described in this bug and also that of bug 3001182.
	Performance Impact: The union to add guest users will make all reporting query using the VIEW REPORTING_VIEW_TRAINING_STATUS view runs slower. It will make the DW script slower but will not affect reporting queries on hosted.
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1477002 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli

Change 1222982 on 2013/10/04 by pst14914@ConnectP4

	New mailing logic for brute force prevention at login

Change 1222641 on 2013/10/03 by abarora@abarorawin7

	New User Workflow 2 : Provision for Non CQ Rich Text Emails
	Enable Non CQ rich text Emails from Connect
	
	Review #1467960

Change 1222026 on 2013/10/01 by pst14914@ConnectP4

	Brute force prevention - unit test and minor modifications

Change 1221321 on 2013/09/27 by pst14914@ConnectP4

	Brute force prevention on login

Change 1219740 on 2013/09/23 by spadman@spadman-w7-1

	Bug 3637429:
	
	Escalation - [CEB] - Not Found error when modifying existing sessions
	
	Correcting bug in migration script.
	
	Review http://vichy.corp.adobe.com:8080/go?page=ReviewDisplay&reviewid=1467263 in progress, checking in on priority.

Change 1218630 on 2013/09/18 by srai@srai-w530

	changed settings for "config-quota-value-outside-scheduled-time" from 5 to 10 to sync up with upgrade script. This is to deal with case of fresh DB creation for license installation scenarios. 

Change 1218568 on 2013/09/18 by pst14914@ConnectP4

	Credit History feature

Change 1213032 on 2013/08/29 by shwang@shwang_shwang-W7

	Bug 3593866 Incorrect/out-dated java_id for time zone IDs 0 & 1
	
	Samoa Standard Time was 11 hours behind Greenwich Mean Time (GMT-11) but moved to GMT+13 on 29 December 2011. Replaced it with Midway Islands which uses GMT-11. No country uses GMT-12 so replace it with Etc/GMT+12 (ref: http://joda-time.sourceforge.net/timezones.html).
	
	QE Testing Notes: Please verify that both seminar calendar and seminar information page display the correct time when the time zone is set to GMT-11 and GMT-12 in My Preference.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1462489 by Author: Shu-jen Wang, Reviewer: Shashi Rai, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1212703 on 2013/08/28 by srai@srai-w530

	Submission handles fixes for following issues (bug #3620709 & 3619289):
	1. Allow back to back session creation for different seminars (bug #3620709)
	     a. Added new configuration SEMINAR_LAUNCH_BUFFER_ZONE with default value 1800s (30min) to separate scheduling buffer (SEMINAR_SCHEDULE_BUFFER_ZONE) from launch buffer. Launch buffer will be used for allowed users to enter seminar room 30 min prior to seminar session. Set SEMINAR_SCHEDULE_BUFFER_ZONE to 0 to allow back to back session creation for different seminars. Sessions for same seminars will be 30 min apart.
	     b. Changed default configuration for allowed users in standby mode to 10 from 5. 
	     c. Modified 'can-extend-session" api call to search for future upcoming session by resetting time 10min back from request time. This is to deal with back-to-back session.
	      d. Fixed query to find previous session of given seminar.
	2. bug fix 3619289
	      a. Fixed query to find transcript where user was successful in joining the meeting. 

Change 1212686 on 2013/08/28 by shwang@shwang_shwang-W7

	Bug 3619374 Curriculum does not show up in learner report
	
	This is an injection introduced by CL#1198584 for bug#3586513. I rolled back the change to the DB and fixed the empty sessions in Flash report by adding filters in the report descriptor to exclude them.
	
	QE Testing Notes: Please verify that curricula are included in the learner report if the user is enrolled in them. Also, verify the case reported in bug#3586513.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1461888 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1212683 on 2013/08/28 by shwang@shwang_shwang-W7

	Bug 3614441 DW Learner Reports shows meeting, content reports
	
	Limit transcripts to those with sco_id in the crs_reporting_table_scos table which contains only scos of trainings.
	
	QE Testing Notes: Verify that only trainings show up in the learner report.
	Performance Impact: The warehouse script that creates the warehouse tables may take slightly longer to run as we are now joining the transcripts and training scos tables.
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1461887 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1211641 on 2013/08/26 by miclark@miclark-W7

	Bug #3614439. Review #1460494. Script fails due to TEMPDB filling disk (no page can be allocated)  after deployment on NA11. The fix was coded by Brad Craig. He added two new temp tables to hold the results of queries on the permission_activities table. These tables are populated and then the results are joined in the main query.

Change 1198875 on 2013/07/09 by pst14914@ConnectP4

	Recording deploy error handling

Change 1198584 on 2013/07/08 by shwang@shwang_shwang-W7

	Bug 3586513 Session reports are blank for a meeting
	
	Changed queries to exclude sessions that do not have any users in the room so that empty sessions don't show up in reports.
	
	QE Testing Notes: Test by launching a meeting url with a user who does not have permissions to start the meeting to create an empty session (e.g., enter as a guest). Note: You need to wait until the meeting is unloaded to get all the session information.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1448788 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1197752 on 2013/07/04 by hsawhney@hsawhney_1600

	Reverted the partial fix of bug:3539390

Change 1196806 on 2013/06/28 by plourens@plourens-W7

	Bug #3586314 - set expected load for all seminar sessions found, not just future ones.

Change 1196793 on 2013/06/28 by plourens@plourens-W7

	ECO seminar changes

Change 1196046 on 2013/06/26 by miclark@miclark-W7

	#3583175 pps_acl_fields.value is defined as being larger than what is allowed for an indexed column. 
	Reivew #1447325.
	Note: This change is only being made to the datbase_schema file and I'm not planning on changing the size in exising databases. Changing the column size would require dropping and then rebuilding the index on this column and that could take hours.

Change 1195737 on 2013/06/25 by pst14914@ConnectP4

	Bug fix #3582640 - generic -999 code used when conversion jobs error out without an error code

Change 1195718 on 2013/06/25 by shwang@shwang_shwang-W7

	Bug 3001182 Virtual Classroom report: C9: The VC report does not include a guest/mobile guest in the report
	
	Force version to be 1 if it is null.
	
	QE Testing Notes: You need a case where the warehouse table CRS_REPORTING_TRANSCRIPT_STATUS has rows that cotain null value for version_accessed.
	Performance Impact: N/A
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1447285 by Author: Shu-jen Wang, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1195636 on 2013/06/25 by ssahai@FUZZY

	bug# 3584343
	XML APIs for new Screenshare Settings.
	
	New API's details in the bug notes.

Change 1195487 on 2013/06/24 by plourens@plourens-W7

	Bug #3555844 - when looking up the seminar tree id, use pps_trees as pps_scos name value could have been changed.

Change 1195332 on 2013/06/24 by saurabgu@SAURABH

	Reverting 9_1_0_0.sql for changes until AR.
	9_1_1_0.sql is the latest DB update file which should be integrated to 9.1.1 in each check-in.

Change 1195224 on 2013/06/22 by mhaque@niz7

	bug#3539390
	Bama Analytic Report viewer dont have sco-content api permission
	Review #1446971

Change 1195213 on 2013/06/22 by shwang@shwang_shwang-W7

	Bug 3582389 Data in the first name column in the meeting reporting is blank and the data in the last name column uses the first name data
	
	Changed the dim_users table and view to use field_id instead display_seq to identify first_name, last_name and email as display_seq can be changed by the account admin from the Administration -> Users and Groups -> Customize User Profile via the "Shift Up" and "Shift Down" buttons.
	
	QE Testing Notes: Please test with account that has different display sequences for these three fields. Please note that this fix addresses these three fields only. There may be problems with customer fields but any custom fields related issues needs to be addressed by a separate bug as they are more complicated to fix.
	Performance Impact: N/A
	Migration Impact: N/A
	Loc Impact: N/A
	Doc Impact: N/A
	
	Review: ID 1446929 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1195153 on 2013/06/21 by miclark@miclark-W7

	Removing FK constraint on pps_encoder_job_error_records.
	This contraint was removed earlier and then accidentally added back in.
	Review #1446902

Change 1195092 on 2013/06/21 by miclark@miclark-W7

	Bug 3578958 and 3578500: Configuration entries are not being applied to newly created hosted environments.
	Review #1446709

Change 1194773 on 2013/06/20 by hsawhney@hsawhney_1600

	Bug fixed: 3575018
	In FMG 2.0.1 they have removed the 'registrarAddress' and 'defaulthost' configuration and instead of that added the 'remoteSipHost' configuration in the default sip.xml. But they still provide support for the previous configurations, and uses either of defaulthost or registrarAddress depending upon doRegister value.
	To fix this i have set the blank value for the  'remoteSipHost' as they do not have api for removing the 'remoteSipHost' configuration from the sip profile.

Change 1193935 on 2013/06/18 by pst14914@ConnectP4

	Account specific MP4 conversion parameters

Change 1193450 on 2013/06/17 by srai@SRAI-W7

	changed default value for cluster load calcualtion to false.

Change 1192998 on 2013/06/14 by rpathak@rpathak-w7

	3578803: Campaign-ID and Campaign-Alias should not be part of Registration Questions in Event Report template
	
	QE & AR-R Notes:
	Please run the deployment query on the server.
	We will also have to provide DB queries in AR-R deployment instructions to update the Adobe_Standard system template.
	
	Review#1445600

Change 1192964 on 2013/06/14 by pas37802@Connect_Sync

	BugFix #3533441

Change 1192877 on 2013/06/14 by pst14914@ConnectP4

	Bug fix #3572519 - Old recordings not allowed to be sent for conversion. Also, recording status not updated for jobs in error state; reporting view reverted.

Change 1192470 on 2013/06/12 by srai@SRAI-W7

	fix bug 3575096.

Change 1192395 on 2013/06/12 by miclark@miclark-W7

	Bug #3543895. The table pps_principal_fields is no longer is use and should be deleted.
	Review #1445053

Change 1192096 on 2013/06/11 by srai@SRAI-W7

	bug fix 3575096

Change 1191560 on 2013/06/10 by srai@SRAI-W7

	Bug fix 3575096. Changed default bit rate to 1024000 and added other missing configs

Change 1191559 on 2013/06/10 by miclark@miclark-W7

	Bug #3573395. Several problems with ETL scripts: 1) Syntax error 2) not checking whether table alreay exists before creation attempt. 3) not dropping all temporary tables. 
	Review #1442782

Change 1191556 on 2013/06/10 by pst14914@ConnectP4

	Bug fix #3573392 - changed sorting criteria for recording jobs

Change 1191032 on 2013/06/06 by srai@SRAI-W7

	fix bug 3571810

Change 1190987 on 2013/06/06 by pst14914@ConnectP4

	Zappa IDs logged together with error IDs

Change 1190984 on 2013/06/06 by pst14914@ConnectP4

	Bug fix #3568566 - CRS_REPORTING_TABLE_RECORDING_USAGE modified as well

Change 1190657 on 2013/06/05 by miclark@miclark-W7

	Bug #3573368. Performance and transaction dead lock issue caused by the system maintaing a FK between the PPS_ASSET_HOSTS and PPS_ASSETS tables.
	Review #1440402

Change 1190577 on 2013/06/05 by shwang@shwang_shwang-W7

	Bugs 3558456, 3570936, 3570909, 3570920 Storage Consumption in Cost Center Disk Usage, Group Usage Report, Individual Usage Report, Full System Usage is incorrect
	
	Fixed the cost_center_user_usage, user_disk_usage, user_usage and disk_usage view/table to include only assets with physical_path containing the sco_id matching the one in the pps_sco_assets table so that assets which are links are not counted.
	
	QE Testing Notes: Please verify with/without linked assets.
	Performance Impact: The addition of the LIKE operator may increase the cost of the reporting queries slightly.
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1438543 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1190120 on 2013/06/04 by pst14914@ConnectP4

	Bug fix #3568566 - deleted conversion jobs with error codes still treated as conversion jobs in error for reporting purposes

Change 1189210 on 2013/05/30 by pst14914@ConnectP4

	Bug fix #3564430 - new error code

Change 1188806 on 2013/05/29 by srai@SRAI-W7

	reset config-quota-value-outside-scheduled-time value to '5' for all clusters.

Change 1188470 on 2013/05/28 by shwang@shwang_shwang-W7

	Bug 3001182 Virtual Classroom report: The VC report does not include a guest/mobile guest in the report
	
	Added guest users to both training_status table and view. Also fixed the dim_users view's guest principal_id to be a negative number to avoid ghost users issue. Also fixed the guest user's id to be -1 * session_id in REPORTING_DIM_ACTIVITY_DETAILS, REPORTING_VIEW_GUEST_MEETING_ACCESS, REPORTING_VIEW_GUEST_CURRICULUM_MEETING_ACCESS, REPORTING_VIEW_GUEST_MEETING_LINK_ACCESS, REPORTING_VIEW_MEETING_STATUS, REPORTING_VIEW_CURRICULUM_MEETING_STATUS, and REPORTING_VIEW_MOBILE_MINUTES views.
	
	QE Testing Notes: Please verify with all Flash training reports on both licensed and hosted setups as training_status table/view is used by all training reports.
	Performance Impact: The inclusion of guest users causes the query to take longer to run. The effect depends on the DB size.
	Migration Impact: N/A
	Doc Impact: N/A
	Loc Impact: N/A
	
	Review: ID 1418581 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1188446 on 2013/05/28 by miclark@miclark-W7

	Bug #3566219. Data warehouse scripts fail due to data truncation. 
	Review #1418960

Change 1187045 on 2013/05/21 by miclark@miclark-W7

	Bug #3127588 Missing index on PPS_TREES
	Review #1495980

Change 1186655 on 2013/05/20 by miclark@miclark-W7

	Bug 3127571. Missing index on pps_acl_multi_fields.
	Review 1405520
	Added new index on pps_acl_mult_fileds(acl_id, value)

Change 1186571 on 2013/05/20 by rpathak@rpathak-w7

	Moved CL#1122249's update-script  to 9.1 script file (CL#1186547). Removing from here.

Change 1186547 on 2013/05/20 by rpathak@rpathak-w7

	Create Campaing-map table update script.
	moving CL#1122249 (9.0.1 upgrade script snippet) to 9.1 script. 
	[Bug#3562925, 3562945] 
	Review#1404780

Change 1186335 on 2013/05/17 by spadman@spadman-w7

	Integrating fix for 3562014 from 9.1AR.

Change 1186334 on 2013/05/17 by miclark@miclark-W7

	Bug #2931998. Clean up the database_schema. There are many places where a table is modified after its definition. 
	Review #1402341

Change 1186098 on 2013/05/16 by srai@SRAI-W7

	Implement functionality to cap seminar extensions. Added new field seminar-extension-count to track # of extensions of a seminar. Also reset the end time of seminar session, if extension is allowed.

Change 1185960 on 2013/05/16 by pst14914@ConnectP4

	Fix for bug #3558239 - error logging for unknown conversion errors is now allowed

Change 1185729 on 2013/05/15 by miclark@miclark-W7

	Bug 3187669. New data loading job

Change 1185718 on 2013/05/15 by miclark@miclark-W7

	Bug #3559258. Many warehouse scripts aren't checking whether the table they are attempting to delete exists, and this causes the job step to abort.
	Review #1392261

Change 1185659 on 2013/05/15 by pst14914@ConnectP4

	Fix for an error in the previous submit - wrong error name in PPS_ENCODER_ERRORS

Change 1185571 on 2013/05/15 by srai@SRAI-W7

	Seminar ECO- Large vs Normal meeting changes.
	1. added new config settings for seminar (changes to ConfigProperty and dbscripts)
	2. added quota to associated effective load based on session during addLiveUser
	3. send sessionid of associated session to meeting app
	4. MeetingShell:set sessionid if available during meeting launch
	5. MeetingShell:changed canExtendLiveSeminar to look for sessionid
	6. Refactoring and bug fixes

Change 1185491 on 2013/05/14 by miclark@miclark-W7

	Bug 3198171, missing index on pps_scos(type)
	Review #3198171

Change 1185446 on 2013/05/14 by miclark@miclark-W7

	Bug #3187669. Python script to create the data warehouse data loading job

Change 1185430 on 2013/05/14 by pst14914@ConnectP4

	New error codes

Change 1184714 on 2013/05/10 by miclark@miclark-W7

	Bug #3436257. Script execution fails when attempting to insert a null value into the NOT NULL column dim_sco_details_sco_version.
	Review #1381042

Change 1184501 on 2013/05/09 by miclark@miclark-W7

	Unicode file files had been checked in. I'm Converting them to ascii

Change 1182173 on 2013/04/26 by mzaric@mzaric-main-1

	#3541774 - Self un-enroll: User should not be able to un-enroll if originally enrolled by a training manager

Change 1182158 on 2013/04/26 by miclark@miclark-W7

	Bug 2994027. Guest users don't show up in the meeting report.
	Review #1351180.

Change 1181780 on 2013/04/25 by mvucetic@ResponseCenterMain90

	Adding new Config settings for recording service in order to stop recording service.

Change 1181536 on 2013/04/24 by miclark@miclark-W7

	Bug 3547587. Removed from the script the creation of indexes on the log shipped database table pps_transcripts.
	Review 1347680

Change 1181279 on 2013/04/23 by miclark@miclark-W7

	Bugs 3515341, 3542780 Errors in database update scripts
	Review #1342760

Change 1181105 on 2013/04/23 by abarora@abarorawin7

	Bug#3544693 : Resolution set for widescreen mode at the account level must be configurable through api	
	Review #1340841

Change 1180439 on 2013/04/19 by miclark@miclark-W7

	Bug 3205237, 3526237.  Performance problems with WH script CRS_REPORTING_TABLE_MEETING_STATUS.sql
	Code Review 1336040

Change 1179786 on 2013/04/17 by spadman@spadman-w7

	Bug 3498999: BYTE_COUNT calculations use 1000 as the denominator instead of using 1024
	
	http://vichy.corp.adobe.com:8080/go?page=ReviewDisplay&reviewid=1324800

Change 1179452 on 2013/04/16 by spadman@spadman-w7

	Bug 3498999: BYTE_COUNT calculations use 1000 as the denominator instead of using 1024.
	
	Across the board, Connect reports seem to be using division by 1000 to convert from bytes to kilobytes which is, of course, incorrect. It needs to be 1024.
	
	http://vichy.corp.adobe.com:8080/go?page=ReviewDisplay&reviewid=1324800

Change 1179304 on 2013/04/15 by mhaque@niz7

	bug#3539361 Bama Analytic Report viewer Group has spelling mistake in UI

Change 1179002 on 2013/04/12 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3506761
	- Changed bandwidth from 1024000 to 1536000.   Bhaskar has requested that we change to 1.5Mbps to increase quality without a significant increase in file size.

Change 1178351 on 2013/04/10 by miclark@miclark-W7

	Bug #3532323. Duplicate rows in the WH table TRANSCRIPT_STATUS that is caused when multiple transcripts for a given user/sco have identical date_created values. This situation occurs most often with curriculums but can also occur in other situations.
	The fix was to add a step to the transcript selection process where we get the max(transcript_id) for the transcript's with the max(date_created).
	Code Review #1211281.

Change 1178345 on 2013/04/10 by fboyer@fboyerxp1_800

	#3511676 - C9.1 DB Update scripts need to mark all previous 'I' actions to something else so they don't get re-executed when C9.1 is deployed.
	
	Set old Actions with "I" (inprogress) status to "A" (aborted)
	
	Dev impact: N/A
	QA testing notes: Test upgrade script on copy of AR if possible and ensure no rows in PPS_ACTIONS have 'I' in the status column.
	Migration impact: N/A
	Install impact: N/A
	Loc impact: N/A
	Doc impact:  N/A
	Performance Impact: N/A

Change 1178301 on 2013/04/10 by saurabgu@SAURABH

	fix for bug#3500712: Meetings attached to a curriculum should not be counted as Training taken
	No impacts.

Change 1177403 on 2013/04/08 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3536523
	Updated Zappa URL from  "https://zappa-connect-prestaging1.adobe-ct.com" to "https://zappa-connect-prestaging.adobe-ct.com"

Change 1176939 on 2013/04/05 by pst14914@ConnectP4

	Changes with encoder errors

Change 1174284 on 2013/03/25 by shwang@shwang_shwang-W7

	Bug 3202754 INTESOLV - Meeting report doesn't show Peak Users and Average Users value correctly
	
	Set peak_session_users, average_session_users and total_content_bytes _kb of guests to that of TEMP_CRS_REPORTING_TABLE_MEETING_INFO so that they are the same as regular users attending the same meeting.
	
	QE Testing Notes: Please verify the Flash report for meetings with and without guests.
	Performance impact: N/A
	Migration impact: N/A
	Loc impact: N/A
	Doc impact: N/A
	
	Review: ID 1277820 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1174120 on 2013/03/25 by pst14914@ConnectP4

	Bug fix #3523864

Change 1173833 on 2013/03/22 by miclark@miclark-W7

	Bug 2994027. Guest users do not appear in the meeting reports. Review #1255561
	Modified the WH script CRS_REPORTING_TRANSCRIPT_STATUS to correctly handle guest users. This was a regression caused by an earlier submittal to address the problem of multiple rows per user/sco.
	Note, the reporting view for transcript status was did not have this problem so it doesn't require fixing.

Change 1173111 on 2013/03/20 by miclark@miclark-W7

	Bug 3182592. Training reports show multiple rows for SCO's having multiple versions.
	Code review #1266561

Change 1173027 on 2013/03/20 by satyam@satyam7-win7

	Fixing upgrade script merge changes.
	Code Collab Review#1268820

Change 1172477 on 2013/03/18 by miclark@miclark-W7

	Fix MINOR_RELEASE and UPDATE values for PPS_DATABASE_VERSION

Change 1172454 on 2013/03/18 by plourens@plourens-W7

	Rename migrated sessions differently by removing the date from it and also check for length of name to be less than 254 nchars

Change 1172387 on 2013/03/18 by pst14914@ConnectP4

	Changes and additions to error codes

Change 1171680 on 2013/03/15 by achemey@achemey-w510

	Fix for Bug #: 3519889 - Missing a comma in database schema due to a merge of code that occurred after initial change 
	
	Dev impact: N/A
	QA testing notes: N/A
	
	
	Migration impact: None
	Install impact: None
	
	Loc impact:  N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1171574 on 2013/03/14 by pas37802@Connect_Sync

	Adding upgrade script for necessary Arkadin changes in order to update already existing arkadin profiles and to add fields before services (CPS and Telephony) are started.

Change 1171270 on 2013/03/13 by achemey@achemey-w510

	Fix for bug's:
	
	- 3494956:  SAP OEM; Escalation; Time take not does not reflect correctly if you pause and continue content created using Ancile uPerform.
	- 3456844:  Course reports: Time taken -> calls to the DB seem to be sent only after viewing the next screen
	
	The issue was that the time spent was calculated based on the DATE_CREATED.  However, the record was created when the first putparam was called.  Subsequent calls to PutParam would update the existing record, but not the date/time.  The only other call that would affect the time is when a PutInteractions for a unique interaction was made.  Not all content makes PutInteractions.  Otherwise, the time was not tracked.  Even with this change, the time-spent is only tracked when content issues a PutParam and/or PutInteractions.  Otherwise, no time tracked is really calculated.
	
	Dev impact: None
	QA testing notes: This needs to be tested in multiple ways.  
	- The time spent is acurately calculated for content that does not contain tracking (though we won't track this time - we should confirm it's the same as previous releases)
	- The time spent is acurately calculated for content that only sent PutParam data (custom files)
	- The time spent is acurately calculated for content that sends PutParam, PutInteractions (for questions); and PutInteractions for slide-view tracking (e.g. Presenter or Captivate files)
	- The upgrade script to modify the database may cause a delay in processing the large production DB's (especially NA1)
	
	
	Migration impact: DB Script may cause delay in processing on large DB's
	Install impact: None
	
	
	Loc impact:  N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1171179 on 2013/03/13 by pst14914@ConnectP4

	New encoder service error codes

Change 1170729 on 2013/03/12 by fboyer@fboyerxp1_800

	MP4 Recording Usage Report  Story
	
	Add report to 
	1) Flex ReportManager
	2) CPS DW Reports
	3) DB schema
	4) DW schema

Change 1169964 on 2013/03/08 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3514453
	- Fixed a typo.

Change 1169899 on 2013/03/08 by mvucetic@ResponseCenterMain90

	Recording Service - adding IP whitelist for APIs.
	Adding custom error codes in case when cps or zappa is down.
	Adding code for removing error jobs on zappa side
	Bug fix  - bug#3513485 and bug #3515295

Change 1169375 on 2013/03/07 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3508687
	- Removing 'config-encoder-service-proxy-participant-login' config since it's no longer used.

Change 1169111 on 2013/03/06 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3514453
	- Added type for new column.

Change 1168680 on 2013/03/05 by fboyer@fboyerxp1_800

	#3513614 - C9.1 DB update script (update_9_1_0_0.sql) failed on Preview
	
	Specify the insert and select order of columns when move rows from one table to the other.
	
	Dev impact: N/A
	QA testing notes: Test upgrade on Preview
	Migration impact: N/A
	Install impact: N/A
	Loc impact: N/A
	Doc impact:  N/A
	Performance Impact: N/A

Change 1168542 on 2013/03/05 by pst14914@ConnectP4

	Added upgrade scripts for the primary key change in table PPS_ENCODER_JOB_ERROR_RECORDS

Change 1168396 on 2013/03/05 by mhaque@niz7

	error in last check in 

Change 1168387 on 2013/03/05 by mhaque@niz7

	upgrade script for adding the new analytic user group.
	
	Review #1222520

Change 1168264 on 2013/03/04 by plourens@plourens-W7

	Bugs #3507631 and #3507641 - the subquery was returning null values for some of the rows breaking the not in filtering by ignoring all rows. 

Change 1168179 on 2013/03/04 by mhaque@niz7

	creating new user group "hosted-report-analytics"
	Review #1221560

Change 1168136 on 2013/03/04 by pst14914@ConnectP4

	Fixing error introduced in changelist 1167788 (wrong primary key)

Change 1167816 on 2013/03/01 by miclark@miclark-W7

	Fix bugs in upgrade scripts
	Review 1217842

Change 1167815 on 2013/03/01 by miclark@miclark-W7

	Remove unused indexes Bug#3187272
	Review #1217860

Change 1167788 on 2013/03/01 by pst14914@ConnectP4

	New table definitions for conversion error retry handling, modified retry logic and error record tracking. Also, moved definition for when to pick up old convresion jobs again out of the code and into PPS_CONFIG table.

Change 1167771 on 2013/03/01 by pas37802@Connect_Sync

	Multiple UV Failover

Change 1167507 on 2013/02/28 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3508687
	- Updated default Zappa configurations.

Change 1167478 on 2013/02/28 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3506729
	I've fixed the "In Process" message to actually display the percentage progress from Zappa:
	
	"In Process for MP4 generation. This job is 98% complete.    This MP4 is currently being generated. You cannot delete this MP4 right now."
	
	The percentage gets updated every time Zappa updates the status, so if the information is updated every 3 minutes, then the status will get updated accordingly.

Change 1167194 on 2013/02/28 by mvucetic@ResponseCenterMain90

	Adding missing config settings for recording service. Changing database scripts on CPS and on RS side.
	Implementing new functionality for deleting Job on the zappa side after successful conversion.

Change 1166916 on 2013/02/27 by miclark@miclark-W7

	Another attempt to get an ascii version.

Change 1166913 on 2013/02/27 by miclark@miclark-W7

	Change filetype from unicode to ascii

Change 1166908 on 2013/02/27 by miclark@miclark-W7

	Rollback //depot/main/AdobeConnect/components/dbscripts/Reporting DW/Report Table Loading.sql to revision 3

Change 1166907 on 2013/02/27 by miclark@miclark-W7

	Rollback //depot/main/AdobeConnect/components/dbscripts/Reporting DW/DropTEMPTables.sql to revision 4

Change 1166906 on 2013/02/27 by miclark@miclark-W7

	Change filetype

Change 1166414 on 2013/02/26 by miclark@miclark-W7

	Fix non idem-potent update code in the database upgrade scripts.  Review #1209420

Change 1166379 on 2013/02/26 by bstrand@bstrand-AC

	Integrating CL#166378 down from 9.0.0.1
	Removing updateLogger call to sproc on the primary DB, which isn't accessible from DWH. Correction to correction to script change made per 3341828
	Review #1209440

Change 1166369 on 2013/02/26 by spadman@spadman-w7

	Correction to script change made per 3341828 - the updateLogger stored procedure only exists on the primary DB and not on the reporting DW.
	
	The file that was used by Bhavesh on AR Stage is being checked in as-is in the 9.0.3 branch (with one change: revision #3 changed to #4, but this should be automatically expanded as an RCS keyword).

Change 1166005 on 2013/02/26 by cir83936@cir83936_qwong-winvm_8965

	Backing out changes for Fix for http://watsonexp.corp.adobe.com/#bug=3485091
	- Add a unique constraint for the ENCODER_SERVICE_ID.  We should not be able to create jobs with the same Zappa ID.  
	- In the Record Service code, we now have to check for the following string "NO_ESID_ASSIGNED_FOR", which is the default prefix for encoder job-ids that have not been submitted to Zappa yet.
	
	These changes were originally made in CL#1165920

Change 1165920 on 2013/02/25 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3485091
	- Add a unique constraint for the ENCODER_SERVICE_ID.  We should not be able to create jobs with the same Zappa ID.  
	- In the Record Service code, we now have to check for the following string "NO_ESID_ASSIGNED_FOR", which is the default prefix for encoder job-ids that have not been submitted to Zappa yet.

Change 1165807 on 2013/02/25 by saurabgu@SAURABH

	fix for bug#3505874: Participant distribution slab and Seminar reports are not displayed for MY account.
	Removed the extra serial key check for hosted accounts filter.
	No Impacts.

Change 1165107 on 2013/02/21 by miclark@miclark-W7

	Change filetype from utf16 to text

Change 1165069 on 2013/02/21 by ppatil@ppatil-w7

	Adding changes for Bug=2913552:  Large recording will not transfer cross cluster due to an exception error

Change 1164548 on 2013/02/19 by miclark@miclark-W7

	Change filetype to ktext to allow for keyword expansion

Change 1164524 on 2013/02/19 by ppatil@ppatil-w7-dev7

	Bug=2913552:  Large recording will not transfer cross cluster due to an exception error

Change 1163783 on 2013/02/18 by satyam@satyam7-win7

	Ensured that the REMOTE_CQ_TEMPLATE column addtion to PPS_EVENT_DETAILS is such that it can be executed mulitple times without error.
	
	Code Collab Review#

Change 1163750 on 2013/02/18 by ptanwar@ptanwar-WIN7

	Merging changes made in CPS/DBScripts for the Event integration package to the 9.0.0.1 branch

Change 1163571 on 2013/02/15 by srai@SRAI-W7

	misc fixes: 
	1. database script fix for recordingjob table. 
	2. Changed default configuration values for seminar extension period and extension checking period
	3. Add check for unlimited quota for MP4 and not send email for that case. 
	4. Rounded off less than 1 min long meetings to 1.

Change 1162595 on 2013/02/12 by miclark@miclark-W7

	Bug #3436278,  Review #1195100
	Data truncation caused on inserts into the column linked_course_contents. The column's width was less than that of the source column for the isert. I increased the width to 30 from 16.

Change 1162523 on 2013/02/12 by shwang@shwang_shwang-W7

	Bugs 3432703 & 3497299 Other users in meeting and learners report.
	
	This is because of the change in CL#1036201 for bug 2994027. The change altered the principal_id (which was -1 * session_id) of guests to just session_id and when a session_id is the same as a principal_id the guest will be included in the report.
	
	Back out revision 3 from //depot/main/AdobeConnect/components/dbscripts/Reporting DW/CRS_REPORTING_TABLE_DIM_USERS.sql
	
	QE Testing Notes: Please verify the reports for both bugs along with that of bugs 2994027 & 2879541.
	Performance impact: N/A
	Migration impact: N/A
	Doc impact: N/A
	Loc impact: N/A
	
	Review: ID 1192701 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1162308 on 2013/02/11 by miclark@miclark-W7

	Bug #3182592, Review# 1189000. Duplicate rows caused by multiple sco versions.
	Modified the reporting view and WH table script to filter out duplicate user training reports when the SCO has multiple versions.

Change 1161320 on 2013/02/06 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3492495
	- Adding duration in millseconds to the Encoder Service parameters for Zappa to use for load balancing of jobs.
	
	Fix for http://watsonexp.corp.adobe.com/#bug=3496772
	- We need to be able to configure the default bitrate used in PPS_CONFIG.

Change 1160921 on 2013/02/04 by srai@SRAI-W7

	Changes related to mp4 quota management : credit/debit quota based on job submission and cancellation/failure

Change 1160411 on 2013/02/01 by spadman@spadman-w7

	http://watsonexp.corp.adobe.com/#bug=3341828
	
	Extending the same fix that was done in Reporting DW to materialized views. Also added RCS keywords to the original check ins in order to facilitate easy tracking.
	
	New review http://vichy.corp.adobe.com:8080/go?page=ReviewDisplay&reviewid=1174620

Change 1160351 on 2013/01/31 by shwang@shwang-depot

	Bug 2650057 - NSW Duplicate entries in Reports by users with different certificate ids (fixing the logic that drops the view REPORTING_VIEW_TRAINING_STATUS)
	
	Review: ID 1118420 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1159954 on 2013/01/30 by miclark@miclark-W7

	Bug #3171823, Review #1170301
	Modified the objects being joined to include the reference to the reporting database which is where they are located.
	I also delete the new temporary tables once the inserts are complete.

Change 1159866 on 2013/01/30 by rpathak@rpathak-w7

	Report Export Wizard: 
	- Added set default and Exclude headers options
	- Bug fixes: 3490778, 3490820
	
	QE Note:  Please drop & recreate DB tables: pps_report_export_templates and pps_report_export_template_columns using updateScript.
	
	ReviewId: 1169820

Change 1159583 on 2013/01/29 by plourens@plourens-W7

	Seminar tree sco can be for multiple accounts, get all those scos.

Change 1159136 on 2013/01/28 by plourens@plourens-W7

	Seminar migration from 9.0 to 9.1

Change 1159008 on 2013/01/28 by satyam@satyam-w7

	Checking in change missed in CL#1158956

Change 1158956 on 2013/01/28 by satyam@satyam-w7

	Part7-Merging
	
	//depot/branches/AdobeConnect/EventPkg/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1158945 on 2013/01/28 by satyam@satyam-w7

	Part2-Merging
	
	//depot/branches/AdobeConnect/EventPkg/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1158943 on 2013/01/28 by satyam@satyam-w7

	Part1-Merging
	
	//depot/branches/AdobeConnect/EventPkg/components/...
	
	to //depot/main/AdobeConnect/components/...

Change 1157847 on 2013/01/24 by rpathak@rpathak-w7

	Report Export Wizard: Part-3 (report preparation) + LOC
	
	QE Note:
	Run the DB update script (to drop and recreate export wizard's table)
	Pending:
	Some UI refinement is still pending
	
	ReviewId: 1139740

Change 1157839 on 2013/01/24 by saurabgu@SAURABH

	Feature: Customize ICS text.
	QE Testing Notes: Please test in all major browsers.
	The ics text is customizable and will set to default if made empty.
	The customized text will not be localized.
	No other Impacts.

Change 1157632 on 2013/01/23 by shwang@shwang-depot

	Bug 2650057 - NSW Duplicate entries in Reports by users with different certificate ids (fixing the view REPORTING_VIEW_TRAINING_STATUS)
	
	Fix the case where the in-progress transcript that has the latest date_created does not have the max(score). Also, added an extra condition in the where clause on matching sco_id to improve performance.
	
	Review: ID 1118420 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1157630 on 2013/01/23 by shwang@shwang-depot

	Bug 2650057 - NSW Duplicate entries in Reports by users with different certificate ids (fixing the view REPORTING_VIEW_TRAINING_STATUS)
	
	Fix the case where the in-progress transcript that has the latest date_created does not have the max(score). Also, added an extra condition in the where clause on matching sco_id to improve performance.
	
	Review: ID 1118420 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1157183 on 2013/01/23 by srai@SRAI-W7

	changes related to quota for mp4 conversion pack - Part I. Added new page in BAMA to set mp4 quota, modified account feature page to show new MP4 conversion service, license.xml file genertion, database script to add new quota type etc.

Change 1157171 on 2013/01/23 by bstrand@bstrand-AC

	Integrating CL# 1150115
	Fix for long/perpetually running ETL step, bug #3031732
	Review #1095520

Change 1155802 on 2013/01/18 by saurabgu@SAURABH

	fix for bug#3474570: Extrenal Training should be counted in report-dw-query-new-trainings as new training
	We would now add a new view as changing the existing one might crash the existing workflow.
	
	Rollback //depot/main/AdobeConnect/components/dbscripts/Reporting DW/CRS_REPORTING_TABLE_SCOS.sql to revision 2
	Created new view CRS_REPORTING_TABLE_TRAININGS.
	No Impacts.

Change 1154629 on 2013/01/15 by saurabgu@SAURABH

	AccountUsageReports- Trainings Taken -Part 1:  DW view, SQL query and XML api.
	Plus added DropTempTables.sql entries for all the views created for AccountUsageReports stories.

Change 1153451 on 2013/01/10 by shwang@shwang-depot

	Bug 2650057 - NSW Duplicate entries in Reports by users with different certificate ids (fixing the view REPORTING_VIEW_TRAINING_STATUS)
	
	Fixed the view to remove duplidate rows with different certificate IDs and incorrect status (when in-progress transcripts appears after complete transcript).
	
	Review: ID 1118420 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: Andrew Chemey, Reviewer: Michael Clark, Observer: Raj Codavalli 

Change 1152061 on 2013/01/07 by miclark@miclark-W7

	Remove multiple user transcripts in report.  Bug#3171823. Code Review #1107620
	Removed the session ID from the Group By clause so that we only generate one row per user/sco.
	Also made logical changes to determine which transcript to return. 

Change 1151711 on 2013/01/05 by rpathak@rpathak-w7

	Event Report Export Wizard Story: 
	XML APIs 
	Database
	Data-migration for existing accounts
	
	QE Notes:
	1. Test the xml apis. 
	2. Test: Defaulte template should be created automatically for new licensed setup (New DB creation).
	3. Test: Defaulte template should be created for new Accounts in hosted
	4. Run update script to upgrade the existing DB.
	
	
	ReviewId: 1076721 (Satyadeep)

Change 1151643 on 2013/01/05 by cir83936@cir83936_qwong-winvm_8965

	Fix for http://watsonexp.corp.adobe.com/#bug=3430250
	- Pass in the height and width to the encoder service job's parameters.
	- The default height and width are stored in the PPS_CONFIG with the following settings:
	config-encoder-service-recording-width=1024
	config-encoder-service-recording-height=768
	- Updated JUnit tests for this method.

Change 1151084 on 2013/01/03 by satyam@satyam7-win7

	Bug#3435193:while creating CRS_REPORTING_TABLE_DIM_SCO_DETAILS Table Error is thrown
	
	Problem:The script for creating CRS_REPORTING_TABLE_DIM_SCO_DETAILS had syntax errors.
	
	Fix:Fixed the syntax errors
	
	Code Collab
	
	Review #1100240

Change 1149952 on 2012/12/21 by satyam@satyam7-win7

	Bug#3427359:While calculating hosted trend for frequency usage/ Peak Participant  reports template license is also used in calculation
	
	Problem: The view does not filter only hosted accounts
	Fix: Added the filter
	
	Code Collab Review #1090981

Change 1149930 on 2012/12/21 by hsawhney@himanshu

	Bug fixed: 3432448
	While creating a view for Active_Meeting_Host and Active_Seminar_Host added null check for the account_id.

Change 1149705 on 2012/12/20 by saurabgu@SAURABH

	Account Usage Reporting - New Trainings.
	warehouse reporting table, XML API and flex chart for reporting the new trainings created in the specified durations in the specified account.
	Please note that there is no view provided for this CRS_REPORTING_TABLE in the main DB, so essentially we would be using the warehouse table.

Change 1149266 on 2012/12/19 by cgatihi@cgatihi-Optiplex_9144

	B-19860: Catalog Self-Enrollment Triggers Enrollment Notification (KPMG)

Change 1149109 on 2012/12/19 by saurabgu@SAURABH

	fix for bug# 3429449: 
	Accounts which are expired already is counted in average of Peak concurrent Participant.
	This happened due to quotas date_end being set as year 3000 for all accounts .. now using the account expiry date instead.
	No Impacts

Change 1148746 on 2012/12/18 by miclark@miclark-W7

	pending approval story. Added new view definintion to the upgrade script.
	Review 1081660

Change 1148631 on 2012/12/18 by hsawhney@himanshu

	Moved the Active host count report from the bulk database to warehouse DB.

Change 1148269 on 2012/12/17 by bpriya@Wall

	Adding checks before adding coulmns to the tables.

Change 1148243 on 2012/12/17 by cir83936@cir83936_qwong-winvm_8965

	Implementation of Job Queue Management and Load Balancing Design 
	- Implementation of 'get-next-queued-job' XML API as discussed here:  https://zerowing.corp.adobe.com/display/Breeze/Technical+Specification+-+Job+Queue+Management+and+Load+Balancing+in+CPS
	- Add additional columns to PPS_RECORDING_CONVERSION_JOB table for tracking who is getting the next job.

Change 1148199 on 2012/12/17 by bpriya@Wall

	Bug# 3210218
	Allowing user to reorder the telephone list.

Change 1147718 on 2012/12/14 by saurabgu@SAURABH

	Account Usage Reports: Meeting Named Host model: Participant Distribution Slab.
	warehouse View, schema and update schema, API and Reporting graph

Change 1147708 on 2012/12/14 by hsawhney@himanshu

	Integrating the InternalAnalytic feature branch into the mainline.

Change 1147279 on 2012/12/13 by miclark@miclark-W7

	Modified the training reporting view and warehouse so that users that are pending approval will appear in the training status reports.
	Review# 1069281. Story B-19512

Change 1146500 on 2012/12/12 by mzaric@mzaric-main-1

	#3424329 - User's Enrollment Status doesn't change to 'Pending Approval' after user enrolls to a training object with approval needed

Change 1145967 on 2012/12/11 by saurabgu@SAURABH

	integrating from feature branch CL#1145966

Change 1145615 on 2012/12/10 by shwang@shwang-depot

	Rollback CL#1099135

Change 1144517 on 2012/12/07 by bpriya@Wall

	Bug#3113957
	Add Toll Free field for the conference number.

Change 1142924 on 2012/12/04 by saurabgu@SAURABH

	integrating from feature branch
	fix for bug # 3369991: DB deployment failed and bug # 3374128: CPS service startup fails in case of fresh installation
	No Impacts.

Change 1140161 on 2012/11/27 by cir83936@cir83936_qwong-winvm_8965

	Fix for 3358209.
	- Here's the URL for the bug: http://watsonexp.corp.adobe.com/#bug=3358209
	- Updating the database schema so that we're using NCHAR, not NVARCHAR.  It turns out that (and I forgot), that when using the Enum framework for fields, you need to use NCHAR as the datatype.   Otherwise, the framework won't know to translate the character to it's enumerated value.
	- Updated all the associated Java, XSL and unit tests.
	- Added strings for the different statuses.

Change 1138978 on 2012/11/22 by saurabgu@SAURABH

	integrating from feature branch
	fix for bug#3369991: DB deployment failed
	partial fix was done in CL# 1138936

Change 1138936 on 2012/11/22 by saurabgu@SAURABH

	integrating from feature branch
	fix for dbscript break due to missing GO statement

Change 1138791 on 2012/11/21 by cir83936@cir83936_qwong-winvm_8965

	Database schema modifications for new columns and configurations:
	(1) Removed database statements for Zappa login and password. 
	(2) Added port, version and connectClientId, which are required by Zappa.
	(3) Updated ConfigSetting.java. 

Change 1138540 on 2012/11/21 by saurabgu@SAURABH

	Merging
	
	//depot/branches/AdobeConnect/FeatureBranches/InternalAnalytics/...
	
	to //depot/main/AdobeConnect/...

Change 1138265 on 2012/11/20 by spadman@spadman-w7

	Bug 3341828: Full system reports including the same asset multiple times in disk usage calculations
	
	In calculating the disk usage to display in the Full System Usage report, we are counting many assets multiple times needlessly, displaying incorrect numbers.
	
	There are multiple (say, x) rows in pps_sco_assets referencing the same asset_id; in the disk usage calculations in CRS_REPORTING_TABLE_DISK_USAGE, we are getting the byte_count value for this asset_id from pps_assets, and summing it x times. But each asset_id is also uniquely mapped to a single specific physical_path, so there is really only one such asset irrespective of how many SCOs might be mapped to it.
	
	For example: between 09/21 and 10/01, one new piece of content (MeetingTest.zip, 48 MB) was added to a meeting (SCO=613572821). The way our system works causes two SCO rows for this content and six ASSET rows (3 rows per SCO with asset_type = -1, 0, 1). But all the rows reference a single asset_id, and therefore point to a single physical path on disk. But this causes this asset to be counted 6 times, thereby bumping up the total disk usage reported by 288 MB (48 MB * 6). 
	
	http://vichy.corp.adobe.com:8080/go?page=ReviewDisplay&reviewid=961741

Change 1137066 on 2012/11/16 by plourens@plourens-W7

	Bug #3213814 - seminar servers should have their own minimum count.

Change 1135069 on 2012/11/12 by plourens@plourens-W7

	Bug #3213814 - when taking servers out of Active, make sure minimum number of active servers remain in the cluster.

Change 1134766 on 2012/11/10 by cgatihi@cgatihi-Optiplex_9144

	Story B-19867: Lock VC Without Entering Room (KPMG)

Change 1133069 on 2012/11/06 by cir83936@cir83936_qwong-winvm_8965

	Database configuration settings for Recording Services
	- Please refer to the section under Configuration Settings: https://zerowing.corp.adobe.com/display/Breeze/Technical+Specification+-+Recording+Service+and+CPS

Change 1128779 on 2012/10/24 by cir83936@cir83936_qwong-winvm_8965

	Database scripts for Recording Job Management.

Change 1125728 on 2012/10/16 by miclark@miclark-W7

	Issue 3127595, Code review 909401 New Index on pps_acls
	Added an index on the owner_principal_id of the pps_acls table. There were several common queries that resulted in a full table scan because there wasn't an index on this column.

Change 1122436 on 2012/10/08 by miclark@miclark-W7

	Issue 3205237  Walkthrough 896020
	Performance improvements for TEMP_CRS_REPORTING_TABLE_MEETING_SCOS.
	There were several correlated sub queries that were duplicated and this resulted in very long execution time. To resolve this I created a new temporary table and stored the results of the sub queries there and then joined with this table instead of executing the sub queries again.

Change 1122350 on 2012/10/08 by srai@SRAI-W7

	added principalid and modified date on order history to capture principal info and modified date. Also added new page to view order history and add/edit order history..

Change 1122249 on 2012/10/08 by rpathak@rpathak-w7

	Mapping Campaign Id to familiar name story
	
	Implementation:
	XML APIS
	DB Schema
	Webapp UI
	
	Design Doc: depot\main\AdobeConnect\components\CPS\devdocs\training\event
	XD Spec: http://help.adobe.com/en_US/connect/8.0/using/WSE5CFDE0B-FA44-435e-BC1E-14C265D58792.html) 
	
	Review#892840

Change 1118625 on 2012/09/27 by ppatil@ppatil-sfo

	Bug # 2977054: ESCALATION-HOSTED-Reporting Job is failing due to datatype limit

Change 1115627 on 2012/09/20 by srai@SRAI-W7

	Changes for BAMA stories - adding partner id etc.
	1. added new table to track order history
	2. added new apis for salesdashboard to get partner related accounts
	3. modified BAMA UI to add input for order#, reseller and soldto so that manual fulfillment team can process order.
	4. modidied account-update api to process order#, resellerid and soldto.
	5. Added new status (Partner, free) for Account

Change 1108304 on 2012/09/04 by bstrand@bstrand-T3500

	Integrating CL#1108301 from 9.0.0.1 to Main
	Fix for bug #3321203
	Field width adjustments to CRS table SCO_DETAILS to match source data from the PPS schema.
	Review #832821

Change 1099135 on 2012/08/10 by shwang@shwang-depot

	Bug 2650057 - Duplicate entries in Reports by users with different certificate ids
	
	For some unknown reason when a user complete a course in a curriculum, sometimes two post request to change the status will be sent by the course presnetation. This causes two transcripts being created with status equals 'C'. When the two transcripts have the same date_created, the curriculum's "By Users" report will show two certificates for the user.
	
	The fix on the reporting side is to change the report-training-enrollees query and the REPORTING_VIEW_TRAINING_STATUS view so that if there are more than one complete transcripts the one with max_score and max transcript_id will be selected. Also bring back Quinn's fix  (CL#153704, bug#0119741) for number of attempts in report-training-enrollees query (for curriculum report the number of attempts should be NULL though this column does not seem to be used in any report and this API is not ducmented in the web services document).
	
	QE notes: Please verify all trainng reports both classic and new/Flash ones and not just the ones for curriculum. Please also set up Connect with reporting data warehouse DB instead of views (i.e., the same set up as in our hosted clustered with a reporting warehouse DB) since the script to populate one of the warehouse DB table is also modified.
	Performance impact: The query for report-training-enrollees and the schema for view REPORTING_VIEW_TRAINING_STATUS have been changed and may increase the time on reports using the query and view.
	Migration impact: The schema for view REPORTING_VIEW_TRAINING_STATUS has been changed. 
	Loc impact: N/A
	Doc impact: N/A
	
	Review: ID 771862 by Author: Shu-jen Wang, Reviewer: Andrew Chemey, Reviewer: Fred Boyer, Observer: John Houghtling 

Change 1088642 on 2012/07/18 by mhaque@NIZAM

	#3290198 Migration: Migrated events has Allow Direct Entry enabled by default for Events
	Review #738240

Change 1087042 on 2012/07/13 by mhaque@NIZAM

	reverting the last change as there is no bug for it.

Change 1086985 on 2012/07/13 by mhaque@NIZAM

	migration delta script for preview
	also 1 ver small change  in update
	Review #728762

Change 1086229 on 2012/07/11 by saurabgu@SAURABH

	fix for bug #3282848 :Error message is shown to a user who tries to enable omniture tracking first time using full analytics on his connect account .
	This change will need an update in the database for altering two columns in the PPS_OMNITURE_ACCOUNT table to make them nullable.
	Old sitecatalyst integrations will continue to be working fine.. Also any new "Basic Reports" Integrations will also be working fine.
	Please run the following sql query to be able to create new "Full Analytics" integrations with SiteCatalyst:
	
	Alter Table PPS_OMNITURE_ACCOUNT
	Alter Column TRACKING_SERVER nvarchar(1024) NULL
	GO
	Alter Table PPS_OMNITURE_ACCOUNT
	Alter Column VISITOR_NAMESPACE nvarchar(1024) NULL
	GO
	
	Dev Impact: please run the above sql query to be able to create new Full Analytics integrations.
	QE testing Notes: Please test to see if the user is able to create reports suites in new SiteCatalyst Accounts where Custom Analytics has not been used before.
	Migration Impact: The Sql query has been added to the update script.
	LOC/DOC Impact: none

Change 1085717 on 2012/07/10 by satyam@satyam7-win7

	Bug#3164496:Creating numerous microsites generally 200+ shutdown the JVM on author and microsite creation fails and for successful creation it takes too much time which increases exponentially
	
	Fix:
	1.  Prevented microsite creation for trial accounts in BAMA 
	2.  Implemented silent microsite creation from webapp on the click of event management tab by anybody having event admin permissions on the account.
	3.  Changing query of microsite creation tool to skip microsite creation for trial accounts. 
	4. Changed the upgrade script such that defualt CQ templates creation is not done for trial accounts
	
	Code Collab Review#714325

Change 1085430 on 2012/07/09 by fboyer@fboyerxp1_800

	#3221613 - ESCALATION-HOSTED- getactiveticketcounts running really long in AR since C9
	
	Added suggested index.
	
	Dev impact: None
	QA testing notes:  already tested in production
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1084815 on 2012/07/06 by achemey@achemey-w510

	Modifications to support Presenter HTML-based content.  Currently, the Presenter-HTML-based content will only use the AICC standard for communication.

Change 1084414 on 2012/07/05 by mhaque@NIZAM

	bug#3213147 Preview: Email template names appearing in curly braces
	Review #713900

Change 1082293 on 2012/06/27 by mhaque@NIZAM

	bug#3181909 Upgrade script does not consider the fact that trial account have grace period of 5 days and normal account have grace period of 30 days
	Review #702381

Change 1081495 on 2012/06/25 by fboyer@fboyerxp1_800

	#3222382 - 9.0.0.1 script should first drop the INDEX PPS_USER_SESSIONS_MOBILE  before creating it again
	
	Change logic to always drop and redefine index instead of only defining it if it doesn't exist
	
	Dev impact: none
	QA testing notes: Upgrade from 9.0.0.0 schema
	Migration impact: N/A
	Install impact: N/A
	Loc impact: N/A
	Doc impact: N/A

Change 1078851 on 2012/06/19 by hsawhney@himanshu

	Bug fixed:#3201147 and #3118848
	For fixing bug #3201147:
	We are now fetching SiteCatalyst reports by setting report filter on "sco-id" only. We are now not using "sco-name" as a part of reports filter.
	
	For fixing bug #3118848:
	When  any account is migrated, we save all the existing events using a new sco. 
	So when we try to fetch the report using this new sco-id, then earlier reports sent to SC before migration get lost.So now when any account will be migrated we will save the pre-migration sco, report tracking and fetching signature. For these migrated sco's we will continue to use these tracking signature so that earlier reports remain saved.
	
	We are also saving the migration count in AclFiled table. This is required for a case when we create a new event in this migrated account, then new sco-id generated may match the sco-id for some event in pre-migration time. In that case report fetching signature of both the events will be same and we will get the  combined counts for both the events.

Change 1077467 on 2012/06/15 by mhaque@NIZAM

	bug#3213147 Preview: Email template names appearing in curly braces
	Review #676020

Change 1076609 on 2012/06/13 by fboyer@fboyerxp1_800

	#3200962 - Licensed accounts should not be updated to the latest schema version
	
	Remove update statement from upgrade script.
	
	
	Dev impact: None
	QA testing notes:  column for pre-existing records should not have the schema_version updated.
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1075667 on 2012/06/11 by fboyer@fboyerxp1_800

	#3167804 - Appserver is fastfailing with production DB
	
	Adjusted index definition as per AR deployment.
	
	Dev impact: None
	QA testing notes:  already confirmed to solve problem in performance test
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1073518 on 2012/06/06 by rajc@rajcxp1

	New C9 Seminar Updates: First Installment
	
	Fix bug#: 3205444
	Comments:   This is a enhancement request and the checkin is the first installement for QE to start testing, more related checkins will be coming.
	
	Dev impact: 
	
	QA testing notes: Refer https://zerowing.corp.adobe.com/display/Breeze/Seminar+Scheduling+Revised+Behavior+for+C9
	
	Migration impact: Yes
	Install impact: None
	
	Loc impact: Yes
	Doc impact: Yes
	Perm Impact: None

Change 1070290 on 2012/05/31 by mhaque@NIZAM

	bug#3173036
	Enhancement: Event admin should not have rights to create or modify an event.
	
	also there was problem in tagging  for event managers
	Review #637560

Change 1070257 on 2012/05/31 by satyam@satyam7-win7

	Removing ONLINE=ON setting on the index  PPS_TRANSCRIPTS_TICKET_SCO. This setting is only applicable for SQL Server enterprise edition and would not work for express edition.
	
	Code Collab Review:632021

Change 1069667 on 2012/05/30 by mhaque@NIZAM

	changing the version no from 9.0.1.0  to 9.0.0.1
	Review #634500

Change 1069665 on 2012/05/30 by mhaque@NIZAM

	Rename/move file(s)
	Review #634426

Change 1069662 on 2012/05/30 by mhaque@NIZAM

	deleting the 9.0.0.1 version and  renaming the 9.0.1.0 to 9.0.0.1
	Review #634420

Change 1069068 on 2012/05/29 by satyam@satyam7-win7

	Removing ONLINE=ON setting on the index  PPS_TRANSCRIPTS_TICKET_SCO. This setting is only applicable for SQL Server enterprise edition and would not work for express edition.
	
	Code Collab Review:632021

Change 1068910 on 2012/05/28 by mhaque@NIZAM

	bug#3181909
	Upgrade script does not consider the fact that trial account have grace period of 5 days and normal account have grace period of 30 days
	Review #630421

Change 1067817 on 2012/05/24 by yashdeep@cnct

	Adding recent changes to db script inupdate_9_0_0_1.sql (temporary file)

Change 1067516 on 2012/05/23 by fboyer@fboyerxp1_800

	#3186393 - ESCALATION-HOSTED-Queries running slow after SQL 2008 R2 upgrade (Wrong index being used)
	
	Added index to speed queries for licensed and hosted customers, suggested by Support.  Added index hint to query for report-user-trainings-taken.
	
	Dev impact: None
	QA testing notes:  I tested on a small db.  Should be tested on a large db to make sure index and hint are really working.
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1067228 on 2012/05/23 by achemey@achemey-w510

	Fix for bug #'s:  3178542 (and related bug 3179923), 3178523, 3178536
	
	The bugs all affect similar files.  The result of Captivate 6 publishing to HTML5.  There are multiple file formats from Captivate 6:
	- HTML5-content needs to be differentiated from SWF-based Captivate content
	- HTML5 content from CP6 should not appear in Meeting
	- HTML5/AICC should NOT be placed in a SCORM-to-AICC wrapper (and may or may not contain metadata files for tracking)
	- HTML5/SCORM content NEEDS to be placed in the SCORM-to-AICC wrapper (and may or may not contain metadata files for tracking)
	- SWF-based content that does not contain the imsmanifest.xml should not be placed in the SCORM-to-AICC wrapper
	- SWF-based content that DOES contain the imsmanifest.xml will be placed in the SCORM-to-AICC wrapper

Change 1067064 on 2012/05/23 by yashdeep@cnct

	correct the version in temp file

Change 1067027 on 2012/05/23 by yashdeep@cnct

	temporarily adding this file so that migration testing can continue. This will be removed once we move installer version to 901

Change 1066719 on 2012/05/22 by rajc@rajcxp1

	Fix bug#:  None
	
	Comments:   
	Revert CL#s, 1065067 and 1065069 (both fix for bug#2507150)
	Also revert 1047545 (fix for bug#3137103)
	Reason: UI impact, migration issue, DB impact, etc.
	
	Dev impact: N/A
	QA testing notes: Test to see the Screen Share Restriction compliance setting behave the way it was in C8. 
	
	Migration impact: N/A
	Install impact: N/A
	
	Loc impact:N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1066460 on 2012/05/21 by fboyer@fboyerxp1_800

	#3194747 - Not able to create new accounts after migration
	
	Injection when splitting scripts.  Schema version should be 8 as it is a zero based enumeration.
	
	Dev impact: None
	QA testing notes:  tested against a fresh db, 8.2->9.0.0.0->9.0.0.1
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1065657 on 2012/05/18 by fboyer@fboyerxp1_800

	Renamed as per versioning guidelines.  

Change 1065130 on 2012/05/17 by fboyer@fboyerxp1_800

	#3189878 - AR stage - reporting data missing, will need to make the SCO version column nullable
	
	Changed 3rd unioned subquery to check for a null sco_asset version and return 1.
	
	Integrated from 9.0 branch.
	
	Dev impact: None
	QA testing notes:  Should no longer be necessary to allow null for dim_sco_details_sco_version column in CRS_REPORTING_TABLE_DIM_ACTIVITY_DETAILS.
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1065069 on 2012/05/17 by rajc@rajcxp1

	Should actually be a part of CL#:1065067

Change 1065067 on 2012/05/17 by rajc@rajcxp1

	NOTE: THE FIX FOR THIS BUG IS EFFECTIVE ONLY AFTER FIXING BUG#3189572
	
	Fix bug#: 2507150, 3184701, 3137103
	
	Comments:  Our Screen Sharing Restriction settings workflow has various issues like it doesnt allow blank fields when the useronly wants to enter say win-fields and not mac-fields, if it is changed to allow blank fields then the problem occur where nothing is shared for the platform with blankfields(while the user didnt actually wanted to do that).
	
	The fix is we now have implicit checkboxes for separate platforms so that the intention and the list can be handled separately.
	The updates are made for 'whitelist' option only.
	
	Dev impact: This bug fix is incomplete until the meeting code updates. The new fields need to be passed to the meeting via MeetingShell.java(meeting-register) and then the restrictions need to be applied based on whether the platform specific option is checked or not.
	
	 Please read the attached emails for more details.
	
	QA testing notes: Test the 'Restrict Screen Share' worflow, especially the 'whitelist' option, by various combinations of checks/unchecks in the checkboxes and populate/empty the fields.
	Once the bug is completely fixed from the meeting side, we can actually see it working...
	
	Migration impact:  This behavior is not backward DB compatible so to support the migrated accounts to keep their previous settings, the meeting code needs to look for the new field if the new fields are not present, then the whitelist for the platform needs to be applied accordingly, this is the way we will support migration for this change.
	
	Install impact: N/A
	
	Loc impact: Strings need to be localized
	Doc impact:  The new behavior needs to be clearly documents.
	Perm Impact:N/A

Change 1065007 on 2012/05/17 by satyam@satyam7-win7

	Bug#3159260:Added number type display for conference numbers.
	-Added number type to the db table
	-Ensured that number type is passed on from the adaptor to CPS
	-Ensured that number type is displayed if available at various places in the UI where conference numbers are shown
	
	Code Collab Review#598640

Change 1064815 on 2012/05/17 by satyam@satyam7-win7

	Checking before inserting in PPS_EXT_ENUM_TYPE with values (1029, '{scorm}')
	
	Code Collab Review#606940

Change 1064764 on 2012/05/17 by ptanwar@ptanwar-WIN7

	[Bug #3185542] Not recieving  Test mails for "Show Reminder when updates need to be sent" and "Remind participants closer to event"

Change 1064290 on 2012/05/16 by satyam@satyam7-win7

	Bug#3181877:There is no DB script to migrate AR to ARR
	Fred is taking care of this. This CL is specifically for merging CL#1062555 becasue in this CL, the changes were made at a place in the upgrade script which is now part of the 8.2.2 -> AR upgrade while the changes were for ARR. So these changes are now moved to the AR -> ARR script. 
	
	Code Collab Review#603921

Change 1063586 on 2012/05/15 by achemey@achemey-w510

	Back out changelist 1063559

Change 1063584 on 2012/05/15 by fboyer@fboyerxp1_800

	Fix updateLogger calls

Change 1063579 on 2012/05/15 by fboyer@fboyerxp1_800

	#3181877 - There is no DB script to migrate AR to ARR
	
	Added to main update_9_0_0_0.sql which migrates the DB from 8.2.x to 9.0.0.0 (8.2.x to AR)
	Changed in main update_9_0_0_1.sql which  migratse the db from 9.0.0.0(AR) to 9.0.0.1 (ARR/CC)
	Deleted from 9.0 branch update_9.0.0.0_ARR.sql as it is obsolete
	
	Dev impact: None
	QA testing notes:  tested against a fresh db, 8.2->9.0.0.0->9.0.0.1
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1063559 on 2012/05/14 by achemey@achemey-w510

	Fix for bug #'s:  3178542 (and related bug 3179923), 3178523, 3178536
	
	The bugs all affect similar files.  The result of Captivate 6 publishing to HTML5.  There are multiple file formats from Captivate 6:
	- HTML5-content needs to be differentiated from SWF-based Captivate content
	- HTML5 content from CP6 should not appear in Meeting
	- HTML5/AICC should NOT be placed in a SCORM-to-AICC wrapper (and may or may not contain metadata files for tracking)
	- HTML5/SCORM content NEEDS to be placed in the SCORM-to-AICC wrapper (and may or may not contain metadata files for tracking)
	- SWF-based content that does not contain the imsmanifest.xml should not be placed in the SCORM-to-AICC wrapper
	- SWF-based content that DOES contain the imsmanifest.xml will be placed in the SCORM-to-AICC wrapper

Change 1063237 on 2012/05/14 by mhaque@NIZAM

	error in last checking in assiging the permission bit for bama admin
	bama admin alreeady had all the permission bit 

Change 1063186 on 2012/05/14 by mhaque@NIZAM

	event admin bug
	Review #598822

Change 1062555 on 2012/05/11 by satyam@satyam7-win7

	Bug#3161535:Enhancement: User must have an option of Donot Reply for email notification .
	
	It should be possible to add a default Do Not Reply email alias to each account? Like do_not_reply@adobeconnect.com or something like that if a user does not want to provide an email
	
	Method:
	1. Create an event and configure event mails
	2. Send out mails
	
	Expected:
	There should be a way to set Donot reply emails
	
	Code Collab Review#590640

Change 1061974 on 2012/05/09 by vlequang@Dave-PC

	Screen share - codec switching
	http://watsonexp.corp.adobe.com/#bug=3175180
	http://watsonexp.corp.adobe.com/#bug=3174487
	http://watsonexp.corp.adobe.com/#bug=3131850

Change 1060929 on 2012/05/07 by satyam@satyam7-win7

	Bug##3174554:There are syntax error in 9.0.0.1 update script
	
	Problem:Invalid 'GO' statements in the script.
	Fix:Removed the invalid statements.
	
	Code Collab Review#588463

Change 1056309 on 2012/04/24 by fboyer@fboyerxp1_800

	#3167804 - AR: Appserver is fastfailing with production DB
	
	com.macromedia.breeze.commserver.CommServerManager.getActiveTicketCounts() query needed an index on new "is_mobile" column on PPS_USER_SESSIONS
	
	Dev impact: None
	QA testing notes:  already confirmed to solve problem in performance test
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1055439 on 2012/04/20 by ppatil@ppatil-w7

	Bug 1893244 - ESCALATION - Turner:  Cannot upload content larger than 2 GB.

Change 1054458 on 2012/04/18 by spadman@spadman-w7

	Bug 3045760: Peak Meeting Users portion of reports page shows different value than customers are expecting
	
	Currently, we are displaying the number of users in the meeting that had the most number of users (peak meeting users per meeting sco, effectively); what is requested is that we display the maximum number of users system-wide, across all meetings.
	
	I did not want to change the existing views, in order to prevent compatibility issues - therefore, my approach is as follows:
	
	1\ keep current view, REPORTING_VIEW_CONCURRENT_MEETING_USERS
	2\ add new view, REPORTING_VIEW_CONCURRENT_CUMULATIVE_USERS, which is similar but doesn't filter by SCO - so this is a system-wide metric
	3\ in the ReportManager and the GUI, display the existing view as "Peak Concurrent Users (per mtg.)" and display the results of the new view as "Peak Concurrent Users (Total)"
	
	Review ID = 569372.

Change 1054083 on 2012/04/17 by plourens@plourens-W7

	Bug #3129384 - add additional security to RC to CPS communication

Change 1052849 on 2012/04/12 by rajc@rajcxp1

	Fix bug#3161464: : 
	Comments:   Re-use same seminar in multiple/duplicate events and do not link event schedule to its attached
	
	Dev impact: 
	- New Configuration COFIG_RE_USE_SEMINAR_IN_EVENTS.
	- Update Event scheduling mechanism.
	- Update Duplicating Event mechanism.
	- Allow schedule edits on seminars linked to events.(Today we disable schedule updates on seminars as they reflect/linked to the attached Event)
	- Remove the 'seminar schedule also updated' msg from the event info UI.
	
	QA testing notes:
	- Test events/seminars to hit their quota even outside their schedule times
	- Re-use seminars in events
	- Duplicate events.
	- Editing events
	- All other scheduling conflicts.
	 -and More....
	
	Migration impact: N/A
	Install impact: N/A
	
	Loc impact:N/A
	Doc impact: N/A
	Perm Impact:N/A

Change 1051899 on 2012/04/10 by fboyer@fboyerxp1_800

	#2985466 - The way the current meeting room ends will not bill PPU customers correctly
	
	Meeting sessions are reopened after a subsequent launch is attempted with in 5 minutes (hard coded).  Fix is to expose this threshold as a configuration(asset host expiry) and a account setting.  That way, PPU customers can set this value to 0 and not have the meeting session reuse.  Expiry value is constrained to values between 0 and 5 minutes.
	
	Dev impact: None
	QA testing notes:  
	
	Set the account's custom value(or ASSET_HOST_EXPIRY in custom.ini) with the following call (must log in first with administrator permissions):
	http://<server>/api/xml?action=acl-field-update&acl-id=7&field-id=319&value=<value in seconds>
	Create a new meeting and launch it. 
	Close it and wait ~5-8 minutes for the meeting's FMS core to unload (you can watch the meeting's session asset in PPS_ASSETS, wait for DATE_END to be set to non-NULL)
	Before the asset host exipres (i.e. the value used in the acl-field-update), relaunch meeting.
	Check meeting reports under Meeting Info, sessions.  You should not see a new session.
	Alternately, if you set the asset expiry to 0, then the subsequent launch should create a new session AFTER the meeting unloads.
	
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1051159 on 2012/04/06 by fboyer@fboyerxp1_800

	#3052798 - Incorrect meeting start & end time
	
	Change meeting entry workflow to reset the user's transcript date_created field to the timestamp when user enters meeting (register-client).  Change report api to report meeting session start and end times to query meeting transcripts for earliest date_created (start) and lastest date_closed (end).
	
	Dev impact: None
	QA testing notes:
	 User's transcript date_created field now reflects when the user enters a meeting (if they enter), not when the transcript was created.  Only affects meeting transcripts, not training. Will effect all meeting session reports.
	 Test reports link from meeting information page as well as Meeting Session and Summary reports under Reports tab.
	https://zerowing.corp.adobe.com/display/Breeze/Meeting+Session+Start+and+End+times
	Fix address issues 1 & 2.
	Migration impact: None 
	Performance impact: None
	Install impact: None
	Doc impact: None

Change 1049130 on 2012/03/30 by fboyer@fboyerxp1_800

	#3111182 - The schema version is not correct in PPS_ACCOUNTS table
	
	Fix bug injection from initial fix.  The value stored in the schema_version column inPPS_ACCOUNTS is not the actual schema version, but an index into an enumeration, so it should be “8” instead of “9”
	
	Dev impact: N/A
	QA testing notes: Test in new hosted db.  Make sure account templates page shows "9.00" for templates in a new account.
	Migration impact: N/A
	Install impact: N/A
	Loc impact: N/A
	Doc impact:  N/A
	Performance Impact: N/A

Change 1049001 on 2012/03/30 by satyam@satyam-w7

	Bug#2908027:EPV: LOC_All: MeetingOne: The country names should be localized according to webapp.
	
	Problem:
	1.MeetingOne provided the country names instead of thier localizable codes which meant that counry names did not get localized.
	2.There is an extra _ in MeetingOne_Access_Number_France_ which prevented its localization
	3.There is already corrupted data by the  bug mentioned in point#1 because of actual country names getting stored instead of their localizable codes. 
	
	Fix:
	1.MeetingOne has provided a new adaptor drop to fix Problem#1 above.
	2.Thew extra _ is removed to address Problem#2 above
	3.An upgrade query is being added to fix the corrupted data. It is based on the formula location = '{MeetingOne_Access_Number_' + replace(location,' ','_') + '}' confirmed bu MeetingOne.
	
	Code Collab Review#565169

Change 1044142 on 2012/03/16 by saurabgu@SAURABH

	creating reportsuites from the default template and populating evars and events.
	Also, Moved to AdobeConnectNA/AdobeConnectEMEA accounts rather than connect-dev
	Currently done only for english locale.. other locales will follow
	Please update your Config.ini settings for omniture after syncing.
	This will also encompass the fix for bug # #3118660:Report suite creation at sitecatalyst fails for any Company other than Connect Dev
	
	
	Dev impact: Please update your custom.ini settings for the new omniture account and company and update DB to remove a redundant table from the database.
	QA testing notes: Please update your custom.ini settings for the new omniture account and company and update DB to remove a redundant table from the database. 
	
	Migration impact: custom.ini values to be updated
	Performance impact: n/a
	Install impact: n/a
	Localisation Impact: Localised report suites will still not be created yet as the corresponding values in other languages than english are pending.

Change 1044032 on 2012/03/16 by satyam@satyam-xp

	Back out changelist 1044022

Change 1044022 on 2012/03/16 by satyam@satyam-xp

	Changing upgrade script name to 9.0.0.0
	Only name change, no review.

Change 1039123 on 2012/03/04 by mzaric@mzaric-main-1

	#3129102 - Active Host licensing changes - part1: DB changes

Change 1039034 on 2012/03/03 by ptanwar@ptanwar-WIN7

	[Bug# 3118820] Default email/event template names not localized on Connect side.

Change 1038974 on 2012/03/02 by shwang@shwang-depot

	Bug 3127561 - ESCALATION - HOSTED - Missing index: PASSWORD_KEY on PPS_USERS
	
	Review ID: 544900 by Author: Shu-jen Wang, Reviewer: Fred Boyer, Reviewer: spadman, Observer: John Houghtling, Observer: Brant Strand

Change 1038477 on 2012/03/01 by achemey@achemey-w510

	Fix for bug #: 3107013
	
	Need to add SCORM icon type.

Change 1037162 on 2012/02/27 by fboyer@fboyerxp1_800

	3123390 - Mobile Reporting: Joining meeting as guest using browser or Connect mobile app on device, the Total Mobile Users column is empty
	
	Reporting view and DW table for MOBILE_MINUTES fact table was setting user_id to NULL instead of using the session_id, hence the entry was not counted in the report.

Change 1036590 on 2012/02/24 by fboyer@fboyerxp1_800

	2879541 - EPV: User Reports are not correctly generated for Events
	
	Fixed partially by 2994027 (non-invited participants in detail panel).  Additional change to filter out guest transcripts that did not actually attend the event.
	Note: DW Reporting script was already doing this filtering, but Reporting view was not.

Change 1036201 on 2012/02/23 by fboyer@fboyerxp1_800

	#2994027 - Connect9: EPV: Guests and registered users who are not invited or added to the meeting room, they don't appear in the Meeting report
	
	Changed reporting view/table to include non-invited registered users who are allowed in the meeting.  Guests were already working.

Change 1035982 on 2012/02/23 by saurabgu@SAURABH

	fix for bug# 3061256: Not able to enable analytics.

Change 1034658 on 2012/02/20 by mhaque@NIZAM

	bug#3077155 and
	#3045413
	Review #537100

Change 1032437 on 2012/02/15 by fboyer@fboyerxp1_800

	3111182 - The schema version is not correct in PPS_ACCOUNTS table
	
	Changed to '9'

Change 1032225 on 2012/02/14 by satyam@satyam-xp

	Bug#3112536:DB Script does not run event template creation section for hosted migration and uses the old name for event templates
	
	Fix:Ensured that the migration script runs for all type=0 accounts and created CQ templates for it. Also updated the event template names with the new ones.
	
	Code Collab Review#534002

Change 1031543 on 2012/02/10 by fboyer@fboyerxp1_800

	#3045246 - Upgrade Script 'update_9_0_0_1' failing on AR-Stage DB
	
	Remove Index that is on AR stage that causes error when dropping column used in Index.

Change 1029268 on 2012/02/04 by fboyer@fboyerxp1_800

	3001439 -  Virtual Classroom report no long show all enrollees
	
	Revert fix for 2985914, which injected this bug.  2985914 will be fixed in a different way.

Change 1029077 on 2012/02/03 by srai@SRAI-W7

	fix for bug #3085236

Change 1026825 on 2012/01/30 by hsawhney@himanshu

	1) Start tracking QandA report in event using event sco-id.
	2) Start tracking File download report in event using event sco-id.
	3) Start calculating the user attendance report in event using a event transcript.
	4) Saving Poll questions in an event with event sco.

Change 1026000 on 2012/01/26 by srai@SRAI-W7

	deleted old file and created new file to include revision 1 as suggested by QE.

Change 1022805 on 2012/01/18 by srai@SRAI-W7

	fixes for bugs 3080133 and 3085236:
	Bug 3080133: added changes for connect version C900. changes account_version to set max version to C900.
	3085236: modified database_data.sql and update8_5_0_0.sql to change the major/minor version to 9,0.

Change 1021645 on 2012/01/16 by ptanwar@ptanwar-WIN7

	Link new email templates of cancelled and deleted events to CPS side

Change 1008202 on 2011/12/02 by hsawhney@himanshu

	Added missing entriess for Omniture update.

Change 1008183 on 2011/12/02 by rpathak@rpathak-w7

	Bug#3057068 : Dedicated server for seminar: Don't use pool_id to identify the dedicated server, instead add a new column IS_DEDICATED_FOR_SEMINAR in pps_enum_data_hosts table.
	
	DB query to make a server dedicated for seminar: update pps_enum_data_hosts set is_dedicated_for_seminar=1 where name=<dedicated server’s name>
	
	ReviewId:472239

Change 1007362 on 2011/11/30 by mhaque@NIZAM

	Added the change of CL#1002470 from database_schema.sql to update query

Change 1003991 on 2011/11/21 by hsawhney@himanshu

	Bug fixed: #3042907 Omniture reportsuite provisioning
	1) Added seprate column for saving the custiom provided reportsuite name.
	2) Passing the exception code to client for handling it case by case.

Change 1003567 on 2011/11/18 by satyam@satyam-xp

	Changes to upgrade script to ensure that default event/email templates are created in Connect DB when a licensed account is upgrade to C9.
	
	Code Collab Review#462948

Change 1002470 on 2011/11/16 by mhaque@NIZAM

	bug#2989227 Minimum registration limit is zero (0)
	not settiing any default value

Change 1000489 on 2011/11/10 by rajendra@rajendra_win7

	bug #3003672 :  BAMA account admin user unable to create event microsite
	 Review #469353

Change 997635 on 2011/11/04 by hsawhney@himanshu

	We were not sending question type to omniture in localized language.

Change 996778 on 2011/11/03 by rajc@rajcxp1

	Fix bug#:2955976: Update DB scripts
	During upgrade create pps_idp_fields table only if not already exists and also remove index (avoid warnings during the upgrade)

Change 994746 on 2011/10/31 by rajendra@rajendra_connect

	Show in catalog option
	Review #460660

Change 992728 on 2011/10/26 by bstrand@bstrand-T3500

	Fix for #2906465, raise permissions required for principal-list
	Review #449141

Change 992727 on 2011/10/26 by bstrand@bstrand-T3500

	Bulk integration of 8.5 into Main, dbscripts component, part 2:
	
	//depot/branches/AdobeConnect/8.5/components/dbscripts/...
	//depot/main/AdobeConnect/components/dbscripts/...

Change 992723 on 2011/10/26 by bstrand@bstrand-T3500

	Bulk integration of 8.5 into Main, dbscripts component:
	
	//depot/branches/AdobeConnect/8.5/components/dbscripts/...
	//depot/main/AdobeConnect/components/dbscripts/...

Change 986192 on 2011/10/14 by mzaric@mzaric-main

	Integrating 8.2 DB Scripts into main

Change 985449 on 2011/10/13 by mzaric@mzaric-main

	Changing filetype to ktext (change was overwritten by the 8.5->main copy-over)

Change 983581 on 2011/10/10 by mzaric@mzaric-main

	Integrating CLs 951497, 954011, 954199 from 8.2 : Fix bugs and add account info retrieval through monitor servlet; Integrate meeting assignments into RC; Bug #2938866 - ipv4 localhost still was not allowed by monitor servlet  

Change 983567 on 2011/10/10 by mzaric@mzaric-main

	Integrating CL 944978 from 8.2 : Add test status to allow for http traffic redirection when doing hosted validation. Also add changes to have meetings start on specific servers.

Change 983474 on 2011/10/08 by mzaric@mzaric-main

	Integrating CLs 930922, 930923 from 8.2 : fix couple of bugs in product notif enhancement: 2904903, 2904895, 2904967, 2904917,#2905371; fix bug #2904488: Add DNS service check upon account domain validation so that no duplicate DNS domain can be created (ultradns allows).

Change 983333 on 2011/10/08 by mzaric@mzaric-main

	Integrating CLs 925897, 925898, 926637 from 8.2 : fix bug 2898313: update previous notification data script to support the new schema.; Add account-tos feature so that TOS can be turned off for partner accounts who dont' want it.; fix the db exception during account clone, bug #2899970

Change 983318 on 2011/10/08 by mzaric@mzaric-main

	Integrating CL 925498 and 925500 from 8.2 : Add compliance and controls checkbox to prevent user to change custom names and attendees display order; Add Rank and Organization custom fields

Change 983285 on 2011/10/07 by mzaric@mzaric-main

	Integratng CL924888 from 8.2 : 2256367 - VULNERABILITY: DEA 4: Neohapsis finding Insufficient Use of Encryption (password salting & hashing)

Change 983278 on 2011/10/07 by mzaric@mzaric-main

	Integrating CL 924948 from 8.2 : Fix bug#2890428: If the IDP further connects to multiple idps, then extract the end-idp-source from the userID field in the user_profile response...

Change 982825 on 2011/10/07 by mzaric@mzaric-main

	Integrating CLs 922685, 922686, 923671 from 8.2 : server side changes for product notification enhancement for 8.2; product notification enhancement in 8.2; product notification enhancement in 8.2 - disable the account admin notification reminder dialog.

Change 982758 on 2011/10/06 by mzaric@mzaric-main

	Integrating CL 918908 : Fix for ECR/Bug #: 2832520.  KPMG (via ConnectSolutions):  VC Course Summary fields are not large enough.

Change 982696 on 2011/10/06 by mzaric@mzaric-main

	Integrating CLs 917041, 917059, 917830 and 917985 from 8.2 : Fix Bug #: 2887287 :New UI with option to enter as a 'Guest' or choose 'IDP Login' for meetings in SSO Only accounts that allow guests; Option to disable auto-provisioning for IDP users, IDP authenticated users not provisioned with AC account cannot enter secured meetings ; Fix bug#2884807: Now use acl-field-id, to set and retrieve the idp end provider name...; Fix bug#2856242: Do not set idpauth enabled=true in the response if a idp-id is not assigned to a sso enabled account. 

Change 982595 on 2011/10/06 by mzaric@mzaric-main

	Integrating CLs 891838, 897303, 903764, 904021, 917311, 908317 and 908653 from 8.2 : shared site terms of service implementation; add several JUnit test case for shared site TOS featture and minor fixes found in the testing; change the TOS acceptance page to be consistent with acrobat.com; Removing BOM from top of the file; add new UI strings for product notification enhancement in 8.2; The IDP Fields creation SQL was missing a type on the RecordCreated column so the table creation would fail.; Correcting some changes that were missed by the C8 SP2 DB Update script:

Change 982260 on 2011/10/06 by mzaric@mzaric-main

	Integrating CLs 854279, 858353 and 871417 from 8.2 : OAuth/SSO implementation

Change 979970 on 2011/10/02 by vsaurabh@VS-DESK-FOR-INTEG

	Integrating 8.5 branch to depot/main/AdobeConnect (Last integration attempt from CL#975092 to CL#975109 failed....so force integrating from CL#880020 to CL#979943 from 8.5 branch to mainline)

Change 979653 on 2011/09/30 by ppatil@ppatil-w7

	2985914:Leaner report displays 2 entries if the course's content has been updated with different contents before the user starts the course

Change 975915 on 2011/09/23 by ppatil@ppatil-w7

	2800517 -  Customer OLANMILLS escalation incorrect reporting for individual users.

Change 975101 on 2011/09/22 by vsaurabh@VS-DESK

	Integrating 8.5 branch to depot/main/AdobeConnect
	Part 8 of 16  

Change 922053 on 2011/06/10 by bstrand@bstrand-T3500

	Updating DB scripts readme to reference the living version of the doc in the wiki and reflect the changes to the versioning convention done in 8.0.

Change 921660 on 2011/06/10 by bstrand@bstrand-T3500

	Correcting file types to be +k / ktext for keyword expansion.

Change 889108 on 2011/04/20 by ycao@ycao_ericcao

	fix bug 2850068: PPS_CONFIG table for 8.1.1 DB does not have the section for in product notification
	add production notification start settings for hosted setup, this will help product notif monitoring on hosted
	 Review #358580

Change 879865 on 2011/04/06 by buildmeister_breeze@buildmeister_breeze

	Moved dbscripts to components as the scripts needs to be branched

